We switched to git on 2012-09-20.  If you want to see something
similar based on git (back to 1994, because we converted the CVS
history to git), just do

git clone https://git.savannah.gnu.org/git/gforth.git
cd gforth
make ChangeLog.git

and you will find the result in ChangeLog.git.  We no longer update
this file.

Update this by inserting the output of 
	rcs2log -u "pazsan	Bernd Paysan	bernd.paysan@gmx.de" -h mips.complang.tuwien.ac.at
with possibly additional -u clauses for other authors.  Check the authors with
	rcs2log -u "pazsan	Bernd Paysan	bernd.paysan@gmx.de" -h mips.complang.tuwien.ac.at|grep '^200' |sed s/200.-..-..//|sort |uniq

	
2008-11-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Benchres, ChangeLog, INSTALL, NEWS, NEWS.vmgen, README, arch/4stack/asm.fs, arch/4stack/mach.fs, arch/4stack/prim-new.fs, arch/4stack/prim.fs, arch/4stack/relocate.fs, arch/generic/machine.h, arch/misc/prim.fs, arch/sparc/machine.h, dis-gdb.fs, doc/vmgen.texi, engine/io.c, engine/libcc.h.in, engine/support.c, engine/threaded.h, kernel/comp.fs, machpc.fs.in, prims2x0.6.2.fs, regexp.fs, update-copyright, vmgen-ex/Makefile, vmgen-ex2/Makefile, vmgen.in:
	updated copyright years

2008-11-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in: Added --tag=CC for glibtool configure option

2008-11-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Benchres: added 0.7.0 Benchmark results and reorganized the others

	* README: updated tested platforms

	* libcc.fs:
	don't use libtool --tag=CC (doesn't work with libtool-1.5, and is unnecessary)

	* Makefile.in, configure.in, testall, testdist: install.TAGS bugfix
	set special skipcode for power architecture to work with gcc-3.[34]

	* Makefile.in, install-tags.fs, testall, testdist:
	worked around HP/UX awk limitations by replacing awk script with gforth script
	put some workarounds for specific boxes into testall and testdist

2008-10-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Fixed multi-extension problem with old apache and IE

2008-10-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in: fixed ia64 bug corresponding to the arm_cacheflush bug

2008-10-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in: finally fixed the arm_cacheflush builddir issue

	* configure.in, testall:
	arm_cacheflush should now work with separate build dir
	minor testall improvements

2008-10-26  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in: Fixed vmgen problem

	* configure.in: New snapshot date

2008-10-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* testall, testdist: more t1000 workarounds

	* Makefile.in, configure.in, testall, testdist:
	Fixed a few more builddir and other issues
	Improved testall and testdist (only partially tested)

2008-10-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in, engine/Makefile.in, kernel/int.fs, preforth.in, testall, testdist:
	Fixed various bugs related to builddir!=srcdir
	prims2x0.6.2.fs is now installed
	avoid extra make for check
	updated testdist and testall

2008-10-23  Bernd Paysan  <bernd.paysan@gmx.de>

	* README, arch/misc/prim.fs: Tested on various Gforth EC platforms

	* arch/4stack/prim.fs: Fixed typo

	* arch/4stack/prim.fs:
	Disabled new division primitives (they fail to work)

	* arch/4stack/asm.fs, arch/4stack/prim.fs, arch/4stack/relocate.fs, kernel/int.fs:
	Fixed 4stack image generation with a 64 bit Gforth engine (tested only
	on little endian machines, so far).

2008-10-22  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/4stack/asm.fs, arch/4stack/relocate.fs:
	Attempt at better compilation of 4stack with 64 bit Gforth

2008-10-20  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in: Byte order check != no, to cover autoconf-2.62 bug

2008-10-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/4stack/asm.fs: Deleted superfluous [THEN]

	* arch/4stack/mach.fs, arch/4stack/prim-new.fs, arch/4stack/prim.fs, arch/4stack/relocate.fs:
	Minor fixes to make 4stack work again (build with 32 bit engine!)

2008-10-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in:
	The libcc-named stuff is now build before checking (it's not a check)
	The libcc-named stuff is only built and installed if libtool exists

	* engine/forth.h: DLSHIFT bugfix (fixes um/mod on some platforms)

2008-10-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/support.c, preforth.in: more fixes to support old stuff

	* Makefile.in, configure.in, engine/engine.c, engine/forth.h, engine/main.c, prim:
	Makefile bugfix
	fixed some portability issues for MIPS
	fixed some portability issues for old platforms

2008-10-13  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/4stack/asm.fs, arch/4stack/mach.fs, arch/4stack/relocate.fs, kernel/comp.fs:
	Made 4stack target compile again (but it doesn't run yet)

2008-10-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* INSTALL, README, configure.in: updated INSTALL, README
	documented some configuration variables in configure.in

2008-10-12  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, engine/Makefile.in: Fixed unused Makefile macros

	* configure.in: Removed unnecessary quoting of tr arguments

2008-10-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, NEWS.vmgen, NEWS.vmgen.future:
	re-enabled installation of vmgen
	updated NEWS.vmgen
	NEWS.vmgen.future contains stuff that's not yet for NEWS.vmgen (not installed)

2008-10-12  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in: M4 escapes readded

	* configure.in, wf.fs: Fixed sed pattern
	wf adds content-type application/xhtml+xml

2008-10-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in: LTDL_LIBRARY_PATH is now a configure variable
	The computation of the default for LTDL_LIBRARY_PATH now uses ldconfig again.

2008-10-11  Bernd Paysan  <bernd.paysan@gmx.de>

	* README: Added further testing results

	* configure.in: Reverted ldconfig -p call

2008-10-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in:
	refined LTDL_LIBRARY_PATH computation to also work on systems that use
	  "include /etc/ld.so.conf.d/*.conf" in ld.so.conf

2008-10-10  Bernd Paysan  <bernd.paysan@gmx.de>

	* README: Added ppc on Darwin as checked plattform

	* README: Added 386er test

	* README: Added darwin to the successfully tested systems

	* engine/support.c: Fixed typo

	* engine/support.c: Fixing lt_dlopen for Mac OS X

2008-10-09  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in: Better workaround

	* configure.in, lib.fs: Added workaround for libltdl

	* engine/support.c: Tried short circuit to dlopen() - failed, too.

	* engine/forth.h, engine/support.c, prim:
	Added gforth_dlopen as support word

2008-10-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, doc/vmgen.texi, prims2x0.6.2.fs, vmgen-ex/Makefile, vmgen-ex2/Makefile, vmgen.in:
	made vmgen release-ready:
	  added prims2x0.6.2.fs (and fixed use of RECOVER)
	  vmgen now looks for vmgen-version to decide what prims2x.fs to use and
	     uses prims2x0.6.2.fs by default
	  reverted some of the documentation
	  fixed minor bug in vmgen-ex*/Makefile

	* unix/socket.fs: fixed bind() type error

	* Makefile.in: now the use of MKDIR-PARENTS in libcc is tested

2008-10-08  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Fixed get-icon problem

2008-10-07  Bernd Paysan  <bernd.paysan@gmx.de>

	* iss.sh, unix/socket.fs: Fixed sockets for windows
	Don't use recode to add cr before lf - use sed (always available)

2008-10-06  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in:
	Moved mkdir.fs to the normal sources (no longer a libcc.fs based file)

	* mkdir.fs: Fix build process when mkdir is required

	* Makefile.in: Added Aleksej's Makefile patch

	* iss.sh: Added automatic recode of README for setup.exe presentation

2008-10-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libcc.fs, mkdir.fs, prim:
	libcc now creates the directories where it puts its files
	make =MKDIR into a primitive to break bootstrapping problem (=MKDIR
	  needs libcc, which needs =MKDIR)

2008-10-06  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/libcc.h.in: Fixed typo in non-windows part

	* configure.in, iss.sh, unix/socket.fs:
	Working Windows port snapshot created

2008-10-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* mkdir.fs: added MKDIR-P

2008-10-06  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/libcc.h.in, unix/socket.fs:
	Fixed problems with Windows C libraries

2008-10-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* mkdir.fs:
	renamed mkdir words to avoid conflicts with likely naming conventions

2008-10-06  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/libcc.h.in, engine/main.c, wf.fs:
	Added cstr and tilde_cstr to gforth_pointers

2008-09-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* unix/socket.fs: Fixed errno

	* engine/libcc.h.in, envos.fs.in, libcc.fs:
	libcc works now on Windows (though most of the examples don't)

	* doc/objects-implementation.obj, engine/forth.h, engine/libcc.h.in, engine/main.c, fflib.fs, libcc.fs, libffi.fs, prim:
	Windows version of libcc interface (first attempt)

2008-08-24  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: xhtml strict compliant <red red> tag

2008-08-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in, cstr.fs, mkdir.fs:
	added cstr.fs mkdir.fs C interface files

	* configure.in, engine/main.c:
	workarounds for MacOS X and /lib64 portability issues (/lib64 incomplete)

	* configure.in, engine/main.c:
	fixed BSD portability issue (reported by Aleksej Saushev)

	* Makefile.in, configure.in: more Solaris portability fixes

2008-08-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/sparc/machine.h, engine/main.c:
	fixed some warnings that were reported on sparc-solaris

	* Makefile.in: another Solaris portability fix

	* dis-gdb.fs:
	removed bash dependency (now there is a dependency on POSIX ps)

	* engine/main.c, prim: fix if libltdl is not present

	* engine/Makefile.in: Solaris make portability fix

	* configure.in: bugfix

	* configure.in: portability fix (Solaris "which")

	* engine/main.c: Now builds with llvm-gcc (but libcc.fs does not work)

2008-08-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* lib.fs: commented out unportable lib.fs test

2008-08-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in: fixed grep portability issue in configure.in

2008-08-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libffi.fs: Another fix for Xcode nonsense

	* configure.in, envos.fs.in, libffi.fs:
	The location of ffi.h is now determined by configure

2008-08-09  Bernd Paysan  <bernd.paysan@gmx.de>

	* regexp.fs: Changed checks for start and end of regexp

2008-08-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, doc/gforth.ds, libcc.fs, regexp.fs:
	fixed documentation bugs

	* Benchres: added more benchmark results

	* Makefile.in, configure.in:
	Only those libcc files are processed for which the libraries exist

	* Benchres, engine/main.c, prim: eliminated warnings
	added Benchmark results

	* Makefile.in, arch/generic/machine.h, engine/128bit.h, engine/io.c, engine/main.c, engine/support.c, engine/threaded.h, prim:
	The Makefile now uses an EMACS variable
	Eliminated most compilation warnings

	* Makefile.in:
	install gforth.el, too (suggested by Aleksej Saushev <878wvgaatn.fsf@inbox.ru>)

2008-08-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Agenda, compat/execute-parsing.fs, configure.in, doc/gforth.ds, doc/vmgen.texi, envos.fs.in, lib.fs, machpc.fs.in:
	Updated Agenda
	Now lib.fs selects libffi.fs or fflib.fs based on a configure test
	compat/execute-parsing bugfix
	fixed some documentation bugs (reported by Jakob Sievers)

2008-08-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* libffi.fs: Added ints at the right position

	* libffi.fs: Added ints

2008-08-03  Bernd Paysan  <bernd.paysan@gmx.de>

	* lib.fs: Removed printout in lib.fs

2008-08-02  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/386/machine.h: Best effort for Mac OS X 32 bit with gcc-4.2

	* preforth.in: Fixed Mac OS X default build problem

2008-07-31  Bernd Paysan  <bernd.paysan@gmx.de>

	* lib.fs: Typo

	* lib.fs: Another fix for lib.fs

	* lib.fs: Changed search for libffi

2008-07-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in, machpc.fs.in: Removed dependencies to libffi/ffcall

	* lib.fs: Prefer libffi over ffcall

	* fflib.fs: Correct declaration of gforth_RP and gforth_LP

	* fflib.fs, libcc.fs, unix/socket.fs: Fixed fflib.fs
	Real fix for the macro problem (define wrapper macro instead)

2008-07-27  Bernd Paysan  <bernd.paysan@gmx.de>

	* libcc.fs, unix/socket.fs: Fixed FILE* problem

	* engine/forth.h, prim: Fixed callback problem

2008-07-26  Bernd Paysan  <bernd.paysan@gmx.de>

	* lib.fs: Right libc for 64 bit

	* INSTALL, Makefile.in, lib.fs: Try to make old libffi.fs work again

2008-07-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in:
	distribute autogen.sh, too (Bug report from M. Edward (Ed) Borasky)

2008-07-21  Bernd Paysan  <bernd.paysan@gmx.de>

	* .cvsignore, engine/.cvsignore: More complete .cvsignore

2008-07-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in: Fixed libtool invocation in Makefile for Mac OS X

2008-07-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in:
	anti-dependence of engine on kernel is now set by configure
	   (if a preforth exists)

2008-07-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* ChangeLog, NEWS, configure.in: Updated dates in NEWS, configure.in
	Updated ChangeLog

	* preforth.in: preforth now works if there is an engine but no kernel

2008-07-16  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makedist.in, Makefile.in: Cleanup of improved build process

2008-07-15  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makedist.in, Makefile.in: Fixed build process

2008-07-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* ChangeLog, NEWS: updated ChangeLog and NEWS

	* BUILD-FROM-SCRATCH, Makedist.in, Makefile.in, arch/386/machine.h, arch/amd64/machine.h, arch/arm/asm-example.fs, arch/arm/asm.fs, arch/arm/machine.h, arch/power/machine.h, blocks.fs, build-ec.in, cache-fast0.vmg, cache-fast1.vmg, cache-fast2.vmg, cache-fast3.vmg, cache-fast4.vmg, configure.in, doc/gforth.ds, ds2texi.fs, engine/128bit.h, engine/Makefile.in, engine/engine.c, engine/forth.h, engine/io-nxt.c, engine/main.c, envos.fs.in, fflib.fs, gforth.el, gray.fs, history.fs, httpd.fs, kernel/main.fs, kernel/paths.fs, lib.fs, libcc.fs, libffi.fs, preforth.in, prim, quotes.fs, see.fs, unix/socket.fs, update-copyright, update-copyright-blacklist, utf-8.fs, wf.fs:
	updated copyright years
	updated copyright-blacklist (added libltdl)
	updated distributed files (don't distribute files without distribution terms)
	added copyright to preforth.in and build-ec.in

	* Makefile.in, configure.in, kernel/int.fs, libcc.fs:
	fixed some make install bugs
	updated date and version

	* Makefile.in, configure.in, envos.fs.in, libcc.fs, libcc.fs.in:
	eliminated libcc.fs.in by moving @CC@ into envos.fs.in.

2008-07-14  Bernd Paysan  <bernd.paysan@gmx.de>

	* libcc.fs, libcc.fs.in:
	Added tag so that different gcc names compile correctly

	* libcc.fs.in: Debugs commented out again

	* Makefile.in, libcc.fs, libcc.fs.in:
	Try to get C compiler with options to work

	* libcc.fs.in: Compiler-specific libcc.fs.in

	* Makefile.in, configure.in: Fix for libcc.fs

	* Makefile.in, arch/386/machine.h: Fix a few building bugs

	* libcc.fs: Made libcc.fs compile with old kernels

2008-07-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, fflib.fs, libcc.fs, libffi.fs:
	fixed some bugs so "make install" works (DESTDIR still probably buggy)

2008-07-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, kernel/paths.fs, libcc.fs:
	builds .la files on install (untested and probably broken wrt DESTDIR)
	added check-libcc-named target and perform it on make check
	The libcc-path now also contains the common libcc-named directory
	reworked initialization of libcc to happen on every boot
	added MAKE-PATH (for making an empty path to paths.fs

2008-07-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libcc.fs: first steps in having a LIBCC-PATH

	* libcc.fs, prim: OPEN-LIB now understands "~" for directories.

	* libcc.fs:
	libcc files are now generated in ~/.gforth/libcc-{named,tmp}/

2008-07-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* fflib.fs, libcc.fs: fflib.fs now is a named C interface library
	fixed bug in libcc.fs (unnamed libraries are now always rebuilt)

2008-07-04  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in: Removed bash dependency

2008-07-03  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/engine.c, engine/forth.h, engine/main.c, libffi.fs:
	Removed remainders of FFI in C code

2008-06-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, libcc.fs, prim:
	documented LIB-ERROR C-LIBRARY-NAME C-LIBRARY END-C-LIBRARY

	* libcc.fs:
	Now libcc loads existing .la file instead of generating it anew
	  Bug: also does this for generated (not user-provided) names

	* libcc.fs, libffi.fs: libffi now also uses C-LIBRARY
	prepare for loading existing c-library

	* libcc.fs, unix/socket.fs:
	added C-LIBRARY END-C-LIBRARY C-LIBRARY-NAME (yet undocumented)
	  to specify the library wrapper file name
	used that feature in unix/socket.fs

2008-06-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* gray.fs: optimized nts in gray

2008-06-01  Darren Bane  <dbane@mips>

	* libffi.fs: Forgot an argument to c-function for ffi-prep-closure

	* fsl-util.4th: S>F is already defined in prim

	* Makefile.in:
	Use make, not sh, variable interpolation syntax for bindir

2008-05-22  Bernd Paysan  <bernd.paysan@gmx.de>

	* xhash.fs: Added xorshift rng+hash

2008-05-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* blocks.fs: Changed empty-buffer

	* unix/socket.fs: hostname$ calls gethostname only on demand

	* unix/socket.fs: Added server-side stuff

2008-05-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* unix/socket.fs: First part of itools adaption in socket.fs

2008-05-07  Bernd Paysan  <bernd.paysan@gmx.de>

	* history.fs: Use backspaces for single-line editing

	* Makefile.in: Another use of PREFORTH

2008-05-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim:
	deleted FFCALL LIBFFI OLDCALL primitives, use fflib.fs libffi.fs instead

	* Makefile.in: added missing (anti-)dependence

2008-05-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in: no longer configures libdl; we use libltdl instead

	* Makefile.in, autogen.sh, configure.in, engine/Makefile.in:
	removed all references to local libltdl

	* engine/forth.h, engine/main.c, prim:
	removed usage of libtool-2.2 ltdl functions

	* libltdl/Makefile.in, libltdl/aclocal.m4, libltdl/configure:
	removed generated files

2008-05-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makedist.in: Quick&dirty trick to make bindist/binonlydist work again

2008-04-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in, httpd.fs, libltdl/Makefile.in, libltdl/aclocal.m4, libltdl/configure:
	Fixed httpd.fs bug
	Created new snapshot

2008-04-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* lib.fs, libcc.fs, unix/socket.fs:
	lib.fs: only check those ffcall libraries we use
	libcc.fs: removed some debugging output
	unix/socket.fs: converted to libcc.fs style (partially thanks to Darren Bane
	    <http://savannah.gnu.org/bugs/?23015>

2008-04-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, engine/main.c, fflib.fs, libcc.fs, libffi.fs:
	added CLEAR-LIB ADD-LIB (libcc.fs), documented them,
	  and used them in libffi.fs and fflib.fs
	OPEN-LIB no longer guesses library extensions (lt_dladvise_ext())

2008-04-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, arch/power/machine.h, configure.in, doc/gforth.ds, engine/main.c, libcc.fs, preforth.in:
	Bugfix: make and make dist don't need pre-installed Gforth
	FORCE_REG_UNNECESSARY now defined automatically and used better
	documentation bugfix

2008-04-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in: minor bugfix

	* configure.in, lib.fs, libffi.fs:
	MacOS X portability <https://savannah.gnu.org/bugs/index.php?23014>

2008-04-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* autogen.sh: bugfix <http://savannah.gnu.org/bugs/?23010>

2008-04-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/Makefile.in: added missing dependency

	* Makefile.in: make dist now also distributes libtldl (untested)
	added "make maintainer-clean" (untested, and without autogen.sh for libltdl)
	Various "clean" targets now also clean libtldl

	* configure.in: removed debug message

	* Makefile.in, configure.in, engine/Makefile.in, ltmain.sh:
	added support for building with included libltdl
	  missing: building with installed libltdl
	           including ltdl in the distributed files

2008-04-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libltdl/COPYING.LIB, libltdl/Makefile.am, libltdl/Makefile.in, libltdl/Makefile.inc, libltdl/README, libltdl/aclocal.m4, libltdl/argz.c, libltdl/argz_.h, libltdl/config-h.in, libltdl/config/compile, libltdl/config/config.guess, libltdl/config/config.sub, libltdl/config/depcomp, libltdl/config/general.m4sh, libltdl/config/getopt.m4sh, libltdl/config/install-sh, libltdl/config/ltmain.m4sh, libltdl/config/ltmain.sh, libltdl/config/mdate-sh, libltdl/config/missing, libltdl/config/mkstamp, libltdl/config/texinfo.tex, libltdl/configure, libltdl/configure.ac, libltdl/libltdl/lt__alloc.h, libltdl/libltdl/lt__dirent.h, libltdl/libltdl/lt__glibc.h, libltdl/libltdl/lt__private.h, libltdl/libltdl/lt__strl.h, libltdl/libltdl/lt_dlloader.h, libltdl/libltdl/lt_error.h, libltdl/libltdl/lt_system.h, libltdl/libltdl/slist.h, libltdl/loaders/dld_link.c, libltdl/loaders/dlopen.c, libltdl/loaders/dyld.c, libltdl/loaders/load_add_on.c, libltdl/loaders/loadlibrary.c, libltdl/loaders/preopen.c, libltdl/loaders/shl_load.c, libltdl/lt__alloc.c, libltdl/lt__dirent.c, libltdl/lt__strl.c, libltdl/lt_dlloader.c, libltdl/lt_error.c, libltdl/ltdl.c, libltdl/ltdl.h, libltdl/m4/argz.m4, libltdl/m4/libtool.m4, libltdl/m4/ltdl.m4, libltdl/m4/ltoptions.m4, libltdl/m4/ltsugar.m4, libltdl/m4/ltversion.in, libltdl/m4/ltversion.m4, libltdl/m4/lt~obsolete.m4, libltdl/slist.c, libltdl/stamp-mk:
	added libltdl (no integration yet)

	* Makefile.in, engine/Makefile.in, engine/forth.h, engine/main.c, libcc.fs, libffi.fs, prim:
	CPPFLAGS are now used by the Makefiles
	bugfix in libcc.fs
	OPEN-LIB now can open libraries without extension and the library's
	   symbols become global
	libltdl from libtool-2.2 or higher required (will be included soon)

2008-04-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* gforth.el: Patch from Darren Bane added (bug #22929)

2008-04-08  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs:
	Better XHTML conformance (now 'Strict', not just 'Transitional')

2008-04-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, arch/amd64/machine.h, configure.in:
	Made sure that a distribution is possible

2008-03-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libffi.fs: typo fixed <http://savannah.gnu.org/bugs/?22722>

2008-03-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: removed --[no-]check-alignment (no implementation)
	  on Alpha use <http://www.complang.tuwien.ac.at/anton/uace.c> instead

2008-03-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: added --[no-]check-alignment (currently no effect)

2008-03-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libffi.fs: added libffi primitive replacements

2008-03-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/ttester.fs: fixed typo

2008-02-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* BUILD-FROM-SCRATCH, Makefile.in:
	BUILD-FROM-SCRATCH now uses autogen.sh
	realclean now also cleans directories

	* arch/power/machine.h, engine/main.c:
	--diag now does not complain about reg. alloc. on PPC (FORCE_REG_UNNECESSARY)

	* Makefile.in: disabled automatic calling of gforth --diag

	* .cvsignore, BUILD-FROM-SCRATCH, Makefile.in:
	deleted bootstrap target (hopefully for good).
	'make realclean' should now make it real clean

2008-02-26  Bernd Paysan  <bernd.paysan@gmx.de>

	* autogen.sh, configure.in, engine/Makefile.in:
	Some small changes in build process

2008-02-25  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, ds2texi.fs: Fixed doc generating problem

2008-02-23  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, arch/arm/nxt/aic.c, arch/arm/nxt/aic.h, arch/arm/nxt/bt.c, arch/arm/nxt/bt.h, arch/arm/nxt/config.nxt, arch/arm/nxt/display.c, arch/arm/nxt/display.h, arch/arm/nxt/gforth.ld, arch/arm/nxt/i2c.c, arch/arm/nxt/mytypes.h, arch/arm/nxt/nxt_avr.c, arch/arm/nxt/nxt_lcd.c, arch/arm/nxt/nxt_lcd.h, arch/arm/nxt/nxt_motors.c, arch/arm/nxt/nxt_motors.h, arch/arm/nxt/nxt_spi.c, arch/arm/nxt/nxt_spi.h, arch/arm/nxt/sound.c, arch/arm/nxt/sound.h, arch/arm/nxt/systick.c, arch/arm/nxt/systick.h, arch/arm/nxt/uart.c, arch/arm/nxt/uart.h, arch/arm/nxt/udp.c, arch/arm/nxt/udp.h, configure.in, engine/Makefile.in, engine/forth.h, engine/io-nxt.c, engine/main.c, prim:
	Fixed build problem
	Some changes for NXT

2008-02-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, fflib.fs, lib.fs, libcc.fs:
	Added replacements for primitives to fflib.fs
	  current status: the libcc-generated code compiles, but does not link
	Bugfix in libcc.fs

	* history.fs, libcc.fs, quotes.fs, see.fs, utf-8.fs:
	Support kernel building with 0.6.2 engine, 0.6.2 kernel, and
	   current startup.fs and friends.

2008-02-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in, kernel/int.fs, kernel/main.fs:
	Kernel and primitive building should now be done by a pre-installed gforth.
	  configure.in and Makefile.in are now prepared for that.
	  However, it does not work yet.

2008-01-26  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* arch/arm/cacheflush-linux.c: minor thumb-mode fixes

	* arch/arm/cacheflush-linux.c: minor fix

	* arch/arm/cacheflush-linux.c:
	Thumb-mode fixes for ARM cacheflush syscall (untested)

2008-01-23  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* arch/arm/cacheflush1.c, arch/arm/cacheflush2.c:
	removed depricated ARM chacheflush files

	* Makefile.in, configure.in:
	removed references to old ARM cacheflush routines

	* arch/arm/cacheflush-linux.c:
	fixed buggy code in EABI-version of cacheflush syscall, fixed possible
	problems with older versions of GCC (use "r" instead of "g" constraint
	for inline assembly), improved formatting of asm code (added
	tab-characters)

2008-01-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in:
	configure.in: Bugfix: Gforth now also builds if -ll does not work
	Makefile.in: removed or changed some dependencies on the engine.

2008-01-21  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* configure.in:
	Check for Linux on ARM by comparing $host_os against "*linux*" and not just
	"linux".  In practice we can see values like "linux-gnu", "linux-uclibc".
	This also mirrors the other places in configure.in wher $host_os is
	referenced.

	* arch/arm/cacheflush-linux.c:
	Added clean ARM icache flush code using Linux syscall.  Should work on OABI
	and EABI systems, even when compiled for thumb mode.

2008-01-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/arm/cacheflush1.c, configure.in:
	added support for arch/arm/cacheflush-linux.c

2008-01-19  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* arch/arm/cacheflush-linux.c: typo...

	* arch/arm/cacheflush-linux.c:
	fixed cacheflush-linux.c to actually compile

	* arch/arm/cacheflush-linux.c, arch/arm/machine.h:
	Added icache flush code that uses a linux syscall and should thus guarantee
	correct operation on all Linux systems (if that syscall exists).

2008-01-18  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* doc/gforth.ds:
	Added section "ARM Assembler" to the Gforth documentation.

	* arch/arm/asm.fs:
	Added a note, telling the reader were to look for the assembler's
	documentation.

	* arch/arm/asm-example.fs, arch/arm/asm.fs:
	fixed NEXT,  , adapted asm-example.fs to use it

	* arch/arm/asm.fs:
	added portable implementation of NEXT, to ARM assembler

	* arch/arm/asm-example.fs:
	Updated ARM assembler example to jump to ' noop >code-address instead
	of reimplementing next.

	* arch/arm/asm-example.fs, arch/arm/asm.fs: minor assembler updates

2008-01-17  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* arch/arm/asm.fs: very minor fix

	* arch/arm/asm-example.fs:
	updated asm example.  now shows how to access the stack.

	* arch/arm/asm-example.fs, arch/arm/asm.fs: asm example...

	* arch/arm/asm-example.fs: more asm example code

	* arch/arm/asm-example.fs: minor change

	* arch/arm/asm-example.fs, arch/arm/asm.fs:
	minor change.  how do code an assembly 'next' compatible to gforth?

	* arch/arm/asm-example.fs, arch/arm/asm.fs:
	add example/proof of concept routines coded in ASM

	* arch/arm/asm.fs: first commit of ARM assembler.

2008-01-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in:
	BUILD-FROM-SCRATCH's gforth now always uses its install image

	* BUILD-FROM-SCRATCH, configure.in:
	BUILD-FROM-SCRATCH: prevent gforth hangs

	* BUILD-FROM-SCRATCH:
	prevent gforth from hanging when used with the wrong image in BUILD-FROM-SCRATCH

	* Makefile.in: minor Makefile.in bugfix

	* Makefile.in, engine/forth.h, engine/main.c:
	Building on i386 works again

2008-01-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/amd64/machine.h: disabled GLOBALS_NONRELOC for AMD64
	commented GLOBALS_NONRELOC for AMD64

	* Makefile.in: added some missing engine dependencies

2008-01-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/forth.h:
	tried to use explicit register allocation for local saved_regs_p, but
	  it does not seem to work.

	* arch/amd64/machine.h, engine/engine.c, engine/forth.h, engine/main.c:
	enable dynamic code generation for (debugging) gforth on AMD64 by accessing
	  the global variable through a local pointer.  Mixed results up to now, may
	  be better with explicit register allocation.

	* Makefile.in:
	make clean now removes the various $(OPT)-generated files
	removed some debugging output
	fixed some endless recursions

	* Makefile.in, configure.in, engine/Makefile.in:
	Different build options are now tried per-binary and only for gforth
	  and gforth-fast (everything else is built with -noll).

	* prim: documentation changes

2008-01-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in, engine/main.c:
	Now FORCE_REG is tried and used by default
	Removed --enable-force-reg
	Removed suggestions to use --enable-force-* from --diag option

2008-01-07  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in: Now configure sets OPTS

2008-01-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in:
	Now make automatically tries a set of OPT settings after another until
	  one is found that works.  This is a pretty bad hack.

2008-01-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, engine/Makefile.in:
	Now we can use BUGGY_LONG_LONG again, as follows:
	  make OPT=-noll OPTDEFINES= OPTOBJECTS=dblsub.o
	Minor bugfix

	* configure.in, engine/Makefile.in: some bugfixes for previous patch

	* Makefile.in, arch/amd64/machine.h, arch/generic/128bit.h, configure.in, engine/128bit.h, engine/Makefile.in, engine/forth.h:
	moved --enable-force-ll out of configuration and into Makefile:
	  Build with "make OPT=-ll OPTDEFINES=-DFORCE_LL"
	  This builds gforth-ll gforth-fast-ll etc.
	  This is the first step in automatically building a fast gforth.

2008-01-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, cache-fast0.vmg, cache-fast1.vmg, cache-fast2.vmg, cache-fast3.vmg, cache-fast4.vmg, cache-regs1.vmg, cache-regs2.vmg, cache-regs3.vmg, cache-regs4.vmg, configure.in:
	Added configure variable STACK_CACHE_REGS and set useful defaults
	  currently supported: 0-4 regs, default reg 0-4.

	* engine/main.c:
	refined static super vs. TPA check (TPA ok if state equivalence disabled).

	* engine/main.c: reenabled static superinstructions
	disable tpa-automaton if static superinstrutions are used

2008-01-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* BUILD-FROM-SCRATCH, Makefile.in, autogen.sh, configure.in:
	Added autogen.sh
	Used patch from Aleksej

2007-12-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/dblsub.c: updated copyright year

	* COPYING.LIB, engine/dblsub.c, engine/getopt.c, engine/getopt1.c, engine/strtol.c, engine/strtoul.c, update-copyright-blacklist:
	updated LGPL and files referring to it
	bugfix in update-copyright-blacklist

	* AUTHORS, BUGS, Makedist.in, README.vmgen, ToDo, ToDo-native, add.fs, ans-report.fs, ansi.fs, arch/386/asm.fs, arch/386/testasm.fs, arch/4stack/asm.fs, arch/4stack/mach.fs, arch/4stack/mach.sh, arch/4stack/prim-new.fs, arch/4stack/prim.fs, arch/4stack/relocate-new.fs, arch/4stack/relocate.fs, arch/6502/mach.fs, arch/6502/prim.fs, arch/alpha/asm.fs, arch/alpha/disasm.fs, arch/alpha/testasm.fs, arch/amd64/asm.fs, arch/amd64/disasm.fs, arch/generic/128bit.h, arch/hppa/cache.c, arch/hppa/machine.h, arch/ia64/flush_icache_block.c, arch/ia64/machine.h, arch/m68k/machine.h, arch/mips/asm.fs, arch/mips/disasm.fs, arch/mips/insts.fs, arch/mips/machine.h, arch/mips/testasm.fs, arch/mips/testasmcontrol.fs, arch/mips/testdisasm.fs, arch/misc/asm.fs, arch/misc/fi2v.fs, arch/misc/key.fs, arch/misc/mach.fs, arch/misc/misc-sim.v, arch/misc/misc.v, arch/misc/prim.fs, arch/misc/sim.fs, arch/misc/sokoban.fs, arch/power/_sync_cache_range.c, arch/power/asm.fs, arch/power/disasm.fs, arch/power/inst.fs, arch/power/machine.h, arch/r8c/asm.fs, arch/sharc/compile.sharc, arch/sharc/mach.fs, arch/sharc/machine.h, arch/sharc/systypes.h, arch/sharc/types.h, arch/shboom/compiler.fs, arch/shboom/dis.fs, arch/shboom/dis2.fs, arch/shboom/doers.fs, arch/shboom/mach.fs, arch/shboom/prim.fs, arch/shboom/sh.p, arch/sparc/machine.h, asm/basic.fs, asm/bitmask.fs, asm/generic.fs, asm/numref.fs, asm/target.fs, assert.fs, backtrac.fs, bufio.fs, chains.fs, code.fs, colorize.fs, config.bat, configure.cmd, debug.fs, depth-changes.fs, dis-gdb.fs, doc/vmgen.texi, dosekey.fs, doskey.fs, ds2texi.fs, ec/builttag.fs, ec/dotx.fs, ec/mirror.fs, ec/nesting.fs, ec/shex.fs, engine/atanh.c, engine/cleanalign.c, engine/io.h, engine/memcmp.c, engine/memmove.c, engine/peephole.c, engine/pow10.c, engine/profile.c, engine/rint.c, engine/select.c, engine/strerror.c, engine/strsignal.c, environ.fs, envos.dos, envos.os2, exboot.fs, filedump.fs, fixpath.fs, gfgen, gforthmi.bat, gforthmi.cmd, gforthmi.in, glosgen.fs, gray.fs, growable.fs, hash.fs, html.fs, httpd.fs, intcomp.fs, iss.sh, kernel/args.fs, kernel/cbr.fs, kernel/cbrpi.fs, kernel/cloop.fs, kernel/cloop2.fs, kernel/cond-old.fs, kernel/doers.fs, kernel/errore.fs, kernel/files.fs, kernel/getdoers.fs, kernel/license.fs, kernel/main.fs, kernel/nio.fs, kernel/pass.fs, kernel/paths.fs, kernel/prim0.fs, kernel/quotes.fs, kernel/require.fs, kernel/saccept.fs, kernel/toolsext.fs, libffi.fs, locals-test.fs, locals.fs, locate.fs, look.fs, mach16b.fs, mach16l.fs, mach32b.fs, mach32l.fs, mach64b.fs, mach64l.fs, make-app.fs, mkdosmf.sed, mkos2mf.sed, model, moof-exm.fs, more.fs, netlib/configure.in, other.fs, peeprules.vmg, prims2cl.fs, prof-inline.fs, profile.fs, proxy.fs, random.fs, regexp-test.fs, script.fs, see-ext.fs, sokoban.fs, source.fs, status.fs, string.fs, table.fs, tags.fs, tasker.fs, termsize.fs, test/coreext.fs, test/coremore.fs, test/other.fs, test/primtest.fs, test/string.fs, traceall.fs, unbuffer.fs, unix/time.fs, versions.bsh, vmgen-ex/Makefile, vmgen-ex/README, vmgen-ex/disasm.c, vmgen-ex/engine.c, vmgen-ex/mini-inst.vmg, vmgen-ex/mini.h, vmgen-ex/mini.l, vmgen-ex/mini.y, vmgen-ex/peephole.c, vmgen-ex/profile.c, vmgen-ex/support.c, vmgen-ex2/Makefile, vmgen-ex2/README, vmgen-ex2/disasm.c, vmgen-ex2/engine.c, vmgen-ex2/mini-inst.vmg, vmgen-ex2/mini.h, vmgen-ex2/mini.l, vmgen-ex2/mini.y, vmgen-ex2/peephole.c, vmgen-ex2/profile.c, vmgen-ex2/support.c, vmgen.in, vt100.fs, wordinfo.fs, wordlib.fs, wordlib.mk, wordsets.fs, xwords.fs, xxxprim:
	updated copyright year after changing license notice

	* COPYING, doc/fdl.texi, doc/gforth.ds, doc/gpl.texi, doc/vmgen.texi:
	Updated COPYING and doc/gpl.texi to GPL v3
	adjusted dectioning etc in documentation for new gpl.texi

	* AUTHORS, BUGS, BUILD-FROM-SCRATCH, ChangeLog, Makedist.in, Makefile.in, NEWS, NEWS.vmgen, README, README.vmgen, ToDo, ToDo-native, add.fs, ans-report.fs, ansi.fs, arch/386/asm.fs, arch/386/machine.h, arch/386/ncex/ncexasm.fs, arch/386/ncex/ncexcache.fs, arch/386/ncex/ncexcfstack.fs, arch/386/ncex/ncextree.fs, arch/386/testasm.fs, arch/4stack/asm.fs, arch/4stack/mach.fs, arch/4stack/mach.sh, arch/4stack/prim-new.fs, arch/4stack/prim.fs, arch/4stack/relocate-new.fs, arch/4stack/relocate.fs, arch/6502/mach.fs, arch/6502/prim.fs, arch/alpha/asm.fs, arch/alpha/disasm.fs, arch/alpha/machine.h, arch/alpha/testasm.fs, arch/amd64/asm.fs, arch/amd64/disasm.fs, arch/amd64/machine.h, arch/arm/cacheflush0.c, arch/arm/cacheflush1.c, arch/arm/cacheflush2.c, arch/arm/machine.h, arch/generic/128bit.h, arch/generic/machine.h, arch/hppa/cache.c, arch/hppa/machine.h, arch/ia64/flush_icache_block.c, arch/ia64/machine.h, arch/m68k/machine.h, arch/mips/asm.fs, arch/mips/disasm.fs, arch/mips/insts.fs, arch/mips/machine.h, arch/mips/testasm.fs, arch/mips/testasmcontrol.fs, arch/mips/testdisasm.fs, arch/misc/asm.fs, arch/misc/fi2v.fs, arch/misc/key.fs, arch/misc/mach.fs, arch/misc/misc-sim.v, arch/misc/misc.v, arch/misc/prim.fs, arch/misc/sim.fs, arch/misc/sokoban.fs, arch/power/_sync_cache_range.c, arch/power/asm.fs, arch/power/disasm.fs, arch/power/inst.fs, arch/power/machine.h, arch/r8c/asm.fs, arch/r8c/mach.fs, arch/r8c/prim.fs, arch/sharc/compile.sharc, arch/sharc/mach.fs, arch/sharc/machine.h, arch/sharc/systypes.h, arch/sharc/types.h, arch/shboom/compiler.fs, arch/shboom/dis.fs, arch/shboom/dis2.fs, arch/shboom/doers.fs, arch/shboom/mach.fs, arch/shboom/prim.fs, arch/shboom/sh.p, arch/sparc/machine.h, asm/basic.fs, asm/bitmask.fs, asm/generic.fs, asm/numref.fs, asm/target.fs, assert.fs, backtrac.fs, blocks.fs, bufio.fs, cache-fast0.vmg, cache-fast1.vmg, cache-fast2.vmg, cache-fast3.vmg, cache-fast4.vmg, cache-fast5.vmg, cache-fast6.vmg, cache-fast7.vmg, cache-fast8.vmg, cache0.vmg, cache1.vmg, chains.fs, code.fs, colorize.fs, comp-i.fs, complex.fs, config.bat, configure.cmd, configure.in, cross.fs, debug.fs, debugs.fs, depth-changes.fs, dis-gdb.fs, doc/makedoc.fs, dosekey.fs, doskey.fs, ds2texi.fs, ec/builttag.fs, ec/dotx.fs, ec/mirror.fs, ec/nesting.fs, ec/shex.fs, ekey.fs, endtry-iferror.fs, engine/Makefile.in, engine/atanh.c, engine/cleanalign.c, engine/ecvt.c, engine/engine.c, engine/forth.h, engine/io-nxt.c, engine/io.c, engine/io.h, engine/libcc.h.in, engine/longlong.h, engine/main.c, engine/memcmp.c, engine/memmove.c, engine/peephole.c, engine/pow10.c, engine/profile.c, engine/rint.c, engine/select.c, engine/signals.c, engine/strerror.c, engine/strsignal.c, engine/support.c, engine/threaded.h, environ.fs, envos.dos, envos.fs.in, envos.os2, errors.fs, etags.fs, exboot.fs, except.fs, extend.fs, fflib.fs, fft.fs, fi2c.fs, filedump.fs, fixpath.fs, float.fs, gfgen, gforthmi.bat, gforthmi.cmd, gforthmi.in, glocals.fs, glosgen.fs, gray.fs, growable.fs, hash.fs, history.fs, html.fs, httpd.fs, intcomp.fs, iss.sh, kernel/accept.fs, kernel/aliases0.fs, kernel/args.fs, kernel/basics.fs, kernel/cbr.fs, kernel/cbrpi.fs, kernel/cloop.fs, kernel/cloop2.fs, kernel/comp.fs, kernel/cond-old.fs, kernel/cond.fs, kernel/doers.fs, kernel/errore.fs, kernel/files.fs, kernel/getdoers.fs, kernel/input.fs, kernel/int.fs, kernel/io.fs, kernel/kernel.fs, kernel/license.fs, kernel/main.fs, kernel/nio.fs, kernel/pass.fs, kernel/paths.fs, kernel/prim0.fs, kernel/quotes.fs, kernel/require.fs, kernel/saccept.fs, kernel/tools.fs, kernel/toolsext.fs, kernel/vars.fs, kernel/xchars.fs, lib.fs, libcc.fs, libffi.fs, locals-test.fs, locals.fs, locate.fs, look.fs, mach16b.fs, mach16l.fs, mach32b.fs, mach32l.fs, mach64b.fs, mach64l.fs, machpc.fs.in, make-app.fs, missing, mkdosmf.sed, mkos2mf.sed, model, moof-exm.fs, more.fs, netlib/configure.in, oldlib.fs, onebench.fs, other.fs, peeprules.vmg, prim, prims2cl.fs, prims2x.fs, prof-inline.fs, profile.fs, proxy.fs, quotes.fs, random.fs, recover-endtry.fs, regexp-test.fs, regexp.fs, savesys.fs, script.fs, search.fs, see-ext.fs, see.fs, simp-see.fs, sokoban.fs, source.fs, startup.fs, status.fs, string.fs, struct.fs, struct0x.fs, stuff.fs, table.fs, tags.fs, tasker.fs, termsize.fs, test/coreext.fs, test/coremore.fs, test/dbltest.fs, test/float.fs, test/gforth-nofast.fs, test/gforth.fs, test/libcc.fs, test/other.fs, test/primtest.fs, test/search.fs, test/signals.fs, test/string.fs, traceall.fs, unbuffer.fs, unix/socket.fs, unix/time.fs, update-copyright, utf-8.fs, versions.bsh, vmgen-ex/Makefile, vmgen-ex/README, vmgen-ex/disasm.c, vmgen-ex/engine.c, vmgen-ex/mini-inst.vmg, vmgen-ex/mini.h, vmgen-ex/mini.l, vmgen-ex/mini.y, vmgen-ex/peephole.c, vmgen-ex/profile.c, vmgen-ex/support.c, vmgen-ex2/Makefile, vmgen-ex2/README, vmgen-ex2/disasm.c, vmgen-ex2/engine.c, vmgen-ex2/mini-inst.vmg, vmgen-ex2/mini.h, vmgen-ex2/mini.l, vmgen-ex2/mini.y, vmgen-ex2/peephole.c, vmgen-ex2/profile.c, vmgen-ex2/support.c, vmgen.in, vt100.fs, vt100key.fs, wf.fs, wordinfo.fs, wordlib.fs, wordlib.mk, wordsets.fs, xwords.fs, xxxprim:
	updated copyright notices for GPL v3

	* arch/r8c/mach.fs, BUILD-FROM-SCRATCH, Benchres, ChangeLog, INSTALL, Makefile.in, NEWS, NEWS.vmgen, README, arch/386/machine.h, arch/alpha/machine.h, arch/amd64/machine.h, arch/arm/machine.h, arch/generic/machine.h, arch/r8c/prim.fs, blocks.fs, cache-fast0.vmg, cache-fast1.vmg, cache-fast2.vmg, cache-fast3.vmg, cache-fast4.vmg, cache-fast5.vmg, cache-fast6.vmg, cache-fast7.vmg, cache-fast8.vmg, cache0.vmg, cache1.vmg, comp-i.fs, complex.fs, configure.in, cross.fs, debugs.fs, doc/gforth.ds, doc/makedoc.fs, ekey.fs, engine/Makefile.in, engine/ecvt.c, engine/engine.c, engine/forth.h, engine/io.c, engine/libcc.h.in, engine/longlong.h, engine/main.c, engine/signals.c, engine/support.c, engine/threaded.h, envos.fs.in, errors.fs, etags.fs, except.fs, extend.fs, fflib.fs, fft.fs, fi2c.fs, float.fs, gforth.el, glocals.fs, history.fs, kernel/accept.fs, kernel/aliases0.fs, kernel/basics.fs, kernel/comp.fs, kernel/cond.fs, kernel/input.fs, kernel/int.fs, kernel/io.fs, kernel/kernel.fs, kernel/tools.fs, kernel/vars.fs, kernel/xchars.fs, lib.fs, libcc.fs, machpc.fs.in, missing, oldlib.fs, prim, prims2x.fs, quotes.fs, regexp.fs, savesys.fs, search.fs, see.fs, simp-see.fs, startup.fs, struct.fs, stuff.fs, test/dbltest.fs, test/float.fs, test/gforth-nofast.fs, test/gforth.fs, test/signals.fs, unix/socket.fs, update-copyright, utf-8.fs, vt100key.fs, wf.fs:
	updated copyright years

	* update-copyright, update-copyright-blacklist:
	updated update-copyright-blacklist
	update-copyright author report in more usable format

	* missing, test/libcc.fs, update-copyright, update-copyright-blacklist:
	Copyright comments updated
	update-copyrigh now reports the author of "no copyright" files

	* update-copyright: adapted update-copyrights to current system

2007-12-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: added floating-point tutorial

2007-12-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: documentation fix

2007-12-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* README, configure.in, engine/signals.c, history.fs:
	Some bugfixes and cleanups by Jorge Acereda <AE069F38-47DD-4037-9434-89A9489456EF@gmail.com>

2007-12-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* README: CVS history test

	* libcc.fs: deleted empty line

2007-12-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in, envos.fs.in, libcc.fs:
	support different libtool names (based on configure.in)

	* libcc.fs:
	libcc now outputs errors on stderr and does not require LIB-ERROR

	* configure.in, engine/forth.h, engine/main.c, libcc.fs, prim:
	libcc.fs now uses libtool
	OPEN-LIB and LIB-SYM now call libltdl (libtool) functions
	  probably needs some additional adjustment in configure.in
	added LIB-ERROR

2007-11-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* .cvsignore, config.guess, config.sub, doc/.cvsignore, engine/.cvsignore, netlib/.cvsignore:
	added stuff to the .cvsignore files (thanks to Dennis Ruffer)
	updated config.guess, config.sub to the latest versions

	* test/ttester.fs: another ttester.fs bugfix

	* test/ttester.fs:
	ttester.fs improved error reporting: once more with unified stack

	* test/ttester.fs: ttester.fs bugfix and improved error reporting

2007-11-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/ttester.fs: fixed typo, comment case

2007-10-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, kernel/cond.fs, libcc.fs:
	added -DBURG_FORMAT compile-time option for generating burg grammars etc.
	cleaned up debugp() definition
	documentation bugfix (ELSE)

	* engine/main.c: added --print-sequences

2007-10-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/ttester.fs:
	ttester bugfix: ...}T now handles non-empty start-depths

2007-10-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* history.fs: CTRL ? now works

	* history.fs:
	CTRL now works with lower-case letters <bill-3F687F.10282322102007@cnews.newsguy.com>

	* Makefile.in, search.fs, test/search.fs:
	bugfix <2007Oct22.192528@mips.complang.tuwien.ac.at> and cleanup

2007-10-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/xchars.fs, utf-8.fs: Better xhold (no buffer)
	Fixed +x/string deferred words

	* fft.fs, kernel/xchars.fs: Added xhold

2007-10-03  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, complex.fs: Added stack comments to complex.fs

	* Makefile.in, regexp.fs:
	Added glossary entries to regexp (but no documentation chapter)

	* oldlib.fs: Changed oldlib words

	* doc/gforth.ds, kernel/xchars.fs, utf-8.fs:
	Added documentation for xchars

2007-09-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* history.fs, vt100key.fs: Made new scheme work in different bases
	Added first/last key do vt100key.fs

	* history.fs: Fixes for command line editing

	* comp-i.fs, engine/forth.h, engine/main.c, kernel/aliases0.fs, kernel/comp.fs, prim, see.fs:
	Constants compile to literals

2007-09-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Agenda, NEWS: small fixes in NEWS and Agenda

2007-09-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, savesys.fs:
	DESTDIR is now not in the INCLUDED-FILES of the installed gforth.fi

2007-09-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in: install TAGS are now created correctly (untested).

2007-09-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim, test/signals.fs: workaround for lesser m4s in prim
	disabled aggressive test in test/signals.fs that led to spurious failures

2007-09-15  Bernd Paysan  <bernd.paysan@gmx.de>

	* utf-8.fs: Added environment query for encoding

	* kernel/xchars.fs, utf-8.fs:
	Xchar changes after discussion at EuroForth 2007

2007-09-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* NEWS, NEWS.vmgen: Updated NEWS.vmgen (incomplete?) and NEWS

	* ChangeLog: Updated ChangeLog

2007-09-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c:
	bugfix (reserve stack space for FTOS even if USE_NO_FTOS is defined)
	  A better way to fix this would be to use an appropriate cache-fast.vmg

2007-08-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/ttester.fs: documentation changes, eliminated FSENSITIVITY

	* test/tester.fs, test/ttester.fs: ttester.fs now preserves BASE

2007-08-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/ttester.fs: bugfixes

2007-08-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, engine/support.c, prim, Makefile.in:
	OPEN-FILE with W/O no longer creates or truncates files (probably bugfix)
	  compatibility file for old code missing
	Bugfix in Makefile.in

	* test/tester.fs: added licensing header for tester.fs

	* COPYING.LIB, Makefile.in, test/ttester.fs:
	Inserted attribution and Copyright for ftester stuff into ttester.fs
	Include COPYING.LIB because of the ftester stuff

2007-08-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, test/tester.fs, test/ttester.fs:
	split test/ttester.fs off from test/tester.fs.
	added support for ftester-style approximate matching.
	added support for approximate matching on shared-stack systems (RXRX}T etc.).

	* doc/gforth.ds, engine/support.c, test/float.fs:
	rewrote to_float to fix bugs reported in <89241137153560@frunobulax.edu>.
	added tests for these bugs.
	unrelated documentation bugfix.

2007-08-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* quotes.fs: Documentation bugfix

2007-08-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, gforth.el:
	gforth.el: changes for byte-compiling (from Darren Bane, see
	           <https://savannah.gnu.org/bugs/index.php?20674>)
	Makefile.in: generate and install gforth.elc

	* BUILD-FROM-SCRATCH, Makefile.in:
	minor fixes suggested by Aleksej Saushev

2007-08-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/tester.fs: changed comments in test/tester.fs

	* test/tester.fs: minor changes in test/tester.fs

	* test/tester.fs: added fp stuff to test/tester.fs

	* kernel/int.fs, test/tester.fs:
	Now signs after the number prefix are accepted.
	Tester can now work with non-empty stacks at the start

2007-08-11  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, quotes.fs:
	made s\" conform with RfD v4 of X:escaped-strings
	de-documented \"-parse (internal word, not clean enough for general consumption)

2007-08-10  Bernd Paysan  <bernd.paysan@gmx.de>

	* fft.fs: Added hamming filter to FFT

2007-07-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in: Don't try to distribute doc/texinfo.tex (deleted)

	* doc/texinfo.tex: removed texinfo.tex (buggy with current etex=pdftex)

2007-07-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, libcc.fs:
	Bugfix for <http://savannah.gnu.org/bugs/?20544> (mostly from Darren Bane)

2007-07-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* history.fs, wf.fs: Fixed UTF-8 problem in wf.fs

2007-07-14  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/io.c, kernel/xchars.fs, utf-8.fs:
	Changes to bring utf-8.fs up to current XCHAR proposal

2007-07-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in: enhanced 'make checkdoc'

	* doc/gforth.ds, prims2x.fs:
	minor bugfixes (left-over stack items) in prims2x.fs
	fixed documentation bugs

2007-07-07  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* cache-fast0.vmg, cache-fast1.vmg, cache-fast2.vmg, cache-fast3.vmg, cache-fast4.vmg, cache-fast5.vmg, cache-fast6.vmg, cache-fast7.vmg, cache-fast8.vmg, cache0.vmg, cache1.vmg:
	minor cleanups

	* arch/amd64/machine.h, cache-fast1.vmg, engine/engine.c, engine/forth.h:
	enabled fpTOS caching

2007-07-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/input.fs, kernel/int.fs, kernel/tools.fs, answords.fs, blocks.fs, doc/gforth.ds, doc/makedoc.fs, extend.fs, float.fs, glocals.fs, prim, search.fs:
	fixed most problems reported by "make checkdoc"

	* BUILD-FROM-SCRATCH: improved BUILD-FROM-SCRATCH

2007-07-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* BUILD-FROM-SCRATCH, Makefile.in:
	checkone now doesn't compare #line lines
	removed debugging tracer in BUILD-FROM-SCRATCH

	* BUILD-FROM-SCRATCH, configure.in:
	minor fixes (mostly suggested by Aleksej Saushev)

2007-07-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in: configure M4 automatically

	* Makefile.in: m4 is now called throug make variable M4

2007-07-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/io.c, history.fs, kernel/accept.fs:
	Changed getkey so that an EINTR error gives ^L instead of EOF

	* engine/io.c: Use timespec struct (should be portable)

	* engine/io.c, history.fs: Fixed key_avail on Alpha

2007-07-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/alpha/machine.h: minor bugfix

	* arch/amd64/machine.h, engine/main.c, arch/386/machine.h, arch/alpha/machine.h:
	generalized code padding and added 386 and AMD64 padding

	* engine/main.c: native branch target alignment for Alpha.  Speedup:
	   sieve bubble matrix  fib
	    1.309 1.160  1.409 1.834 without code alignment
	    0.906 1.040  1.242 1.040 with code alignment

2007-07-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* history.fs: Removed KEY? in AT-XY?

2007-06-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* lib.fs: Fix for libc also where it belongs (lib.fs)

	* kernel/accept.fs, unix/socket.fs, history.fs, utf-8.fs:
	Added darwin test to libc load in socket.fs
	Fix for terminal resize problem

2007-06-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim: optimized J and K (don't use doubles, gcc bug)

	* Makefile, configure, configure.in, engine/Makefile.in, engine/longlong.h, engine/main.c, engine/support.c, machpc.fs:
	fixed minor bug in -falign-* configure tests
	cleaned up dependencies on .h files in engine/Makefile.in
	made Alpha port compile with gcc-2.95 (disabled longlong.h division)
	optimized Alpha port:
	  use old division code
	  native code after a jump is now aligned.  Speed effect:
	   sieve bubble matrix  fib
	    1.950 1.605  1.259 1.653 b1 gcc-3.3.5
	    1.453 1.932  1.230 1.458 b1 gcc-3.3.5 with alignment
	  aligning branch targets would probably also help

	* configure.in:
	now engine is compiled with -falign-loops=1 -falign-jumps=1 if available

2007-06-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in: added struct0x.fs to dist

	* doc/gforth.ds, startup.fs, struct0x.fs:
	Implemented and documented X:structures

	* cache-fast0.vmg: disabled unnecessary states from cache-fast0.vmg

2007-06-24  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in: Detect -m32 option on x86_64 (makes machine=386)

	* arch/386/machine.h: Found register combination for gcc 4.2.0

2007-06-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in: updated asm_fs and disasm_fs detection for new autoconf

2007-06-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in, prim:
	Optimize ?BRANCH and friends with conbranch_opt (configure variable)

	* doc/gforth.ds:
	added SEE-CODE SEE-CODE-RANGE (shows dynamic native code)

	* configure.in, simp-see.fs:
	added SEE-CODE SEE-CODE-RANGE (shows dynamic native code)
	deleted use of -fforce-mem (not present in gcc-4.2)
	added use of -falign-labels=1
	  (maybe use -falign-loops=1 instead and only for engines)

	* arch/386/machine.h: make --enable-force-reg work with gcc-4.1

2007-06-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/io-nxt.c, Makefile.in, arch/arm/nxt/at91sam7s256.h, arch/arm/nxt/bt.c, arch/arm/nxt/udp.c, arch/arm/nxt/udp.h, history.fs:
	Some work on Gforth NXT
	last potential problem with line editing fixed

2007-06-16  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/arm/nxt/bt.c, engine/io-nxt.c, history.fs: Fixed paste error
	Some further tries to get Gforth NXT to talk to me

2007-06-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* startup.fs: added X:ekeys extension query

	* doc/gforth.ds: documented X:ekeys

2007-06-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* ekey.fs: Implemented X:ekeys (no documentation yet)
	added sequences for various shifted, ctrled, and alted special keys

2007-06-09  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/main.c, history.fs: Backed out bugfix for old Cygwin
	Bug fix + correct cygwin fix in history.fs

2007-06-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/libcc.fs, doc/gforth.ds, libcc.fs:
	Documented and tested calling C function pointers

2007-06-07  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/main.c, history.fs: Fixes for cygwin

2007-06-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Agenda, Makefile.in, NEWS, configure.in, engine/libcc.h, engine/libcc.h.in, libcc.fs:
	documentation changes
	Updates in Makefile.in to reflect newer autoconf usage
	Distribution and installation of libcc stuff
	libcc header files are now found automatically
	Disabled vmgen installation

2007-06-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, INSTALL: added missing dependency
	documentation changes

	* config.guess, config.sub, configure.in, elisp-comp, install-sh, missing:
	updated date in configure.in
	updated files coming from autoconf to autoconf-2.61

	* Agenda, NEWS, README, endtry-iferror.fs, recover-endtry.fs:
	updated Changelog, NEWS, Agenda.  Documentation changes

	* ChangeLog: updated ChangeLog

2007-06-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: documentation changes

	* Makefile.in, libcc.fs, prim, startup.fs: libcc.fs is now in gforth.fi
	documentation changes

	* doc/gforth.ds, test/libcc.fs: minor fixes

	* doc/gforth.ds, lib.fs, libcc.fs, test/libcc.fs: more libcc.fs tests
	documented C interface (libcc)
	lib.fs now aborts if neither libffi nor ffcall are available (oldlib.fs is
	  incompatible)

2007-05-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libcc.fs: libcc now puts its files into

2007-05-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libcc.fs: libcc now manages several batches

	* test/libcc.fs: additional libcc test

2007-05-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libcc.fs: minor libcc.fs bugfix

	* libcc.fs, test/libcc.fs: split test/libcc.fs from libcc.fs

2007-05-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/arm/nxt/bt.c: Mode check

2007-05-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, doc/gforth.ds:
	Use MAP_NORESERVE on OSs that support it to overcommit dict and stack memory
	Added --vm-commit option to turn off MAP_NORESERVE

2007-05-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in, engine/forth.h, engine/support.c, prim:
	use nanosleep() for MS where available (thanks to Shawn K. Quinn).

2007-05-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* history.fs: Even better handling with keys in the buffer

	* history.fs: Better handling of keys in the buffer

	* kernel/xchars.fs, history.fs, utf-8.fs: Changes for xchar proposal
	Fixed cursor handing for multi-line edits on last line

2007-05-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* unix/socket.fs: reintroduced FAMILY+PORT

2007-04-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libcc.fs:
	more libcc work: now can handle multiple functions (one batch)

	* libcc.fs: more libcc work

2007-04-24  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/arm/nxt/bt.c, engine/io-nxt.c: Fixed important bug

	* arch/arm/nxt/display.c, engine/io-nxt.c:
	Fruitless attempt to get a bit further with NXT Bluetooth

2007-04-23  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/arm/nxt/bt.c, engine/io-nxt.c:
	More tries to get Bluetooth to work

2007-04-22  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/io-nxt.c: Some further progress with bluetooth

	* engine/io-nxt.c:
	Some further progress with Bluetooth (not running, though)

	* configure.in, engine/support.c: Make sure normal setup works

	* arch/arm/nxt/config.nxt: Added config script

	* arch/arm/nxt/display.c, engine/io-nxt.c, engine/main.c:
	Gforth says "hello"

	* arch/arm/nxt/aic.c, arch/arm/nxt/aic.h, arch/arm/nxt/bt.c, arch/arm/nxt/bt.h, arch/arm/nxt/byte_fifo.c, arch/arm/nxt/byte_fifo.h, arch/arm/nxt/display.c, arch/arm/nxt/display.h, arch/arm/nxt/i2c.c, arch/arm/nxt/i2c.h, arch/arm/nxt/init.s, arch/arm/nxt/interrupts.h, arch/arm/nxt/interrupts.s, arch/arm/nxt/irq.s, arch/arm/nxt/make.inc, arch/arm/nxt/mytypes.h, arch/arm/nxt/nxt_avr.c, arch/arm/nxt/nxt_avr.h, arch/arm/nxt/nxt_lcd.c, arch/arm/nxt/nxt_lcd.h, arch/arm/nxt/nxt_motors.c, arch/arm/nxt/nxt_motors.h, arch/arm/nxt/nxt_spi.c, arch/arm/nxt/nxt_spi.h, arch/arm/nxt/sound.c, arch/arm/nxt/sound.h, arch/arm/nxt/systick.c, arch/arm/nxt/systick.h, arch/arm/nxt/twi.c, arch/arm/nxt/twi.h, arch/arm/nxt/uart.c, arch/arm/nxt/uart.h, arch/arm/nxt/udp.c, arch/arm/nxt/udp.h, arch/arm/nxt/vectors.s, engine/Makefile.in, engine/io-nxt.c, arch/arm/nxt/AT91SAM7.h, configure.in:
	NXT Gforth now compiles (but doesn't run yet)

2007-04-15  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/arm/nxt/gforth.ld, arch/arm/nxt/vectors.s, configure.in, engine/Makefile.in, engine/main.c, engine/support.c:
	Configure work to make Gforth on NXT compile without much effort

2007-04-09  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/io-nxt.c: NXT-specific IO file (stub)

	* Makefile.in, arch/generic/machine.h, configure.in, engine/Makefile.in, engine/io.c, engine/main.c, engine/support.c, fi2c.fs, machpc.fs.in:
	Some stuff to get closer to run Gforth on NXT

2007-04-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libcc.fs: more work on libcc

2007-04-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in, cross.fs, engine/engine.c, prim:
	C-based EC version runs now on OS hosted system.

	* configure.in, engine/signals.c: Added cygwin define

2007-03-31  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in, cross.fs, engine/Makefile.in, engine/engine.c, engine/main.c, etags.fs, kernel/basics.fs, prim:
	Further work on NXT Gforth
	Fixed problem with useless kernel error messages
	TAGS generation works again

2007-03-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, prim:
	documented FORM and reorganized related documentation

2007-03-31  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/generic/machine.h, engine/forth.h, engine/signals.c, fi2c.fs, machpc.fs.in:
	Work on Gforth NXT

2007-03-25  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, arch/generic/machine.h, configure.in, cross.fs, engine/Makefile.in, engine/main.c, engine/signals.c, engine/support.c, fi2c.fs, kernel/io.fs, machpc.fs.in, prim:
	C-based Gforth EC starts to work

2007-03-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in, engine/engine.c: portability fixes for ARM

2007-03-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/r8c/prim.fs, fi2c.fs, kernel/int.fs, machpc.fs.in:
	Fixed some small problems further along to compile on NXT

2007-03-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in: added new files to make dist

2007-03-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/engine.c, engine/main.c, kernel/basics.fs, kernel/int.fs, kernel/io.fs, kernel/kernel.fs, machpc.fs.in:
	Another step in direction to compile for NXT

2007-03-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in, onebench.fs:
	changed benchmarking code (use Gforth instead of GNU time)
	more assembler comment syntax variants

	* Benchres, arch/arm/cacheflush0.c, arch/arm/cacheflush1.c, arch/arm/cacheflush2.c, arch/arm/machine.h, configure.in:
	Added some support for ARM cache flushing

	* Makefile.in: added missing dependency for running autoheader

2007-03-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in, engine/engine.c:
	portability fixes for sparc-sun-solaris2.10:
	  Support assembler comments other than "#", plus fallback
	  better GNU make detection (does not make during configuring any more)

2007-03-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Benchres: added UltraSparc T1 results

	* Benchres: added Xscale results

2007-03-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Benchres, kernel/comp.fs, kernel/int.fs: documentation changes

2007-03-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* extend.fs: M*/ now also works on symmetric-division systems

2007-03-04  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in: Removed stupid machpc.fs regeneration in Makefile.in

	* engine/engine.c, fi2c.fs:
	better image to C conversion - let the linker do the the relocating

2007-03-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in:
	make dist patch from Josh Message-ID: <20070301220740.GA32518@qualdan>

2007-03-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim, test/dbltest.fs:
	--enable-force-cdiv now works for */ and */MOD (but not M*/)
	added test case for M*/

	* gforth-cgi.fs: added example cgi script

2007-02-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in, engine/threaded.h:
	GCC_PR15242_WORKAROUND is now a configure variable, not an option
	default is now to use the workaround for gcc-3.x, but not for other gccs

2007-02-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: prims2x.fs backwards compatibility

2007-02-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/vars.fs, debugs.fs, doc/gforth.ds, kernel/basics.fs, libcc.fs, prims2x.fs, stuff.fs:
	changed >OUTFILE ... OUTFILE< to OUTFILE-EXECUTE
	changed >INFILE ... INFILE< to INFILE-EXECUTE
	added BASE-EXECUTE
	related documentation changes

	* Makefile.in: added new files to package
	nicer onebench output

	* except.fs, test/gforth.fs: THROW bugfix
	added tests for new TRY variants

2007-02-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, endtry-iferror.fs, gforth.el, recover-endtry.fs:
	added support for new try words in gforth.el
	added compatibility files endtry-iferror.fs recover-endtry.fs

2007-02-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* blocks.fs, doc/gforth.ds, except.fs:
	added endtry-iferror and used it in blocks.fs
	documented new try... constructs

2007-02-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* blocks.fs: deal properly with the absence of RECOVER, next try

	* blocks.fs: deal properly with the absence of RECOVER

	* blocks.fs, except.fs, prims2x.fs, see.fs, stuff.fs:
	added RESTORE and IFERROR, deleted RECOVER (undocumented)

	* except.fs:
	changed TRY...RECOVER...ENDTRY to also cover the code between RECOVER
	  and ENDTRY; not yet documented
	Threw out RETHROW

2007-02-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* fi2c.fs, lib.fs:
	Changed fi2c so that the included C image can be relocated at read time
	Added a libc definition to lib.fs

2007-02-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/support.c: minor fix

	* Makefile.in, configure.in: more changes for SELinux black magic

2007-02-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in, engine/support.c: minor fixes

	* configure.in: workaround for SELinux mmap breakage

2007-02-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libcc.fs: some work on batching c functions

2007-02-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libcc.fs: more work on libcc.fs

2007-02-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/gforth-nofast.fs: fixed compatibility with some BSD

	* engine/ecvt.c: added inf and nan handling to our replacement ecvt()

	* configure.in, prim: eliminated GNU-m4-specific usage

2007-02-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, contrib/divspeed.fs, compat/struct.fs, struct.fs:
	documentation bug fixes thanks to Sam Falvo and Viktor Pavlu

2007-01-25  Bernd Paysan  <bernd.paysan@gmx.de>

	* extend.fs: M*/ is now floored

2007-01-21  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/engine.c, engine/forth.h, engine/main.c, arch/generic/machine.h, configure.in:
	Some more work to get a C-based Gforth EC work with autoconf

2007-01-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: minor changes

2007-01-21  Bernd Paysan  <bernd.paysan@gmx.de>

	* doc/gforth.ds, machpc.fs.in, Makefile.in, configure.in:
	Started with Gforth EC NXT

2007-01-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: improved stack boundary memory protection

2007-01-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, errors.fs, libcc.fs, search.fs:
	lists and C prelude stuff in libcc.fs
	minor changes

2007-01-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in: minor bugfix

	* INSTALL: updated cross-configuration information

2007-01-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* fflib.fs: Bugfix (thanks to Dennis Ruffer)

	* engine/forth.h, engine/support.c, configure.in, prim:
	On PPC now long long is used except with gcc-2.95
	BUGGY_LONG_LONG now works again

2006-12-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* update-copyright-blacklist:
	some more files in update-copyright-blacklist

	* test/float.fs, test/gforth.fs, unix/socket.fs, kernel/io.fs, kernel/kernel.fs, kernel/main.fs, kernel/nio.fs, kernel/pass.fs, kernel/paths.fs, kernel/require.fs, kernel/saccept.fs, kernel/tools.fs, kernel/vars.fs, kernel/xchars.fs, kernel/accept.fs, kernel/aliases0.fs, kernel/args.fs, kernel/basics.fs, kernel/cbr.fs, kernel/cloop.fs, kernel/comp.fs, kernel/errore.fs, kernel/files.fs, kernel/getdoers.fs, kernel/input.fs, ec/shex.fs, engine/Makefile.in, engine/dblsub.c, engine/engine.c, engine/forth.h, engine/io.c, engine/longlong.h, engine/main.c, engine/signals.c, engine/support.c, doc/gforth.ds, arch/386/machine.h, arch/amd64/machine.h, arch/misc/prim.fs, startup.fs, stuff.fs, update-copyright, update-copyright-blacklist, utf-8.fs, wf.fs, fflib.fs, fixpath.fs, float.fs, hash.fs, history.fs, httpd.fs, lib.fs, libffi.fs, prim, prims2x.fs, proxy.fs, regexp.fs, savesys.fs, see.fs, debugs.fs, ekey.fs, envos.fs.in, except.fs, ans-report.fs, backtrac.fs, blocks.fs, cache-fast1.vmg, cross.fs, Makefile.in, NEWS, NEWS.vmgen, README, BUILD-FROM-SCRATCH, Benchres, ChangeLog, Makedist.in:
	updated copyright years

	* update-copyright: changed output format

	* contrib/divspeed.fs: minor change

	* README: documentation change

2006-12-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* see.fs, tt.fs: minor code cleanup

	* doc/gforth.ds: documentation bugfix (thanks to Josh)

2006-12-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libcc.fs, except.fs: libcc with first working function

	* debugs.fs, float.fs, stuff.fs, doc/gforth.ds:
	added >OUTFILE ... OUTFILE<, >INFILE...INFILE< and use it in ~~

2006-12-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/libcc.h, libcc.fs: more work on libcc

	* libcc.fs: more work on libcc.fs

2006-12-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* libcc.fs, savesys.fs: progress on libcc.fs
	renamed SAVE-STRING-DICT into SAVE-MEM-DICT (cf. SAVE-MEM).

2006-12-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, ans-report.fs, xwords.fs:
	ans-report.fs now reports CfV extensions

	* ans-report.fs, answords.fs: marked obsolescent words as such

2006-11-28  Bernd Paysan  <bernd.paysan@gmx.de>

	* history.fs: History disabling in xchar mode

2006-11-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/cloop.fs: Fixed LEAVE on flash targets

2006-11-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, engine/Makefile.in:
	updated Makefile.ins with engine/longlong.h dependencies

	* engine/longlong.h, engine/support.c:
	Mixed division support now uses the routines from gcc's longlong.h

2006-10-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/386/machine.h, arch/amd64/machine.h, prim:
	Simplified FM/MOD SM/REM UM/MOD to use fmdiv or 5-argument ASM_...
	Eliminated 4-argument ASM_...

	* prim: */ and */mod now use ASM_SM_SLASH_REM if available

	* engine/dblsub.c, engine/forth.h, engine/support.c, prim:
	new double-by-single division code
	rewrote double-by-single-division code to work with long longs
	started using the double-by-single-division code instead of C long long division  (fm/mod)

2006-10-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* contrib/divspeed.fs: updated contrib/divspeed.fs

2006-10-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, contrib/divspeed.fs, test/coremore.fs, test/gforth-nofast.fs, test/gforth.fs:
	rearranged tests
	added contrib/divspeed.fs by Krishna Myneni

2006-10-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, test/gforth-nofast.fs, test/gforth.fs, doc/gforth.ds, prim, Makefile.in:
	Disabled division checks in gforth-fast
	documented that and the floored division default

2006-10-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, prims2x.fs:
	eliminated some "Cell" mentions from prims2x.fs
	added some comments to gforth.ds

2006-10-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, engine/dblsub.c: optimized checking in dblsub.c
	documentation changes

2006-10-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/dblsub.c, engine/engine.c, engine/forth.h, prim:
	fixes to make the division checking work with dblsub.c

	* test/gforth.out, engine/engine.c, engine/forth.h, engine/signals.c, test/coretest.out, test/gforth.fs, Makefile.in, engine/dblsub.c, prim:
	added checking for division by zero and division overflow to
	  mixed-size division words (*/ */mod fm/mod sm/rem um/mod).
	these exceptions are now tested in our test suite
	fixed bug in testing

2006-10-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/forth.h, engine/signals.c, prim:
	explicit checks for division by zero and overflow on division

	* engine/forth.h, engine/main.c, engine/signals.c, doc/gforth.ds:
	added --ignore-async-signals
	fixed typo

2006-10-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: more PPC assembler documentation

2006-10-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, arch/power/asm.fs, arch/power/disasm.fs, arch/power/inst.fs, doc/gforth.ds:
	Integrated and documented the PowerPC assembler.

	* arch/power/test/mnemonic/xo/north.mulhwu, arch/power/test/mnemonic/xo/north.mulld, arch/power/test/mnemonic/xo/north.mullw, arch/power/test/mnemonic/xo/north.neg, arch/power/test/mnemonic/xo/north.subf, arch/power/test/mnemonic/xo/north.subfc, arch/power/test/mnemonic/xo/north.subfe, arch/power/test/mnemonic/xo/north.subfme, arch/power/test/mnemonic/xo/north.subfze, arch/power/test/mnemonic/xs/mnemonics, arch/power/test/mnemonic/xs/north.sradi, arch/power/test/mnemonic/xl/north.rfid, arch/power/test/mnemonic/xo/CHECK, arch/power/test/mnemonic/xo/mnemonics, arch/power/test/mnemonic/xo/north.add, arch/power/test/mnemonic/xo/north.addc, arch/power/test/mnemonic/xo/north.adde, arch/power/test/mnemonic/xo/north.addme, arch/power/test/mnemonic/xo/north.addze, arch/power/test/mnemonic/xo/north.divd, arch/power/test/mnemonic/xo/north.divdu, arch/power/test/mnemonic/xo/north.divw, arch/power/test/mnemonic/xo/north.divwu, arch/power/test/mnemonic/xo/north.mulhd, arch/power/test/mnemonic/xo/north.mulhdu, arch/power/test/mnemonic/xo/north.mulhw, arch/power/test/mnemonic/xfx/north.mtspr, arch/power/test/mnemonic/xl/CHECK, arch/power/test/mnemonic/xl/mnemonics, arch/power/test/mnemonic/xl/north.bcctr, arch/power/test/mnemonic/xl/north.bclr, arch/power/test/mnemonic/xl/north.crand, arch/power/test/mnemonic/xl/north.crandc, arch/power/test/mnemonic/xl/north.creqv, arch/power/test/mnemonic/xl/north.crnand, arch/power/test/mnemonic/xl/north.crnor, arch/power/test/mnemonic/xl/north.cror, arch/power/test/mnemonic/xl/north.crorc, arch/power/test/mnemonic/xl/north.crxor, arch/power/test/mnemonic/xl/north.isync, arch/power/test/mnemonic/xl/north.mcrf, arch/power/test/mnemonic/xl/north.rfi, arch/power/test/mnemonic/x/north.tlbie, arch/power/test/mnemonic/x/north.tlbsync, arch/power/test/mnemonic/x/north.tw, arch/power/test/mnemonic/x/north.xor, arch/power/test/mnemonic/xfl/CHECK, arch/power/test/mnemonic/xfl/mnemonics, arch/power/test/mnemonic/xfl/north.mtfsf, arch/power/test/mnemonic/xfx/CHECK, arch/power/test/mnemonic/xfx/mnemonics, arch/power/test/mnemonic/xfx/north.mfspr, arch/power/test/mnemonic/xfx/north.mftb, arch/power/test/mnemonic/xfx/north.mtcrf, arch/power/test/mnemonic/x/north.sthbrx, arch/power/test/mnemonic/x/north.sthux, arch/power/test/mnemonic/x/north.sthx, arch/power/test/mnemonic/x/north.stswi, arch/power/test/mnemonic/x/north.stswx, arch/power/test/mnemonic/x/north.stwbrx, arch/power/test/mnemonic/x/north.stwcx., arch/power/test/mnemonic/x/north.stwux, arch/power/test/mnemonic/x/north.stwx, arch/power/test/mnemonic/x/north.sync, arch/power/test/mnemonic/x/north.td, arch/power/test/mnemonic/x/north.tlbia, arch/power/test/mnemonic/x/north.srd, arch/power/test/mnemonic/x/north.srw, arch/power/test/mnemonic/x/north.stbux, arch/power/test/mnemonic/x/north.stbx, arch/power/test/mnemonic/x/north.stdcx., arch/power/test/mnemonic/x/north.stdux, arch/power/test/mnemonic/x/north.stdx, arch/power/test/mnemonic/x/north.stfdux, arch/power/test/mnemonic/x/north.stfdx, arch/power/test/mnemonic/x/north.stfiwx, arch/power/test/mnemonic/x/north.stfsux, arch/power/test/mnemonic/x/north.stfsx, arch/power/test/mnemonic/x/north.mtsr, arch/power/test/mnemonic/x/north.mtsrd, arch/power/test/mnemonic/x/north.mtsrdin, arch/power/test/mnemonic/x/north.mtsrin, arch/power/test/mnemonic/x/north.nand, arch/power/test/mnemonic/x/north.nor, arch/power/test/mnemonic/x/north.or, arch/power/test/mnemonic/x/north.orc, arch/power/test/mnemonic/x/north.slbia, arch/power/test/mnemonic/x/north.slbie, arch/power/test/mnemonic/x/north.sld, arch/power/test/mnemonic/x/north.slw, arch/power/test/mnemonic/x/north.srad, arch/power/test/mnemonic/x/north.sraw, arch/power/test/mnemonic/x/north.srawi, arch/power/test/mnemonic/x/north.lwaux, arch/power/test/mnemonic/x/north.lwax, arch/power/test/mnemonic/x/north.lwbrx, arch/power/test/mnemonic/x/north.lwzux, arch/power/test/mnemonic/x/north.lwzx, arch/power/test/mnemonic/x/north.mcrfs, arch/power/test/mnemonic/x/north.mcrxr, arch/power/test/mnemonic/x/north.mfcr, arch/power/test/mnemonic/x/north.mffs, arch/power/test/mnemonic/x/north.mfmsr, arch/power/test/mnemonic/x/north.mfsr, arch/power/test/mnemonic/x/north.mfsrin, arch/power/test/mnemonic/x/north.mtfsb0, arch/power/test/mnemonic/x/north.mtfsb1, arch/power/test/mnemonic/x/north.mtfsfi, arch/power/test/mnemonic/x/north.mtmsr, arch/power/test/mnemonic/x/north.mtmsrd, arch/power/test/mnemonic/x/north.icbi, arch/power/test/mnemonic/x/north.lbzux, arch/power/test/mnemonic/x/north.lbzx, arch/power/test/mnemonic/x/north.ldarx, arch/power/test/mnemonic/x/north.ldux, arch/power/test/mnemonic/x/north.ldx, arch/power/test/mnemonic/x/north.lfdux, arch/power/test/mnemonic/x/north.lfdx, arch/power/test/mnemonic/x/north.lfsux, arch/power/test/mnemonic/x/north.lfsx, arch/power/test/mnemonic/x/north.lhaux, arch/power/test/mnemonic/x/north.lhax, arch/power/test/mnemonic/x/north.lhbrx, arch/power/test/mnemonic/x/north.lhzux, arch/power/test/mnemonic/x/north.lhzx, arch/power/test/mnemonic/x/north.lswi, arch/power/test/mnemonic/x/north.lswx, arch/power/test/mnemonic/x/north.lwarx, arch/power/test/mnemonic/x/north.eieio, arch/power/test/mnemonic/x/north.eqv, arch/power/test/mnemonic/x/north.extsb, arch/power/test/mnemonic/x/north.extsh, arch/power/test/mnemonic/x/north.extsw, arch/power/test/mnemonic/x/north.fabs, arch/power/test/mnemonic/x/north.fcfid, arch/power/test/mnemonic/x/north.fcmpo, arch/power/test/mnemonic/x/north.fcmpu, arch/power/test/mnemonic/x/north.fctid, arch/power/test/mnemonic/x/north.fctidz, arch/power/test/mnemonic/x/north.fctiw, arch/power/test/mnemonic/x/north.fctiwz, arch/power/test/mnemonic/x/north.fmr, arch/power/test/mnemonic/x/north.fnabs, arch/power/test/mnemonic/x/north.fneg, arch/power/test/mnemonic/x/north.frsp, arch/power/test/mnemonic/x/mnemonics, arch/power/test/mnemonic/x/north.and, arch/power/test/mnemonic/x/north.andc, arch/power/test/mnemonic/x/north.cmp, arch/power/test/mnemonic/x/north.cmpl, arch/power/test/mnemonic/x/north.cntlzd, arch/power/test/mnemonic/x/north.cntlzw, arch/power/test/mnemonic/x/north.dcba, arch/power/test/mnemonic/x/north.dcbf, arch/power/test/mnemonic/x/north.dcbi, arch/power/test/mnemonic/x/north.dcbst, arch/power/test/mnemonic/x/north.dcbt, arch/power/test/mnemonic/x/north.dcbtst, arch/power/test/mnemonic/x/north.dcbz, arch/power/test/mnemonic/x/north.eciwx, arch/power/test/mnemonic/x/north.ecowx, arch/power/test/mnemonic/md/north.rldic, arch/power/test/mnemonic/md/north.rldicl, arch/power/test/mnemonic/md/north.rldicr, arch/power/test/mnemonic/md/north.rldimi, arch/power/test/mnemonic/mds/CHECK, arch/power/test/mnemonic/mds/mnemonics, arch/power/test/mnemonic/mds/north.rldcl, arch/power/test/mnemonic/mds/north.rldcr, arch/power/test/mnemonic/sc/mnemonics, arch/power/test/mnemonic/sc/north.sc, arch/power/test/mnemonic/x/CHECK, arch/power/test/mnemonic/ds/north.lwa, arch/power/test/mnemonic/ds/north.std, arch/power/test/mnemonic/ds/north.stdu, arch/power/test/mnemonic/i/CHECK, arch/power/test/mnemonic/i/mnemonics, arch/power/test/mnemonic/i/north.b, arch/power/test/mnemonic/m/CHECK, arch/power/test/mnemonic/m/mnemonics, arch/power/test/mnemonic/m/north.rlwimi, arch/power/test/mnemonic/m/north.rlwinm, arch/power/test/mnemonic/m/north.rlwnm, arch/power/test/mnemonic/md/CHECK, arch/power/test/mnemonic/md/mnemonics, arch/power/test/mnemonic/d/north.sthu, arch/power/test/mnemonic/d/north.stmw, arch/power/test/mnemonic/d/north.stw, arch/power/test/mnemonic/d/north.stwu, arch/power/test/mnemonic/d/north.subfic, arch/power/test/mnemonic/d/north.tdi, arch/power/test/mnemonic/d/north.twi, arch/power/test/mnemonic/d/north.xori, arch/power/test/mnemonic/d/north.xoris, arch/power/test/mnemonic/ds/mnemonics, arch/power/test/mnemonic/ds/north.ld, arch/power/test/mnemonic/ds/north.ldu, arch/power/test/mnemonic/d/north.lhau, arch/power/test/mnemonic/d/north.lhz, arch/power/test/mnemonic/d/north.lhzu, arch/power/test/mnemonic/d/north.lmw, arch/power/test/mnemonic/d/north.lwz, arch/power/test/mnemonic/d/north.lwzu, arch/power/test/mnemonic/d/north.mulli, arch/power/test/mnemonic/d/north.ori, arch/power/test/mnemonic/d/north.oris, arch/power/test/mnemonic/d/north.stb, arch/power/test/mnemonic/d/north.stbu, arch/power/test/mnemonic/d/north.stfd, arch/power/test/mnemonic/d/north.stfdu, arch/power/test/mnemonic/d/north.stfs, arch/power/test/mnemonic/d/north.stfsu, arch/power/test/mnemonic/d/north.sth, arch/power/test/mnemonic/d/north.lfd, arch/power/test/mnemonic/d/north.lfdu, arch/power/test/mnemonic/d/north.lfs, arch/power/test/mnemonic/d/north.lfsu, arch/power/test/mnemonic/d/north.lha, arch/power/test/mnemonic/d/north.addi, arch/power/test/mnemonic/d/north.addic, arch/power/test/mnemonic/d/north.addic., arch/power/test/mnemonic/d/north.addis, arch/power/test/mnemonic/d/north.andi., arch/power/test/mnemonic/d/north.andis., arch/power/test/mnemonic/d/north.cmpi, arch/power/test/mnemonic/d/north.cmpli, arch/power/test/mnemonic/d/north.lbz, arch/power/test/mnemonic/d/north.lbzu, arch/power/test/mnemonic/a/north.fnmsubs, arch/power/test/mnemonic/a/north.fres, arch/power/test/mnemonic/a/north.frsqrte, arch/power/test/mnemonic/a/north.fsel, arch/power/test/mnemonic/a/north.fsqrt, arch/power/test/mnemonic/a/north.fsqrts, arch/power/test/mnemonic/a/north.fsub, arch/power/test/mnemonic/a/north.fsubs, arch/power/test/mnemonic/b/mnemonics, arch/power/test/mnemonic/b/north.bdnz, arch/power/test/mnemonic/b/north.blt, arch/power/test/mnemonic/b/north.bne, arch/power/test/mnemonic/d/CHECK, arch/power/test/mnemonic/d/mnemonics, arch/power/test/mnemonic/a/CHECK, arch/power/test/mnemonic/a/mnemonics, arch/power/test/mnemonic/a/north.fadd, arch/power/test/mnemonic/a/north.fadds, arch/power/test/mnemonic/a/north.fdiv, arch/power/test/mnemonic/a/north.fdivs, arch/power/test/mnemonic/a/north.fmadd, arch/power/test/mnemonic/a/north.fmadds, arch/power/test/mnemonic/a/north.fmsub, arch/power/test/mnemonic/a/north.fmsubs, arch/power/test/mnemonic/a/north.fmul, arch/power/test/mnemonic/a/north.fmuls, arch/power/test/mnemonic/a/north.fnmadd, arch/power/test/mnemonic/a/north.fnmadds, arch/power/test/mnemonic/a/north.fnmsub, arch/power/test/mnemonic/test_disasm-inst.py, arch/power/tags/disasm-core/inst.fs, arch/power/tags/disasm-core/inst_field_test.sh, arch/power/tags/disasm-core/to_test, arch/power/tags/disasm-core/to_test2, arch/power/test/inst_field/befehle_binaer, arch/power/test/inst_field/inst_field_test.sh, arch/power/test/inst_field/to_test, arch/power/test/inst_field/to_test2, arch/power/test/mnemonic/find_mnemonic.sh, arch/power/test/mnemonic/find_mnemonics.sh, arch/power/test/mnemonic/make_unique.py, arch/power/test/mnemonic/test_all_forms.sh, arch/power/test/mnemonic/test_asm.py, arch/power/nofsfcopyright/asm.fs, arch/power/nofsfcopyright/disasm.fs, arch/power/nofsfcopyright/ops.fs, arch/power/paper/Makefile, arch/power/paper/asm_disasm_paper.tex, arch/power/paper/biblio.tex, arch/power/paper/chapter1.tex, arch/power/paper/chapter2.tex, arch/power/paper/chapter3.tex, arch/power/paper/chapter4.tex, arch/power/tags/disasm-core/befehle_binaer, arch/power/tags/disasm-core/disasm.fs, arch/power/tags/disasm-core/form_test.py, arch/power/asm.fs, arch/power/disasm.fs, arch/power/inst.fs:
	added PPC assembler by Michal Revucky; and another one without FSF copyright

2006-10-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, except.fs: documented NOTHROW

	* prim: bugfix

2006-10-11  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/basics.fs, kernel/input.fs, kernel/int.fs, blocks.fs, except.fs, wf.fs:
	Replaced rethrow solution with nothrow

2006-10-08  Bernd Paysan  <bernd.paysan@gmx.de>

	* except.fs, kernel/basics.fs, kernel/input.fs, kernel/int.fs, startup.fs, wf.fs, backtrac.fs, blocks.fs:
	Renamed THROW>ERROR to RETHROW

2006-10-07  Bernd Paysan  <bernd.paysan@gmx.de>

	* proxy.fs, unix/socket.fs: Fixes to make the proxy stuff work again

	* httpd.fs: Bugfixing and some comments about how to get it to work

	* unix/socket.fs: Generic libc.so for BSDs

	* httpd.fs:
	Catch mime-read so that it won't fail when there's no mime.types

	* unix/socket.fs: Fixes to socket.fs, proposed by Aleksejj Saushev

2006-10-03  Bernd Paysan  <bernd.paysan@gmx.de>

	* regexp.fs: Regexp replacements added

2006-09-15  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/main.c: Save callback global variables

2006-08-26  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/r8c/prim.fs, utf-8.fs, wf.fs: flash-enale fixed

2006-08-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/r8c/terminal.fs: Added welcome message to R8C terminal

2006-07-08  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/r8c/prim.fs, arch/r8c/terminal.fs:
	Nested file inclusion possible

2006-07-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/basics.fs: Fixed roll code

2006-06-09  Bernd Paysan  <bernd.paysan@gmx.de>

	* prim: Fixed buggy_long_long problems in ffi

2006-06-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* ekey.fs: Fixed EKEY with unicode

2006-06-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: reduced CODE_BLOCK_SIZE to 512k (for release)

2006-05-27  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makedist.in: Added some generated files to binary distribution list

	* arch/r8c/prim.fs, arch/r8c/tasker.fs, arch/r8c/tt.fs, kernel/saccept.fs:
	Bugfix in simple accept
	deferred PAUSE in Gforth R8C kernel (for ms)

	* arch/r8c/lauftext.fs, arch/r8c/prim.fs, arch/r8c/tasker.fs, arch/r8c/asm.fs, configure.in:
	Timer interrupt for Gforth R8C

2006-05-26  Bernd Paysan  <bernd.paysan@gmx.de>

	* backtrac.fs, except.fs, kernel/basics.fs, kernel/input.fs, kernel/int.fs, kernel/vars.fs:
	Fixed problem with error stack leftovers

2006-05-25  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/r8c/lauftext.fs, arch/r8c/prim.fs, fflib.fs, libffi.fs, prim:
	Added long/dlong type
	ADC-controlled running text
	Interrupt table space

2006-05-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, Agenda, Benchres, Makefile.in, NEWS, NEWS.vmgen:
	Makefile: undid change requiring gforth-fast to build first
	  other changes for packaging
	  added POST_INSTALL etc. tags
	Updated NEWS files to 2006-05-07
	minor documentation changes

2006-05-13  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/tools.fs, Makefile.in, arch/r8c/lauftext.fs, configure.in:
	Added texi2dvi[4a2ps] check
	Fixed maxdepth_.s glossary entry

2006-05-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* ChangeLog: updated Changelog (but not yet processed for NEWS)

2006-05-07  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/r8c/tasker.fs: Fixed multitasker bug

2006-05-07  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* see.fs:
	slightly improved behaviour for .WORD when it sees a nameless word

	* kernel/tools.fs, doc/gforth.ds, stuff.fs: documentation changes

2006-05-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in: Multitasker for R8C
	running light in background

2006-05-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in: moved chains.fs from KERN_SRC to EC_SRC

	* blocks.fs, hash.fs, history.fs, kernel/int.fs, utf-8.fs:
	eliminated INIT8 and the use of chains.fs

	* kernel/int.fs, doc/gforth.ds: documentation changes

2006-04-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs, kernel/tools.fs, kernel/comp.fs:
	Some simplifications for Gforth EC

	* kernel/int.fs: Disabled chaining for Gforth EC

2006-04-22  Bernd Paysan  <bernd.paysan@gmx.de>

	* iss.sh: Comment changed

	* iss.sh: Copyright for 2006 added

	* Makefile.in: R8C files added to distribution

2006-04-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* cross.fs: Make ram-mirror words visible

2006-04-14  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/io.c: Added setlocale() for numerals (set to "C")

2006-04-10  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs: Accident reverted

	* httpd.fs, kernel/int.fs, unix/socket.fs: HTTP fixes

2006-04-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* startup.fs: added X:required extension query

2006-04-09  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in: Build-ec setting at the right place

	* configure.in: Build-ec flag setting

	* Makefile.in: R8C data region cleanup
	build-ec execution flag set

	* Makedist.in: build-ec distribution

	* Makefile.in, build-ec.in, configure.in, fixpath.fs, iss.sh:
	Automatic fixpath
	Build script for EC

	* configure.in: Updated snapshot date

	* Makefile.in: Small changes

2006-04-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/io.c, prim: documentation changes
	another fix to getkey()

	* engine/io.c: more cleanup of key_avail() and getkey()

	* engine/io.c: bugfixes and cleanup of key_avail() and getkey()

	* engine/io.c: prep_terminal() only for stdin KEY-FILE?

2006-04-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, libcc.fs: added libcc.fs

2006-04-08  Bernd Paysan  <bernd.paysan@gmx.de>

	* iss.sh: Some fixes for Windows setup.exe

	* fixpath.fs, iss.sh: Fixes for windows distribution

	* Makedist.in, iss.sh: Changes for making distribution

2006-04-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in: dependence on envos.fs added

2006-04-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* lib.fs: bugfix (open declaration).

2006-04-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/io.c: docommented bugs in KEY?-FILE and KEY-FILE.

2006-04-02  Bernd Paysan  <bernd.paysan@gmx.de>

	* envos.fs: deteled envos.fs (envos.fs.in is the right way to go)

	* envos.fs: 8 bit mode terminal

2006-04-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: continued documenting the C interface

	* doc/gforth.ds, ekey.fs, prim: documentation changes

2006-04-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/main.c: Minor fix

	* configure.in, engine/main.c, envos.fs, envos.fs.in, Makefile.in:
	Environment OS from $host_os
	R8C changes
	Better output when there are no performance problems

2006-03-26  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/cbr.fs, kernel/cloop.fs, kernel/comp.fs, kernel/int.fs, kernel/io.fs, kernel/saccept.fs:
	Made tetris for terminal run on the R8C (almost, at least)

2006-03-25  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/basics.fs, kernel/errore.fs, kernel/int.fs, kernel/saccept.fs, kernel/vars.fs, cross.fs:
	Further R8C Forth additions: LCD init, ADC fetch, /line limit...

	* kernel/saccept.fs: R8C mods

2006-03-20  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: No xml header (due to IE)

2006-03-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Made ?xml optional

	* wf.fs: Some minor improvements
	reverted print-css

2006-03-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: minor documentation fix

2006-03-12  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, arch/misc/tt.fs: Docdist improvement

	* configure.in, BUILD-FROM-SCRATCH, Makefile.in: Another small fix

	* BUILD-FROM-SCRATCH:
	Added stamp-h.in creation when doing autoheader in BUILD-FROM-SCRATCH

2006-03-11  Bernd Paysan  <bernd.paysan@gmx.de>

	* doc/gforth.ds: Fixed broken Const-does> link

	* engine/engine.c, engine/forth.h, engine/main.c, prim:
	Added gforth_ prefix to some functions

	* doc/gforth.ds: Fixed links in C interface part

	* engine/main.c: Warnings squashing cont.

	* engine/support.c: Another warning suppression

	* Makefile.in: Generate fast prim first

	* engine/engine.c, engine/forth.h, engine/main.c, prim:
	Reduced warnings

	* engine/Makefile.in: stamp-h.in

	* Makefile.in: stamp-h dependency

2006-03-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs: Added savesystem for R8C

	* kernel/comp.fs: A few more fixes

	* kernel/comp.fs: Variables for flash

	* kernel/cbr.fs, kernel/comp.fs, kernel/int.fs, kernel/nio.fs, kernel/vars.fs, cross.fs:
	Flash-enabled Gforth EC

2006-03-04  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/comp.fs, kernel/int.fs, cross.fs:
	Beginning of a direct-flash Gforth

2006-02-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in: added DESTDIR support (see Make manual or GNU standards)
	  however, .INCLUDED is still wrong at the moment

2006-02-26  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/comp.fs: Started work on writing R8C data flash

	* kernel/comp.fs, kernel/int.fs: Enable data memory

	* kernel/comp.fs, kernel/getdoers.fs, kernel/int.fs, kernel/nio.fs, kernel/pass.fs, kernel/tools.fs, kernel/vars.fs:
	Further work on R8C forth

2006-02-25  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/comp.fs: Further R8C fixes, added LCD words

	* kernel/basics.fs, kernel/cbr.fs, kernel/comp.fs, kernel/int.fs, kernel/main.fs, kernel/saccept.fs, libffi.fs:
	R8C Forth works!

	* wf.fs, regexp.fs: R8C stuff

2006-02-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: started documenting the C interface

2006-02-21  Bernd Paysan  <bernd.paysan@gmx.de>

	* doc/gforth.ds:
	Added Xchar chapter stub so that manual generation works again

2006-02-20  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in, Makefile.in: make dist fixes in makefile
	problems with path separator on cygwin (now Unix-like again)

2006-02-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, utf-8.fs: minor changes

2006-02-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in, utf-8.fs: no u8width if wcwidth is not there
	bumped up intermediate version

	* configure.in, history.fs, kernel/int.fs, utf-8.fs:
	Further work on r8c
	Fix of history

2006-02-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds:
	Documented LC_* and LANG env vars, and updated Pedigree section

2006-02-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/io.c, kernel/comp.fs, kernel/int.fs, kernel/xchars.fs, history.fs, prim, utf-8.fs:
	Added x-width
	Further r8c work

2006-02-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* history.fs: less traffic for clear-line

	* kernel/accept.fs, history.fs:
	bugfix: command-line history and UTF-8 now work better

2006-02-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/aliases0.fs, kernel/comp.fs, kernel/getdoers.fs, cross.fs:
	Separated values from constants (cross and kernel sources, no engine yet)

2006-02-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/basics.fs, kernel/int.fs, cross.fs: Further progress on R8C

	* cross.fs: Improved R8C port (NEXT was wrong)

	* cross.fs, kernel/vars.fs: Fixed cross

2006-02-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, compat/execute-parsing.fs, doc/gforth.ds:
	added compat/execute-parsing.fs

2006-02-12  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs, kernel/kernel.fs, kernel/pass.fs, kernel/vars.fs, arch/misc/prim.fs, ec/shex.fs, kernel/comp.fs, cross.fs:
	More work on R8C port

2006-02-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/input.fs, kernel/int.fs:
	cleanup of the code dealing with the current lexeme

	* kernel/args.fs, kernel/input.fs, kernel/int.fs:
	even better error reporting (wrt trailing delimiters)

2006-02-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* ec/shex.fs, kernel/int.fs: More work on r8c port

2006-02-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/input.fs, kernel/int.fs, kernel/files.fs:
	better error reporting with input-parse-start
	updated copyright year in bootmessage

2006-02-04  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs, kernel/require.fs, engine/support.c, prim, regexp.fs:
	capscompare primitive added
	case insensitive regexp extension
	cleanup of error reports

2006-02-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/input.fs, kernel/int.fs, kernel/args.fs:
	more work on getting nice error messages for errors in
	   OS command line arguments

2006-01-31  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/require.fs, wf.fs: Partly reverted require.fs
	Added print css to wf

2006-01-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs: bugfix

	* kernel/args.fs, kernel/paths.fs, kernel/require.fs, kernel/vars.fs:
	INCLUDED and REQUIRED now provide nicer error messages

	* kernel/paths.fs: open-path-file now returns more informative iors.

2006-01-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs, kernel/kernel.fs, arch/misc/prim.fs, cross.fs, prim:
	Changes to make R8C port working

2006-01-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* stuff.fs: documentation changes

	* doc/gforth.ds, stuff.fs: added /W /L

	* doc/gforth.ds, startup.fs, stuff.fs, prim:
	added UW@ UL@ (W@ and L@ are now aliases for them)
	documented UW@ SW@ W! UL@ SL@ L!
	added more extension query answers

2006-01-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Benchres, cache-fast1.vmg, kernel/int.fs, prims2x.fs:
	added support for disabling states; disabled S3-S8 (otherwise gcc-2.95
	  ICEs on i386).
	added G5 benchmark results
	documentation changes

2006-01-22  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/basics.fs, kernel/main.fs: R8C work

2006-01-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, doc/gforth.ds, fib.fs: documented S>NUMBER? S>UNUMBER?
	minor changes

2006-01-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/support.c: bugfix in to_float

2006-01-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/support.c, test/float.fs:
	Fixed >float bug reported by Bojan Petrovic

2006-01-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/forth.h, engine/main.c, engine/signals.c, engine/engine.c, prim:
	Modified some exported symbols to start with gforth_

2005-12-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/basics.fs, kernel/comp.fs, kernel/getdoers.fs, kernel/input.fs, kernel/int.fs, kernel/kernel.fs, kernel/paths.fs, kernel/toolsext.fs, test/gforth.fs, unix/socket.fs, engine/engine.c, engine/forth.h, engine/main.c, engine/threaded.h, kernel/accept.fs, arch/m68k/machine.h, arch/mips/machine.h, arch/power/machine.h, arch/sharc/machine.h, arch/sparc/machine.h, doc/gforth.ds, arch/386/machine.h, arch/alpha/machine.h, arch/amd64/disasm.fs, arch/amd64/machine.h, arch/arm/machine.h, arch/hppa/machine.h, arch/ia64/machine.h, prim, prims2x.fs, quotes.fs, regexp-test.fs, regexp.fs, search.fs, startup.fs, string.fs, stuff.fs, update-copyright-blacklist, utf-8.fs, wf.fs, lib.fs, machpc.fs.in, oldlib.fs, peeprules.vmg, cache-fast7.vmg, cache-fast8.vmg, complex.fs, configure.in, cross.fs, debugs.fs, ds2texi.fs, ekey.fs, extend.fs, fflib.fs, fft.fs, float.fs, glocals.fs, history.fs, BUGS, Benchres, Makefile.in, ans-report.fs, cache-fast0.vmg, cache-fast1.vmg, cache-fast2.vmg, cache-fast3.vmg, cache-fast4.vmg, cache-fast5.vmg, cache-fast6.vmg:
	updated the copyright year on many files
	added FSF copyright header to complex.fs fft.fs regexp-test.fs regexp.fs
	added fsl-util.fs to update-copyright-blacklist

2005-12-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs:
	introduced THREADED-CODE-POINTER-TYPE variable for parameterizing Inst **

	* BUGS, arch/386/machine.h, engine/engine.c, engine/main.c:
	documented 2 bugs
	minor bugfixes and cleanups

2005-12-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/input.fs, kernel/int.fs:
	bugfix (for bug reported in <t6CdnXFc6P87UDHenZ2dnUVZ_sidnZ2d@scnresearch.com>)
	QUERY now throws -39 on EOF

2005-12-11  Bernd Paysan  <bernd.paysan@gmx.de>

	* fflib.fs, lib.fs, libffi.fs: Fixed fptr name

	* fflib.fs: Added fptr: to fflib.fs

	* lib.fs, libffi.fs: Fixed name for fptr:

	* engine/engine.c, engine/forth.h, lib.fs, libffi.fs, prim:
	Finally made libffi callbacks work

	* libffi.fs, prim: Signed access prefix changed

2005-12-04  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/forth.h, libffi.fs, prim, configure.in:
	Added support for wyde/tetrabyte including sign extended ones

2005-12-03  Bernd Paysan  <bernd.paysan@gmx.de>

	* unix/socket.fs, Makefile.in, libffi.fs, prim:
	Added access words for wyde and tetrabyte (w/t@/!)

	* unix/socket.fs: Modified socket.fs to work with 64 bit systems

2005-12-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c:
	added options for disabling tree-parsing automaton features
	added tree parsing automaton statistics

2005-11-27  Bernd Paysan  <bernd.paysan@gmx.de>

	* fflib.fs, libffi.fs: Added missing drop

	* fflib.fs: Fixed typo

	* fflib.fs, libffi.fs, prim, wf.fs: Added (addr) to library interface
	Fixed bug in libffi support
	Added favicon support to wf.fs

2005-11-20  Bernd Paysan  <bernd.paysan@gmx.de>

	* fflib.fs, lib.fs, libffi.fs, oldlib.fs, prim:
	further work on libffi.fs (not fully completed yet for callbacks)

2005-11-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c:
	added TPA state equivalence, but disabled static superinstructions for now

	* engine/main.c: finished simple tree-parsing automaton

	* engine/main.c:
	initial work for tree-parsing automaton for stack caching

	* engine/main.c: bugfix
	--debug now also outputs some cache state information

2005-11-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* regexp.fs: Changed comment

	* regexp-test.fs, regexp.fs, stuff.fs, utf-8.fs: Added regexp stuff

2005-11-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* contrib/terminal.fs:
	contrib/terminal.fs updated (coming from Krishna Myeni)

2005-10-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/vmgen.texi, kernel/comp.fs, kernel/input.fs, kernel/paths.fs, doc/gforth.ds, debugs.fs, ds2texi.fs, ekey.fs, glocals.fs, quotes.fs, search.fs, stuff.fs:
	Documentation changes:
	  added wordset info for many words, and pronounciation for a few
	  added documentation about key names for EKEY
	  worked around texinfo 4.7 restrictions (old assignment macros broken)
	  Added "Explicit stack access" docs to vmgen docs

2005-09-27  Bernd Paysan  <bernd.paysan@gmx.de>

	* complex.fs, fft.fs, prim, wf.fs, Makefile.in:
	Added complex words and fft
	Added some floating point primitives

2005-09-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/gforth.fs, kernel/int.fs, stuff.fs: bugfix: 'X is never a double
	bugfix: 0.009e 5 2 0 f.rdp now outputs 0.01 (not 0.00)

2005-09-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* ans-report.fs, prim: ans-report.fs produces nicer output
	documentation changes

2005-08-21  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/main.c, cross.fs, engine/engine.c, fflib.fs, lib.fs, libffi.fs, machpc.fs.in, prim, configure.in:
	Checkin of somewhat working ffilib bindings (not completely tested)

2005-08-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/sharc/machine.h, arch/sparc/machine.h, engine/threaded.h, arch/arm/machine.h, arch/hppa/machine.h, arch/ia64/machine.h, arch/m68k/machine.h, arch/mips/machine.h, arch/power/machine.h, arch/386/machine.h, arch/alpha/machine.h, arch/amd64/machine.h:
	threw out THREADING_SCHEME, now Scheme 8 is used everywhere.

2005-08-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* cache-fast7.vmg, cache-fast8.vmg, engine/engine.c, cache-fast0.vmg, cache-fast1.vmg, cache-fast2.vmg, cache-fast3.vmg, cache-fast4.vmg, cache-fast5.vmg, cache-fast6.vmg:
	added cache-fast*.vmg
	applied reg allocation fix for engine3, too

2005-08-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, Makefile.in:
	Workaround for different register allocation between engine() and engine2()
	Disabled gforth-native for now (broken anyway, and does not work with gcc-4.0)

2005-08-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, kernel/basics.fs, kernel/toolsext.fs, test/coreext.fs, Makefile.in, engine/engine.c, peeprules.vmg, prim:
	added STACK_CACHE_DEFAULT_FAST configuration variable
	fixed some bugs
	added some primitive/state combinations
	changes to support up to 8 stack cache registers
	Worked around an unresolved bug in kernel/toolsext.fs

2005-07-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, engine/main.c, Makefile.in, configure.in, engine/engine.c, prim:
	First working version with default state with 2 regs
	added configuration variable STACK_CACHE_DEFAULT_FAST

2005-07-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, prim, prims2x.fs:
	fixed a few bugs in "..." handling in prims2x.fs
	changed direct uses of sp and fp in prim to use "..."

	* prims2x.fs:
	completed support for "..." in stack comments in prims2x.fs (no docs yet)

2005-07-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim, prims2x.fs: added support for ... stack items to prims2x.fs
	minor cleanup in prim

	* doc/gforth.ds: minor bugfix

2005-07-26  Bernd Paysan  <bernd.paysan@gmx.de>

	* doc/gforth.ds: Fixed documentation bug

2005-06-28  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/toolsext.fs, wf.fs: Adapted interpretative loops

2005-06-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* stuff.fs: added workaround for bootstrapping on old kernel

	* kernel/getdoers.fs, kernel/int.fs, extend.fs, float.fs, kernel/comp.fs, stuff.fs:
	refactored text interpreter to make return stack words work within a line
	  replaced parser, compiler, interpreter, ...-notfound by words
	  with an appended "1"

2005-06-13  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Small change to wf.fs

2005-06-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2y.fs, prims2yref.fs: deleted prims2y* (no longer needed)

2005-06-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Added text-mode menues

2005-05-15  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/amd64/machine.h: Added size suffixes to inlined instructions

2005-05-11  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, Makefile.in, doc/gforth.ds:
	renamed PARSE-WORD into PARSE-NAME
	added some test(dis)asm files to distribution

2005-05-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Classes for headers

2005-04-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: slight tweak in dict_alloc_read()

2005-04-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c:
	bugfix: only one allocation when the read-mmap fails (e.g., in Windows).

2005-04-02  Bernd Paysan  <bernd.paysan@gmx.de>

	* doc/gforth.ds: Fixed another documentation bug

2005-04-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* doc/gforth.ds: Fixed 386 assembler documentation

2005-03-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Fixed W3C nonconformance

2005-03-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* startup.fs: non-minimal extension query support added

2005-03-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim, test/gforth.fs:
	Workaround for ecvt misfeature on Cygwin (trailing 0s for Inf and NaNs)

2005-02-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* prim: Optimized test for floored correction

2005-01-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in, engine/forth.h, history.fs: Added --enable-force-cdiv

	* prim: Fixed */

2005-01-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim: bugfix

	* arch/386/machine.h, arch/amd64/machine.h, prim:
	added M/MOD asm support for 386 and AMD64 with FORCE_LL

	* arch/amd64/machine.h, prim:
	added asm support for FM/MOD SM/REM UM/MOD
	   (currently only for AMD64 without FORCE_LL).

2005-01-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim: made (?do) and friends relocatable

	* history.fs: deleted pre-xchar history stuff

	* engine/threaded.h, doc/vmgen.texi, prim, prims2x.fs:
	EXECUTE and friends are now relocatable again even with the PR15242 workaround.

2005-01-25  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/forth.h, kernel/basics.fs, prim, prims2x.fs:
	Added */ and */mod to prim
	Made division floored by default

2005-01-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/vmgen.texi, engine/threaded.h, prim:
	preparations to make EXEC relocatable with PR 15242 workaround

	* configure.in: bugfixes and modernization in configure.in

2005-01-23  Bernd Paysan  <bernd.paysan@gmx.de>

	* prim: Made branch relocatable

2005-01-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim:
	back to single-dispatch conditional branches (better with PR 15242 workaround)

	* Benchres, engine/threaded.h: bugfix
	Bench result added

	* configure.in: Workaround for gcc-3.4.0 bug in skip detection
	Bugfix (skip detection)

2005-01-23  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/engine.c, engine/threaded.h, arch/amd64/machine.h:
	Fixed problems with workaround

2005-01-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, engine/threaded.h, arch/amd64/disasm.fs, configure.in, engine/engine.c:
	added configure option --disable-gcc-pr15242-workaround
	bugfixes for the gcc pr15242 workaround

2005-01-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/main.c, prims2x.fs:
	further work on gcc PR 15242 workaround (now works on AMD64 gforth-fast)
	made treatment of Priminfo length and restlen more regular

	* kernel/int.fs, engine/engine.c, engine/main.c, engine/threaded.h:
	preparation for gcc PR 15242 workaround
	minor changes

2005-01-22  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/main.c, configure.in, wf.fs:
	Added --diag switch, diagnostics output.
	Fixed "broken link" bug when referring to current file

	* Makefile.in, engine/main.c: Added --diag switch

2005-01-21  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/amd64/machine.h, arch/generic/128bit.h, configure.in:
	Added --enable-force-ll switch

2005-01-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/amd64/machine.h, arch/generic/128bit.h, engine/forth.h, prim:
	Added more detailed BUGGY_LL_* flags

2005-01-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/amd64/machine.h, arch/generic/128bit.h, configure.in, engine/forth.h:
	Added expanding mul support for AMD64

2005-01-16  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Expand option for links added

2005-01-13  Bernd Paysan  <bernd.paysan@gmx.de>

	* utf-8.fs: Fixed environment evaluation

2005-01-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* history.fs, kernel/accept.fs, kernel/xchars.fs, utf-8.fs, Makefile.in:
	converted command-line editing to use xchars
	some bugfixes

2005-01-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* history.fs, startup.fs, utf-8.fs:
	moved utf-8 command line stuff to history.fs

2005-01-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs: minor bootstrapping fix

	* startup.fs: bootstrapping help

2005-01-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/xchars.fs, kernel/int.fs, startup.fs: Bugfixes:
	  xchars are initialized
	  xchars.fs is not loaded from startup.fs
	  bugfix for ' prefix

	* kernel/kernel.fs, kernel/xchars.fs, startup.fs, xchars.fs:
	moved xchars to kernel (for use in s'>unumber? and elsewhere)

2005-01-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* history.fs, startup.fs, utf-8.fs, xchars.fs:
	added xchars (no tests, and no usage anywhere yet)

2005-01-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* string.fs: Define INSERT only when needed

	* utf-8.fs: another fix for u8>>

2005-01-04  Bernd Paysan  <bernd.paysan@gmx.de>

	* utf-8.fs: fixed u8>>

	* utf-8.fs, wf.fs, prim:
	added set-dir/get-dir primitives (directory access words)
	added "maxascii" value as single switch between 8 bit and UTF-8 encoding
	Improvements in wf.fs

2004-12-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/cond.fs, kernel/input.fs, kernel/int.fs, kernel/paths.fs, test/gforth.fs, engine/engine.c, engine/forth.h, engine/main.c, engine/support.c, engine/threaded.h, kernel/accept.fs, kernel/args.fs, kernel/basics.fs, kernel/comp.fs, doc/makedoc.fs, ec/builttag.fs, ec/mirror.fs, arch/misc/sokoban.fs, arch/sharc/compile.sharc, arch/sharc/systypes.h, arch/sharc/types.h, arch/shboom/compiler.fs, arch/shboom/dis.fs, arch/shboom/dis2.fs, arch/shboom/doers.fs, arch/shboom/prim.fs, arch/shboom/sh.p, doc/gforth.ds, arch/misc/sim.fs, arch/4stack/mach.sh, arch/amd64/asm.fs, arch/amd64/machine.h, arch/arm/machine.h, arch/misc/asm.fs, arch/misc/fi2v.fs, arch/misc/key.fs, arch/misc/misc-sim.v, arch/misc/misc.v, arch/misc/prim.fs, arch/386/machine.h, prims2x.fs, see.fs, source.fs, startup.fs, stuff.fs, wf.fs, debugs.fs, ekey.fs, exboot.fs, filedump.fs, float.fs, gforth.el, gforthmi.in, glocals.fs, history.fs, httpd.fs, peeprules.vmg, prim, Benchres, Makefile.in, README, backtrac.fs, cache1.vmg, comp-i.fs, configure.in, cross.fs, debug.fs:
	updated copyright years for files changed in 2004

	* Makefile.in, update-copyright-blacklist:
	moved files without distribution terms from ARCHS to ARCHS_NO_DIST
	added test/deferred.fs (public domain) to update-copyright-blacklist

	* utf-8.fs: bootstrap workaround added

2004-12-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/comp.fs, kernel/int.fs, utf-8.fs:
	Added UTF-8 support for char and '<char>

2004-12-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, doc/gforth.ds, stuff.fs:
	updated documentation for new error format (but did not document
	mark-start and mark-end).
	moved TYPEWHITE out from the kernel.

2004-12-28  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs, utf-8.fs, ekey.fs:
	Added start-mark/end-mark for error display

2004-12-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, see.fs:
	changed error indicator into >>>word<<< instead of using ^^^^
	made dec.r behave like .r and u.r
	moved UMIN into kernel

2004-12-28  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/accept.fs, utf-8.fs: Fixed UTF-8 buffer overflow

2004-12-27  Bernd Paysan  <bernd.paysan@gmx.de>

	* history.fs: Minor fix

	* history.fs, utf-8.fs: Fixed missing kill-expand

	* wf.fs: Fixed UTF-8 problem in WF

2004-12-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Benchres, history.fs, status.fs:
	added status.fs (show interpreter status in separate xterm)
	reorganized Benchres, new results
	bootstrapping workaround

2004-12-25  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in: Fixed install for amd64

2004-12-24  Bernd Paysan  <bernd.paysan@gmx.de>

	* history.fs, httpd.fs, utf-8.fs:
	Automatic UTF-8 setting, depending on LANG
	Fixed potential security hole in httpd by setting BASE to 0 for header
	interpretation.

2004-12-12  Bernd Paysan  <bernd.paysan@gmx.de>

	* utf-8.fs: Fixed tab-expand

	* utf-8.fs: Fixed diacritic marks

	* kernel/accept.fs, utf-8.fs: Added utf-8 handling

2004-12-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs: bugfix

	* kernel/basics.fs, kernel/int.fs, test/gforth.fs, doc/gforth.ds:
	The '-prefix now supports only the forms 'C and 'C'.
	Base 256 no longer works as it did.
	Updated documentation on number prefixes.

	* test/gforth.fs, kernel/int.fs: added 0x and 0X as hex prefixes

	* float.fs, kernel/comp.fs:
	made ABORT the interim default for deferred words

	* float.fs: added (pretty bad definitions of) FTRUNC and FMOD

2004-12-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs, backtrac.fs, cross.fs, stuff.fs:
	Fixed uninitialized defers in cross
	added stuff to compile new sources with old kernels

2004-11-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* backtrac.fs, kernel/comp.fs, stuff.fs:
	uninitialized deferred words now give a warning when executed

	* kernel/comp.fs, test/deferred.fs, Makefile.in, compat/defer.fs, doc/gforth.ds, stuff.fs:
	implemented deferred words proposal (and adapted documentation accordingly).

2004-11-11  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, arch/amd64/machine.h, kernel/int.fs:
	Added # as decimal prefix

2004-11-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* contrib/strings.fs, contrib/syscalls386.fs, contrib/terminal.fs, contrib/ansi.fs, contrib/serial.fs:
	added Krishna Myneni's serial.fs, terminal.fs, and support stuff to contrib

2004-09-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* glocals.fs:
	made the definition of TO less fragile (for David Greggs inlining work)

2004-09-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, prof-inline.fs: more prof-inline.fs work
	improved CASE...ENDCASE documentation

2004-09-07  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prof-inline.fs: more prof-inline.fs work

2004-09-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prof-inline.fs:
	continued on prof-inline.fs (call counting mostly finished)

	* prof-inline.fs: continued prof-inline.fs

2004-09-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in, doc/gforth.ds, prof-inline.fs:
	changed default for GFORTHSYSTEMPREFIX to use $COMSPEC
	prof-inline.fs changes

2004-09-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prof-inline.fs, profile.fs:
	made a separate profiling file for the inliner measurements
	profile.fs now needs a cleanup to get rid of some of this junk

2004-09-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs:
	change COMPILE-TO-PRIMS, to call PEEPHOLE-COMPILE, instead of
	recursing indirectly (through POSTPONE and COMPILE,).  The speedup
	resulting from that is minimal (see below); the main benefit is that
	COMPILE, is now called once for each compiled word (used in some
	measurements for research that I am doing now).

	Here's the speedup data:
	#startup overhead
	[b3:~/gforth:1709] perfex gforth -e bye
	tsc                                29123160
	[b3:~/gforth:1710] perfex gforth -e bye
	tsc                                29646820
	#before the change
	[b3:~/gforth:1711] perfex gforth prims2x.fs -e bye
	tsc                                95616352
	[b3:~/gforth:1712] perfex gforth prims2x.fs -e bye
	tsc                                95032068
	#after the change
	[b3:~/gforth:1725] perfex gforth prims2x.fs -e bye
	tsc                                95594688
	[b3:~/gforth:1726] perfex gforth prims2x.fs -e bye
	tsc                                94587916

2004-08-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Added alternative icons directory

2004-08-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, engine/support.c, kernel/comp.fs, doc/gforth.ds, prim, stuff.fs, configure.in:
	added and documented usage of $GFORTHSYSTEMPREFIX to SYSTEM
	eliminated the now-unused (does>1)

2004-08-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* cross.fs, kernel/comp.fs:
	removed return stack trick from DOES> (replacing (does>1) with (does>2))

	* engine/main.c, prims2x.fs:
	moved imm_ops field of costs up a bit (better factoring and readability)

2004-08-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, prims2x.fs:
	added imm_ops operand to costs structure and generate it

	* kernel/cond.fs, kernel/int.fs, dis-gdb.fs, doc/gforth.ds, profile.fs, source.fs:
	added BEFORE-WORD and OTHER-CONTROL-FLOW hooks
	changed profile.fs to use BEFORE-WORD hook and profile various control structs
	added count-calls? stuff to profile.fs
	minor changes

2004-08-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* profile.fs: basic profiling infrastructure

2004-07-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/amd64/asm.fs:
	Added special cases for mov (64 bit immediate and offsets)

2004-07-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/amd64/asm.fs: Started assembler for amd64 architecture

	* wf.fs: fixed link icon generation for #field URLS.

2004-06-24  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Changes for Forth-Tagung

2004-06-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/forth.h, engine/support.c, prim:
	Added support for external shift for broken GCCs

	* debug.fs, see.fs: Made debugger work on gforth-itc

	* engine/threaded.h: Changed empty expressions to do { exp } while(0)

2004-06-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in, dis-gdb.fs, startup.fs:
	disgdb.fs is now always compiled in and checks at run-time if it works

	* dis-gdb.fs: DISASM-GDB is now more error-tolerant

2004-06-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/makedoc.fs, doc/gforth.ds, stuff.fs: documented disasm-gdb
	documentation bugfixes

	* dis-gdb.fs, kernel/int.fs, stuff.fs, Makefile.in, configure.in:
	added dis-gdb.fs and related changes
	minor changes

2004-06-07  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/args.fs, doc/gforth.ds:
	Document fixes (broken node, broken "@")

2004-05-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, arch/amd64/disasm.fs:
	AMD64 1-byte opcodes done (mostly, and not debugged)
	minor documentation change

2004-05-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/amd64/disasm.fs: ...

2004-05-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/amd64/disasm.fs: amd64 disassembler

2004-05-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* httpd.fs, kernel/basics.fs, kernel/paths.fs, cross.fs:
	bugfix for compact.. (and renamed it into compact-filename)
	  test case: ../../a
	related cleanups in path handling

2004-05-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/input.fs, Benchres, Makefile.in, debugs.fs, depth-changes.fs, doc/gforth.ds, source.fs:
	added Athlon64 benchmark result
	added depth-changes.fs and hook for that in kernel/input.fs
	made ~~ work in interpret state
	documented clearstacks

2004-05-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* float.fs, fsl-util.4th, kernel/basics.fs, kernel/int.fs, stuff.fs, Makefile.in:
	added fsl-util.4th (IIRC from Kryshna Myeni)
	made F.S output nicer and moved it from float.fs to stuff.fs
	added CLEARSTACKS
	exceptions caught by QUIT now clear the stacks (instead of resetting them to
	  the depth when first entering QUIT)

2004-04-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in:
	autoconf-2.50 compatibility fix (report and fix by Stefan Schmiedl)
	  https://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=8467

	* gforthmi.in, prim: BRANCH refinement (IIRC for gforth-native)
	fixed "gforthmi --application" bug (report and fix by Stefan Schmiedl).

	* comp-i.fs: disabled sanity check that does not work with exec-shield

2004-04-10  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/main.c, httpd.fs: fixed "too many crashes" in httpd.fs
	fixed reentrance problem with callbacks

2004-04-08  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el: * forth-load-file fixed
	* no special (backward) indentation of `\G' any more

2004-03-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* prim: Bug in bugfix fixed

	* prim: defines for buggy long long and ffcalls

2004-02-02  Bernd Paysan  <bernd.paysan@gmx.de>

	* doc/fdl.texi, wf.fs: Fixed tagged occurences of < and &

2004-01-25  Bernd Paysan  <bernd.paysan@gmx.de>

	* Benchres, filedump.fs, wf.fs:
	Fixed command line handling in filedump.fs
	XHTML support in wf.fs

2004-01-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/386/machine.h, cache1.vmg, engine/engine.c, peeprules.vmg, prim, Makefile.in:
	minore bugfixes (Makefile.in)
	enabled 3-state stack caching for gforth-fast and gforth-native
	   bugfixes (EXECUTE and PERFORM; spbREG use)
	   explicit register allocation to spb for gforth-native, but not gforth-fast
	   Due to the shortest-path algorithm this means that gforth-fast uses only
	     S0 and S1, not S2, so we could keep that.
	     However, we probably want to use more states etc. for other
	     architectures, so we may want to have a way to select different
	       cache.vmg and different peeprules.vmg files for different
	       archs, builds, and binaries.

2004-01-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, prims2x.fs, cache1.vmg: fixed bug in cache1.vmg
	prims2x.fs: better comments for prim*.i
	main.c: better --debug output (added primitive names)

2004-01-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* peeprules.vmg, prims2x.fs:
	fixed one stack-caching bug (N_START_SUPER value), and enabled stack caching

	* exboot.fs: change for bootstrap compatibility with older versions

	* kernel/args.fs, doc/gforth.ds:
	added NEXT-ARG; relkated documentation changes

2004-01-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, exboot.fs:
	cleaned up exboot.fs (allowed by the SHIFT-ARGS change)

	* doc/gforth.ds, kernel/args.fs, Makefile.in:
	eliminated ARG# in favour of SHIFT-ARGS; related cleanups and doc changes

2004-01-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/args.fs, doc/gforth.ds:
	added 'arg#'; this is a hack.  It may be better to manipulate argv and argc.

2004-01-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, kernel/comp.fs, README, see.fs: documentation change
	SEE bugfixes
	made (COMPILE) barf

2004-01-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/engine.c, arch/sharc/compile.sharc, arch/sharc/systypes.h, arch/sharc/types.h, arch/shboom/compiler.fs, arch/shboom/dis.fs, arch/shboom/dis2.fs, arch/shboom/doers.fs, arch/shboom/prim.fs, arch/shboom/sh.p, ec/builttag.fs, ec/mirror.fs, arch/4stack/mach.sh, arch/misc/asm.fs, arch/misc/fi2v.fs, arch/misc/key.fs, arch/misc/misc-sim.v, arch/misc/misc.v, arch/misc/prim.fs, arch/misc/sim.fs, arch/misc/sokoban.fs, Benchres, update-copyright-blacklist:
	Added copyright notices

2003-12-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: fixed buggy commit (uncovered by SUSE 9.0 gcc)

	* NEWS.vmgen, arch/ia64/machine.h, peeprules.vmg, update-copyright-blacklist:
	updated copyright years, or added copyright notices.

	* README, engine/main.c: minor changes

	* Makedist.in, Makefile.in: fixed some Makefile bugs

2003-12-07  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in, wf.fs: Added check for -fno-reorder-blocks
	Made wf.fs use dd/dl again (margin breaks with Konqueror)

2003-12-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* intcomp.fs: gforth-native now survives make check

2003-11-23  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Now creates valid XHTML

2003-11-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* except.fs: throw works now for gforth-native

	* README, except.fs: documentation changes
	adapt exceptions to gforth-native (part 1)

2003-11-10  Bernd Paysan  <bernd.paysan@gmx.de>

	* cross.fs: Changed (does>) to not use the return stack

2003-11-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* peeprules.vmg: disabled last native-incompatible superinstruction

	* kernel/comp.fs: bugfix ((does>) uses return address)

	* Makefile.in, NEWS.vmgen, engine/main.c:
	fixed gforth-native bug (branch target resolution)
	fixed "make dist" bug (arch/misc/optcmove.fs now included)
	Documentation changes

2003-11-09  Bernd Paysan  <bernd.paysan@gmx.de>

	* cross.fs, kernel/comp.fs:
	Made postpone/(compile) work with gforth-native

2003-11-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: minor cleanups

	* engine/main.c: changed compile_call2() interface

	* engine/main.c: changed compile_prim1arg() interface

	* engine/main.c: minor fix

	* engine/main.c: minor fixes

2003-11-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim, test/primtest.fs, Makefile.in: added make target primtest
	more primtests
	fixed some gforth-native bugs
	workaround for finish-code problem

2003-11-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, test/primtest.fs:
	bugfixes and cleanup in reloation bitset handling
	more primtests

	* BUGS, engine/main.c: Threw out some unused code
	recorded a bug

	* engine/main.c, engine/threaded.h, test/primtest.fs, BUGS, Makefile.in, peeprules.vmg, prim:
	activated gforth-native again
	some gforth-native bugfixes and changes

2003-11-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* cache1.vmg, peeprules.vmg:
	some (failed) experiments with stack caching

	* engine/engine.c, engine/forth.h, engine/main.c, cache1.vmg, peeprules.vmg, prims2x.fs:
	made classical 1-register stack caching work again (and probably
	  general stack caching with non-empty canonical state).  There was a
	  subtle bug involving ?DUP-?BRANCH.
	made this the default for gforth-fast and turned off anything beyond
	deleted the now-unused rewrite_bb().

2003-11-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, engine/profile.c, Makefile.in, cache0.vmg, cache1.vmg, engine/Makefile.in, prim:
	more work on stack caching

	* Makefile.in, engine/engine.c, engine/forth.h, engine/main.c, engine/peephole.c, engine/profile.c:
	Now the _fast.i files are included for gforth-fast and gforth-native

2003-10-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* blocks.fs: fixed block 0 update and refill

2003-10-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, gfgen:
	factored out some generating stuff from the makefile into gfgen
	added rules for generating engine/*-fast.i (not used yet)

2003-10-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs, Makefile.in, engine/engine.c, engine/main.c, prims2x.fs:
	stack caching works now (at least for make check)
	  the main change is to the optimize_... stuff in main.c
	  also restricted static optimization area to basic blocks
	minor bugfixes

2003-10-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makedist.in, engine/engine.c, engine/profile.c, peeprules.vmg, prim, prims2x.fs:
	replaced gforth-prof with $(PROFEXES) in Makedist.in
	more stack caching work

	* engine/engine.c, engine/main.c, prim, prims2x.fs, xxxprim:
	put stack caching stuff in prims2x.fs (cvs log prims2y.fs for
		fine-grained changes)
	set up prim etc. to work with the changes prims2x.fs (disabled USE_TOS for now)

2003-10-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2y.fs: more stack caching

	* prims2y.fs, xxxprim: more stack caching stuff

2003-10-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* xxxprim, prims2y.fs: more stack caching stuff

	* kernel/comp.fs: minor cleanup

2003-10-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs, kernel/vars.fs:
	eliminated last-compiled and last-compiled-here, and its uses

2003-10-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2y.fs, xxxprim:
	more stack caching work (..._vm.i generation seems to work now)

2003-10-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2y.fs, xxxprim: adapted store optimization to stack caching

2003-09-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2y.fs, xxxprim: stack caching changes

2003-09-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2y.fs, xxxprim: started on stack caching

2003-09-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in: use @INSTALL_SCRIPT@

2003-09-15  Bernd Paysan  <bernd.paysan@gmx.de>

	* sokoban.fs: Fixed Sokoban (thanks to Hubert Feyrer)

2003-09-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, arch/m68k/machine.h:
	Applied NetBSD patches submitted by Hubert Feyrer

2003-09-14  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/8086/mach.fs, arch/8086/prim.fs, cross.fs, prim:
	Fixed 8086 target

2003-09-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/arm/machine.h, arch/ia64/flush_icache_block.c, arch/ia64/machine.h, engine/engine.c, engine/forth.h, Benchres, Makefile.in, configure.in:
	IA64 refinements (dynamic native code generation)
	ARM support (but FP is broken on the iPAQ, and icache flush is missing)
	made no_dynamic_default and skipcode configuration variables
	worked around http://gcc.gnu.org/bugzilla/show_bug.cgi?id=12108
	fixed some minor bugs

2003-09-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2y.fs, prims2yref.fs:
	added prims2y.fs, prims2yref.fs for developing stack caching

	* configure.in, Makedist.in, Makefile.in:
	added configure option --enable-prof

	* Benchres, arch/amd64/machine.h, configure.in:
	added support for dynamic code generation on HPPA
	some Benchmark results
	explicit register allocation for AMD64

2003-09-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/4stack/mach.fs, arch/4stack/prim.fs, arch/8086/prim.fs, arch/misc/prim.fs, Makefile.in, history.fs, iss.sh, prim:
	a bit Gforth EC work
	Changed Windows distribution to contain PDF instead of PostScript file

2003-08-31  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in: Added pdf target for the documents

2003-08-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* iss.sh: Updated iss.sh for Inno Setup 3.x

	* engine/support.c, fixpath.fs, iss.sh: Fixes for Windows port

2003-08-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/amd64/machine.h, arch/generic/machine.h, Makefile.in, configure.in:
	added amd64 architecture
	changed some generic settings
	minor changes

2003-08-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* README, engine/main.c, engine/threaded.h, prims2x.fs, testall:
	now an is-branch? field is generated engine/costs.i
	fixed some typos in README
	changed default threading scheme for generic machine

2003-08-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* README, testdist: minor changes

	* NEWS, README: documentation changes

	* vmgen-ex2/mini.y, vmgen-ex2/peephole.c, vmgen-ex/peephole.c, vmgen-ex2/disasm.c, vmgen-ex2/engine.c, vmgen-ex2/mini-inst.vmg, vmgen-ex2/mini.h, vmgen-ex2/mini.l, netlib/configure.in, test/dbltest.fs, unix/socket.fs, unix/time.fs, vmgen-ex/disasm.c, vmgen-ex/engine.c, vmgen-ex/mini-inst.vmg, vmgen-ex/mini.h, vmgen-ex/mini.l, vmgen-ex/mini.y, kernel/cond-old.fs, kernel/doers.fs, kernel/errore.fs, kernel/kernel.fs, kernel/license.fs, kernel/pass.fs, kernel/prim0.fs, kernel/quotes.fs, kernel/saccept.fs, kernel/tools.fs, netlib/configure, engine/strerror.c, engine/strsignal.c, kernel/aliases0.fs, kernel/cbr.fs, kernel/cbrpi.fs, kernel/cloop.fs, kernel/cloop2.fs, engine/memcmp.c, engine/memmove.c, engine/peephole.c, engine/pow10.c, engine/profile.c, engine/select.c, engine/atanh.c, engine/cleanalign.c, engine/dblsub.c, engine/io.c, doc/makedoc.fs, ec/dotx.fs, ec/nesting.fs, ec/shex.fs, arch/sharc/mach.fs, arch/sharc/machine.h, arch/shboom/mach.fs, asm/basic.fs, asm/bitmask.fs, asm/generic.fs, asm/numref.fs, asm/target.fs, doc/gforth.ds, arch/4stack/asm.fs, arch/6502/mach.fs, arch/6502/prim.fs, arch/power/_sync_cache_range.c, arch/386/asm.fs, other.fs, prims2cl.fs, proxy.fs, random.fs, table.fs, tags.fs, tasker.fs, termsize.fs, traceall.fs, vmgen.in, vt100.fs, wordlib.fs, wordlib.mk, mach32b.fs, mach32l.fs, mach64b.fs, mach64l.fs, make-app.fs, model, more.fs, oldlib.fs, gray.fs, httpd.fs, intcomp.fs, lib.fs, locals-test.fs, locals.fs, mach16b.fs, mach16l.fs, configure.in, debugs.fs, ekey.fs, envos.dos, envos.fs, envos.os2, etags.fs, exboot.fs, fi2c.fs, filedump.fs, gforthmi.bat, gforthmi.cmd, gforthmi.in, glosgen.fs, INSTALL, add.fs, ansi.fs, assert.fs, bufio.fs, chains.fs, colorize.fs, comp-i.fs, config.bat, configure.cmd, BUILD-FROM-SCRATCH:
	documentation updates
	fixed some portability bugs in vmgen-ex and vmgen-ex2
	updated copyright years

	* vmgen-ex2/engine.c, Makefile.in, configure.in, doc/vmgen.texi, testdist, vmgen-ex/engine.c:
	gforth-prof is no longer generated by default
	turned off dynamic-default for hppa
	minor changes to make testdist work
	documentation changes

2003-08-24  Bernd Paysan  <bernd.paysan@gmx.de>

	* fixpath.fs, iss.sh: Fixed setup compiler stuff

2003-08-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, Makefile.in, configure.in, peeprules.vmg, prims2x.fs:
	fixed various minor issues:
	  workaround for HPUX make and our dependence cycles
	  suppress warnings for unused variables in superinstructions
	  added some superinstructions
	  useful code_size metrics for primitives with funny K and J labels
	  default metric for --no-dynamic is now cost_nexts

2003-08-23  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/comp.fs, prim, Makefile.in, configure.in, machpc.fs, machpc.fs.in:
	Fixed the make dist kernl*.fi building process so that neither new nor old
	calling interface is included

2003-08-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/forth.h, testdist, vmgen-ex/Makefile, vmgen-ex2/Makefile, prim:
	fixed bugs in doer routines (showed up with threadng scheme 1)
	testdist portability improvements

2003-08-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/aliases0.fs, doc/gforth.ds, prim:
	Routines like (DOCOL) now don't get a primitive in the kernel (bugfix).
	Documentation changes

	* engine/engine.c, engine/main.c, engine/profile.c, engine/signals.c, engine/threaded.h, prim:
	Defined run-time routines (docol etc.) as primitives, eliminated some
	  special-casing and "+DOESJUMP+1" etc. in engine.c and main.c
	Defined the enum type PrimNum and replaced many shorts with PrimNums
	  (gives nicer gdb output)
	Workaround for the absence of the FPE_... macros in FreeBSD/Alpha 4_STABLE

2003-08-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/getdoers.fs, kernel/int.fs, kernel/main.fs, arch/4stack/asm.fs, arch/4stack/prim.fs, arch/misc/mach.fs, arch/misc/prim.fs, kernel/basics.fs, cross.fs, prim:
	Further fixes for Gforth EC

2003-08-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/basics.fs: basics.fs fixed

	* kernel/basics.fs, Makefile.in, arch/4stack/prim.fs, arch/misc/mach.fs, arch/misc/prim.fs, arch/misc/sim.fs, configure.in, prim:
	Started to fix Gforth EC (4stack and MISC work again)

	* fflib.fs: Fixed example (lseek must be lseek64)

	* fflib.fs, prim: Fixed reverse ordering
	Added legacy support for old bigFORTH libraries

2003-08-16  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/main.c, fflib.fs: Callback stuff tested

	* fflib.fs, lib.fs, prim, Makefile.in: added callback stuff to fflib.fs
	removed legacy flag (different usage is sufficient)

2003-08-15  Bernd Paysan  <bernd.paysan@gmx.de>

	* fflib.fs, lib.fs, oldlib.fs:
	Added high level part of ffcall interface

	* prim: fixed REST_REGS in av-call-int

2003-08-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/main.c, prims2x.fs, Makefile.in:
	made superinstructions compatible with conditional compilation of primitives
	  (in Gforth; don't use conditional compilation in vmgen).

2003-08-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, peeprules.vmg:
	decompile_prim can now deal with static superinstructions

2003-08-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* testdist, NEWS, testall: minor fixes in testdist and testall
	documentation changes

	* engine/Makefile.in, engine/main.c, Makefile.in, configure.in, prim, testall:
	fixed Windows PATHSEP bug
	Makefile now tolerates ";" as PATHSEP
	eliminatd some warnings

2003-08-07  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/forth.h, engine/main.c, prim: Fixed alloc-callback

2003-08-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/generic/machine.h, configure.in:
	moved HAS_FFCALL definition to configure.in where it belongs

	* configure.in: two bugfixes in configure.in

2003-08-04  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el:
	Fix keybinding "\C-h\C-i" which was broken in X-Emacs (\C-h == backspace).

2003-08-04  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/engine.c, engine/forth.h, engine/main.c, arch/generic/machine.h, machpc.fs, machpc.fs.in, prim, prims2x.fs, Makefile.in, comp-i.fs, configure.in, cross.fs, iss.sh:
	Inclusion of ffcall stuff
	ftp://ftp.santafe.edu/pub/gnu/ffcall-1.8.tar.gz
	High level stuff missing

2003-08-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c:
	changed relocation validity check (now searches for next K label, then
	  checks if J label is between I and this K label).

2003-08-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/main.c:
	better checking of primitives for dynamic code generation (works with gcc-3.3)

2003-07-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in, engine/Makefile.in, peeprules.vmg:
	eliminated configure option --dynamic
	made configure var no_dynamic_default settable (and documented it)
	configure now tests for -fno-crossjumping (instead of -fno-cross-jump).
	turn on engine option -fno-inline (eliminates problems with register
	allocation on gcc-3.3 on 386 with --enable-force-reg).

2003-07-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in: Reinstantiated --with[out]-dynamic

2003-07-14  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs, Makedist.in, Makefile.in:
	Some fixes to makedist and a few changes to wf.fs

2003-05-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim:
	turned off static superinstructions for everything but gforth-fast
	  (it would impede backtracing in gforth, and the rest does not need it at all)

2003-05-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/386/machine.h, engine/Makefile.in, engine/main.c, Makefile.in, configure.in, peeprules.vmg, prim, prims2x.fs:
	gforth-prof is built by default again
	default CFLAGS is now "-O2" instead of "-g -O2"
	added some static superinstructions
	fixed computation of engine/costs.i
	minor changes

2003-05-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: minor bugfix

	* engine/main.c: added --ss-greedy (greedy superinstruction selection)
	renamed --print-codesize into --print-metrics (and added stuff to print)

	* engine/main.c:
	added various flags for controlling static superinstruction selection

2003-05-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c:
	dynamic superinstructions enabled again, further cleanups

	* engine/main.c: refactored static superinstruction stuff

	* arch/386/disasm.fs, engine/Makefile.in, engine/main.c, Makefile.in, prims2x.fs:
	implemented new approach for static superinstructions (cleanup needed)
	386 disasm bugfix (enter)

2003-05-11  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* kernel/pass.fs, kernel/vars.fs, machpc.fs, prims2x.fs, cross.fs:
	cross: use sperate region for user-space
	cross: allow no user-space at all

	* arch/misc/mach.fs, arch/misc/sim.fs: *** empty log message ***

2003-05-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, arch/386/disasm.fs, engine/forth.h, engine/main.c, prim:
	preparing for new approach to static superinstructions
	fixed bug in 386 disassembler (fucompp)
	minor cleanup

2003-05-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: added --print-codesize option

	* configure.in, doc/gforth.ds, gforth.lsm, prim, Makedist.in, README:
	minor changes

2003-04-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, doc/vmgen.1: bugfix (paper format)
	added doc/vmgen.1 (contributed by Eric Schwartz)

2003-03-23  Bernd Paysan  <bernd.paysan@gmx.de>

	* fixpath.fs, iss.sh: Windows distribution updated

2003-03-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* NEWS, prims2x.fs: documentation update
	redefined words in prims2x.fs to keep BUILD-FROM-SCRATCH working

	* kernel/comp.fs, doc/gforth.ds, doc/makedoc.fs, etags.fs, glocals.fs, intcomp.fs, locals.fs, look.fs, prims2x.fs, see.fs, struct.fs, stuff.fs, tags.fs, ans-report.fs, code.fs, debug.fs, ds2texi.fs:
	added LATEST, replaced uses of LAST @ with uses of LATEST
	renamed LASTXT to LATESTXT, and changed the uses
	made >NAME the primary name for >HEAD
	documentation changes

2003-03-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs, Makedist.in: updated Makedist.in for 0.6.1
	minor documentation change

2003-03-11  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in, doc/gforth.ds, ChangeLog, NEWS: documentation changes
	updated version number

	* backtrac.fs: minor bugfix (bug located by Jorge Acereda)

2003-03-11  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs:
	Fixed -trailing (cures cross.fs bug for big endian machine...)

2003-03-11  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* backtrac.fs: minor bugfix (bug located by Jorge Acereda)

2003-03-11  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs:
	Fixed -trailing (cures cross.fs bug for big endian machine...)

2003-03-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* NEWS, README: fixed typos

	* NEWS.vmgen: added NEWS.vmgen

	* gforth.lsm: updated gforth.lsm

	* ChangeLog: updated Changelog

	* configure.in, INSTALL, Makefile.in, NEWS, README:
	updated version number
	documentation changes
	minor changes

	* vmgen-ex2/mini.y, vmgen-ex2/peephole.c, vmgen-ex2/profile.c, vmgen-ex2/support.c, vmgen-ex2/disasm.c, vmgen-ex2/engine.c, vmgen-ex2/mini.h, vmgen-ex2/mini-inst.vmg, vmgen-ex2/mini.l, vmgen-ex2/README, vmgen-ex2/Makefile, vmgen-ex/mini.h, vmgen-ex/mini-inst.vmg, vmgen-ex/mini.l, vmgen-ex/mini.y, vmgen-ex/peephole.c, vmgen-ex/profile.c, vmgen-ex/support.c, test/signals.fs, test/string.fs, unix/socket.fs, unix/time.fs, vmgen-ex/disasm.c, vmgen-ex/engine.c, vmgen-ex/Makefile, vmgen-ex/README, kernel/saccept.fs, kernel/toolsext.fs, kernel/tools.fs, kernel/vars.fs, netlib/configure, netlib/configure.in, test/dbltest.fs, test/other.fs, kernel/getdoers.fs, kernel/input.fs, kernel/io.fs, kernel/kernel.fs, kernel/license.fs, kernel/main.fs, kernel/nio.fs, kernel/pass.fs, kernel/paths.fs, kernel/prim0.fs, kernel/quotes.fs, kernel/require.fs, kernel/cbrpi.fs, kernel/cloop2.fs, kernel/cloop.fs, kernel/comp.fs, kernel/cond.fs, kernel/cond-old.fs, kernel/doers.fs, kernel/errore.fs, kernel/files.fs, engine/strerror.c, engine/strsignal.c, engine/support.c, engine/threaded.h, kernel/accept.fs, kernel/aliases0.fs, kernel/args.fs, kernel/basics.fs, kernel/cbr.fs, engine/engine.c, engine/forth.h, engine/io.c, engine/io.h, engine/main.c, engine/memcmp.c, engine/memmove.c, engine/peephole.c, engine/pow10.c, engine/profile.c, engine/select.c, engine/signals.c, doc/vmgen.texi, ec/dotx.fs, ec/nesting.fs, ec/shex.fs, engine/atanh.c, engine/cleanalign.c, engine/dblsub.c, engine/Makefile.in, arch/sparc/machine.h, asm/basic.fs, asm/bitmask.fs, asm/generic.fs, asm/numref.fs, asm/target.fs, doc/makedoc.fs, arch/mips/testdisasm.fs, arch/misc/mach.fs, arch/power/machine.h, arch/power/_sync_cache_range.c, arch/sharc/mach.fs, arch/sharc/machine.h, arch/shboom/mach.fs, arch/generic/machine.h, arch/hppa/cache.c, arch/hppa/machine.h, arch/m68k/machine.h, arch/mips/machine.h, arch/mips/testasmcontrol.fs, arch/mips/testasm.fs, arch/386/machine.h, arch/386/testasm.fs, arch/4stack/mach.fs, arch/4stack/prim.fs, arch/4stack/relocate.fs, arch/6502/mach.fs, arch/6502/prim.fs, arch/alpha/machine.h, arch/alpha/testasm.fs, arch/386/asm.fs, tasker.fs, termsize.fs, traceall.fs, versions.bsh, vmgen.in, vt100.fs, vt100key.fs, wordinfo.fs, wordlib.fs, wordlib.mk, wordsets.fs, struct.fs, stuff.fs, table.fs, tags.fs, startup.fs, prims2cl.fs, prims2x.fs, proxy.fs, quotes.fs, random.fs, savesys.fs, script.fs, search.fs, see-ext.fs, see.fs, simp-see.fs, sokoban.fs, source.fs, mach32b.fs, mach32l.fs, mach64b.fs, mach64l.fs, machpc.fs.in, make-app.fs, mkdosmf.sed, mkos2mf.sed, model, moof-exm.fs, more.fs, other.fs, prim, hash.fs, history.fs, httpd.fs, intcomp.fs, iss.sh, lib.fs, locals.fs, locals-test.fs, locate.fs, look.fs, mach16b.fs, mach16l.fs, extend.fs, fi2c.fs, filedump.fs, fixpath.fs, float.fs, gforth.el, gforthmi.bat, gforthmi.cmd, gforthmi.in, glocals.fs, glosgen.fs, gray.fs, envos.os2, errors.fs, etags.fs, exboot.fs, except.fs, debug.fs, debugs.fs, doskey.fs, ds2texi.fs, ekey.fs, environ.fs, envos.dos, envos.fs, assert.fs, backtrac.fs, blocks.fs, bufio.fs, chains.fs, code.fs, colorize.fs, comp-i.fs, config.bat, configure.cmd, configure.in, cross.fs, add.fs, ansi.fs, ans-report.fs, BUILD-FROM-SCRATCH, Makedist.in, Makefile.in, NEWS, README, ToDo, ToDo-native, AUTHORS, BUGS:
	updated copyright years

	* update-copyright, update-copyright-blacklist:
	added update-copyright-blacklist

	* update-copyright: finished update-copyright

	* vmgen-ex2/fib.prof, vmgen-ex2/test.prof, arch/mips/testasmcontrol.fs, arch/mips/testasm.fs, arch/mips/testdisasm.fs, arch/power/elf32ppc.x, vmgen-ex2/README, vmgen-ex/README, arch/386/testasm.fs, arch/alpha/testasm.fs, mkdosmf.sed, mkos2mf.sed, moof-exm.fs, script.fs, sokoban.fs, update-copyright, versions.bsh, wf.fs, wordsets.fs, config.guess, fixpath.fs, iss.sh, locate.fs, ToDo, ToDo-native, INSTALL, INSTALL.BINDIST, INSTALL.DOS, Makefile.in, NEWS, README, README.vmgen, AUTHORS, Benchres, BUGS, ChangeLog:
	added copyright messages to a lot of files
	removed some obsolete or non-source files

	* update-copyright: added script for updating copyright years

2003-03-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/signals.c, Makefile.in, prims2x.fs, testall:
	bug workaround (cygwin signal blocking)
	minor changes

	* kernel/toolsext.fs:
	bugfix (dealing with "(" inside 0 [if] ... [then])

	* search.fs, see.fs:
	.VOC and its users print names for wordlists defined with "wordlist constant"
	moved id. and friends from see.fs to search.fs

2003-03-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in, Makefile.in, testdist: minor changes

	* doc/vmgen.texi, configure.in, doc/gforth.ds, Makefile.in:
	documentation installation updates

2003-03-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gpl.texi, doc/vmgen.texi, doc/gforth.ds:
	documentation changes (mainly reorganized stuff)

	* cross.fs: Generate TAGS without spaces from cross.fs

2003-02-28  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el: Fixed some problems with forth-find-tag.

2003-02-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, doc/gforth.ds, errors.fs, NEWS, timings.sc, ChangeLog:
	documentation changes: updated Changelog and NEWS, wrote sections on
	  pipes and updated the Performance section; updated timings.sc with
	  gforth-0.5.9 numbers
	Changed name in bootmessage from GForth to Gforth.

2003-02-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, doc/gforth.ds, doc/vmgen.texi, compat/strcomp.fs, Makefile.in, NEWS, simp-see.fs:
	Documentation changes (new: The Input Stream (gforth), Stack growth
	direction (Vmgen)

2003-02-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, doc/gforth.ds, doc/vmgen.texi, Makefile.in, NEWS, compat/strcomp.fs, simp-see.fs:
	Documentation changes (new: The Input Stream (gforth), Stack growth
	direction (Vmgen)

2003-02-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: Documentation changes

2003-02-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/vmgen.texi, NEWS, doc/gforth.ds:
	documented threaded code variations and dynamic superinstructions
	other documentation changes

2003-02-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: minor doc changes

2003-02-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs: minor change

	* engine/forth.h, engine/io.h, engine/main.c, engine/signals.c, except.fs, kernel/int.fs, errors.fs:
	Gforth now works properly when its stdout is to a broken pipe (but not stderr)
	special SIGPIPE throw code (-2049)
	minor bugfix ("uncaught exception" is now printed on stderr)

2003-02-08  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* doc/gforth.ds:
	Updated the "Emacs and Gforth" chapter of the documentation.

	* gforth.el: Updated docstrings.

	Ripped out (unusable) forth-process code, replaced it with a
	comint-based implementation which is mostly copied from Emacs'
	`cmuscheme.el'.  Tested with Emacs 21 and 20, XEmacs 21.

	* gforth.el:
	Fixed `uncomment-region' (C-u C-x C-\) which didn't work, since
	regexp `comment-start-skip' was buggy.

2003-02-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs, kernel/int.fs, kernel/vars.fs:
	>name now works for names of arbitrary length

	* Makefile.in, configure.in: minor fixes

	* kernel/int.fs, savesys.fs, search.fs:
	>name etc now works for names with up to 32 chars
	the search order is now preserved across savesystem

2003-02-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, stuff.fs, BUGS, ChangeLog: updated ChangeLog and BUGS
	now gforth-itc is installed and uninstalled
	documentation changes

2003-02-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* vmgen-ex/support.c, vmgen-ex2/support.c, README, engine/signals.c, test/signals.fs:
	portability bugfixes
	use SA_ONSTACK for all program-generated signals
	updated README

2003-02-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* vmgen-ex/support.c, vmgen-ex2/support.c, README, engine/signals.c, test/signals.fs:
	portability bugfixes
	use SA_ONSTACK for all program-generated signals
	updated README

2003-02-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* vmgen-ex/Makefile, vmgen-ex2/Makefile, configure.in, testdist:
	updated version number and date
	minor changes

	* testdist, vmgen-ex/mini.l, vmgen-ex2/mini.l:
	portability bugfixes, minor changes

	* kernel/int.fs, vmgen-ex/Makefile, vmgen-ex/profile.c, vmgen-ex2/Makefile, vmgen-ex2/profile.c, arch/hppa/cache.c, arch/hppa/machine.h, engine/main.c, engine/signals.c, testall, Makefile.in, prims2x.fs:
	portability changes
	bugfixes in prims2x.fs, kernel/int.fs

2003-01-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/hppa/machine.h, configure.in, extend.fs, testall:
	fixed some portability bugs

2003-01-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: bugfix in prims2x.fs sync line handling

	* vmgen-ex2/Makefile, arch/hppa/cache.c, arch/hppa/machine.h, engine/main.c, prims2x.fs, vmgen-ex/Makefile, configure.in:
	eliminated some (hopefully outdated) hppa special treatments
	rewrote hppa cacheflush
	prims2x can now process CRLF inputs (but the output is partly unixified)
	prims2x can now process several sync lines in sequence
	minor fixes

	* vmgen-ex/Makefile, vmgen-ex2/Makefile, engine/Makefile.in, engine/main.c, Makefile.in, configure.in, testall:
	fixed some portability bugs and other minor bugs

2003-01-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, configure.in: some changes for cygwin

	* Makefile.in, configure.in, engine/Makefile.in, mkdosmf.sed, mkos2mf.sed:
	replaced configure variable EXE with EXEEXT (provided by autoconf by default)

	* engine/Makefile.in, engine/engine.c, engine/forth.h, engine/main.c, engine/support.c:
	minor changes (64-bit-cleanups)

	* configure.in: updated version number and date

2003-01-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/memcmpc.c:
	removed engine/memcmpc.c (now in support.c)
	removed unused stuff

	* engine/Makefile.in, engine/engine.c, engine/forth.h, engine/memcmpc.c, engine/support.c, kernel/int.fs, test/string.fs, configure.in, ds2texi.fs, extend.fs, float.fs, history.fs, prim, see.fs, stuff.fs, Makefile.in:
	use AC_SYS_LARGEFILE instead of declaring this stuff unconditionally
	moved memcasecmp() into support.c
	eliminated -TEXT (all uses replaced, except within prim)
	converted CAPSCOMP and -TRAILING into high-level words
	folded C code for more complex primitives into support.c
	Fliterals are now decompiled ok
	f.rdp etc. documentation changes
	added test cases for SEARCH

	* Makefile.in, engine/main.c: minor changes

2003-01-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/gforth.fs: bugfix in test/gforth.fs

	* ans-report.fs, stuff.fs: converted ans-report.fs to absolute branches
	changed comments for f.rdp etc.

	* Makefile.in, test/gforth.fs: added test cases for f>str-rdp

	* prim, stuff.fs:
	bugfixes and improvements for f.rdp, represent, and friends

2003-01-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim, startup.fs, stuff.fs: added F.RDP F>STR-RDP F>BUF-RDP

2003-01-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim, quotes.fs: REPRESENT bugfix
	new escape sequence \q (equivalent to \").

2003-01-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, stuff.fs: added ]] ... [[
	fixed compile-only error message

	* INSTALL, configure.in:
	Declared some environment variables in configure.in
	cleaned up PEEPHOLE configuration options (no longer used in C code)
	related documentation changes in INSTALL

	* configure.in, kernel/input.fs, kernel/require.fs, stamp-h.in, stuff.fs:
	disabled long long on PPC (buggy in some gcc versions).
	implemented EXECUTE-PARSING-FILE (new-input only).

	* kernel/input.fs: added EXECUTE-PARSING

	* kernel/require.fs, blocks.fs, kernel/files.fs, kernel/int.fs, source.fs, wf.fs:
	factored out saving and restoring loadfilename (not relevant for new-input)

2003-01-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, source.fs: loadfilename#>str is now safer
	documented the interaction of markers and ~~ and assertions

2003-01-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/require.fs, source.fs:
	replaced "*a file*" etc. with "*somewhere*"

	* blocks.fs, kernel/files.fs, kernel/input.fs, kernel/int.fs, kernel/require.fs, kernel/vars.fs, source.fs, wf.fs:
	replaced loadfilename# with loadfilename (bugfix)

	* kernel/int.fs, kernel/io.fs, kernel/main.fs, kernel/nio.fs, kernel/paths.fs, kernel/require.fs, kernel/toolsext.fs, kernel/vars.fs, engine/signals.c, engine/support.c, kernel/args.fs, kernel/basics.fs, kernel/comp.fs, kernel/cond.fs, kernel/files.fs, engine/Makefile.in, engine/engine.c, engine/forth.h, engine/main.c, arch/mips/machine.h, arch/power/machine.h, arch/sparc/machine.h, doc/gforth.ds, arch/386/machine.h, arch/alpha/machine.h, arch/m68k/machine.h, prims2x.fs, search.fs, startup.fs, struct.fs, vt100key.fs, wordinfo.fs, configure.in, cross.fs, debug.fs, doskey.fs, environ.fs, extend.fs, glocals.fs, hash.fs, look.fs, machpc.fs.in, Makedist.in, Makefile.in, blocks.fs:
	undid changes to copyright notices

2003-01-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs, kernel/io.fs, kernel/main.fs, kernel/nio.fs, kernel/paths.fs, kernel/require.fs, kernel/toolsext.fs, kernel/vars.fs, engine/forth.h, engine/main.c, engine/signals.c, engine/support.c, kernel/args.fs, kernel/basics.fs, kernel/comp.fs, kernel/cond.fs, kernel/files.fs, kernel/input.fs, engine/engine.c, doc/gforth.ds, engine/Makefile.in, arch/386/machine.h, arch/alpha/machine.h, arch/m68k/machine.h, arch/mips/machine.h, arch/power/machine.h, arch/sparc/machine.h, look.fs, machpc.fs, machpc.fs.in, prims2x.fs, search.fs, startup.fs, struct.fs, vt100key.fs, wordinfo.fs, blocks.fs, configure.in, cross.fs, debug.fs, doskey.fs, environ.fs, extend.fs, glocals.fs, hash.fs, Makedist.in, Makefile.in:
	Updated copyright notices
	Added stack effects to kernel/input.fs

2003-01-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* configure.in, kernel/int.fs:
	Added intptr_t and int128_t to types to be checked
	Changed boot message copyright date

2003-01-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: flush_to_here now not called on superblock ends

	* engine/forth.h, engine/main.c, kernel/comp.fs, code.fs, configure.in:
	Icache-flushing is now not performed on generating a NEXT, just on the
	   end of a definition through finish-code.
	Eliminated MIPS linker testing (not necessary with hybrid D/ITC).
	--no-dynamic is default on systems that don't define FLUSH_ICACHE.

2003-01-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, engine/Makefile.in, kernel/comp.fs, kernel/int.fs, prim:
	eliminated all greedy static superinstruction stuff (we will use something
	  else for static superinstructions eventually)
	eliminated PRIMTABLE PREPARE-PEEPHOLE-TABLE PEEPHOLE-OPT COMPILE-PRIM

	* engine/forth.h, engine/main.c, kernel/int.fs, prim:
	moved DOES-HANDLER! from prim to kernel/int.fs
	eliminated MAKE_DOES_HANDLER

	* ans-report.fs, engine/main.c, prim:
	deleted unused prims (HASHKEY) and COMPILE-PRIM

2003-01-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, prim:
	moved CODE-ADDRESS! DOES-CODE! /DOES-HANDLER from prim to kernel/int.fs

	* engine/forth.h, kernel/getdoers.fs, kernel/int.fs, prim:
	moved >code-address and >does-code from prim to kernel/int.fs

	* kernel/int.fs, prim: moved >BODY from prim to kernel/int.fs

	* prim: kludged NEWLINE portability bug

2003-01-07  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, engine/main.c, engine/threaded.h, prim:
	changes to eliminate gcc warnings

	* arch/mips/machine.h, arch/power/machine.h, arch/sparc/machine.h, engine/signals.c, arch/386/machine.h, arch/alpha/machine.h, arch/hppa/machine.h, arch/m68k/machine.h, configure.in, Makefile.in:
	Some changes for portability to AIX and Darwin
	Eliminated the (non-hybrid) direct threading stuff from arch/*/machine.h

2003-01-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* backtrac.fs, look.fs, see.fs, test/other.fs:
	Changed interfaces of PRIM>NAME THREADED>NAME to be like >NAME.

	* Makefile.in, configure.in:
	added dependence on engine/config.h (for automatic autoheader call)
	removed most feature test macro definitions (problems with Darwin)
	dynamic is now default for all gcc versions
	various changes to configure.in (for Darwin, ia64, m68k, generic)

2003-01-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/other.fs, backtrac.fs, look.fs, see.fs:
	bugfix: LOOK works again for xts of primitives
	new words: threaded>xt, prim>name, threaded>name (stack effect not final)

2003-01-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, engine/main.c, machpc.fs, machpc.fs.in:
	undid the unnecessary/broken stuff Bernd has done
	moved a change from machpc.fs to machpc.fs.in
	removed machpc.fs (generated file)

2003-01-03  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/forth.h, kernel/basics.fs, kernel/main.fs, Makefile.in, arch/4stack/mach.fs, arch/4stack/prim.fs, arch/4stack/relocate.fs, arch/misc/mach.fs, arch/misc/prim.fs, cross.fs, machpc.fs:
	Made 4stack port of Gforth EC work again

2003-01-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/generic/machine.h, arch/power/machine.h, engine/threaded.h:
	PPC fixes and speedups

2003-01-02  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, engine/main.c, engine/threaded.h, kernel/accept.fs, look.fs:
	Fixed look problem
	Added benchmarking of all engines

2003-01-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, engine/support.c, prim:
	Alpha bug workaround (disabled ALIGN_CODE)
	fixed bugs in F>D and D>F

	* engine/forth.h:
	support for small (cell-sized or smaller) off_t on machines without proper
	  double-cell type; typically needed on 64-bit machines.

	* configure.in, engine/forth.h:
	feature test macros now defined in configure.in (so the tests see them) instead
	  of engine/forth.h
	Testing for size of off_t

2003-01-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/cond.fs, kernel/input.fs, cross.fs, prim, see-ext.fs, see.fs:
	Cleaned up prim file (only one soft of branches, grouping)
	Added auto-expanding tib for file reading - the terminal line length remains
	limited.

2002-12-31  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/Makefile.in:
	dependence for engine/prim_grp.i in engine/Makefile.in

	* Makefile.in, engine/engine.c, engine/main.c, prims2x.fs:
	restored the old engine/prim_lab.i format (for vmgen compatibility)
	introduced engine/prim_grp.i for the new use

	* prims2x.fs:
	vmgen: introduced STACK-ACCESS-TRANSFORM to support upward-growing stacks.

2002-12-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* prim: Forth replacement for absolute branch

2002-12-28  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/engine.c, engine/forth.h, engine/main.c, engine/threaded.h, filedump.fs, prim, prims2x.fs, Makefile.in, comp-i.fs, cross.fs:
	First inclusion of group-based primitive tokens (no reordering happend yet)

2002-12-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, comp-i.fs, cross.fs: increased image version

	* prim, prims2x.fs:
	prims2x: INST_TAIL now produces NEXT_P2 again by default

	* Makefile.in, engine/Makefile.in, prims2x.fs, vmgen-ex/mini.h, vmgen-ex2/mini.h:
	some fixes to make make dist work
	bugfixes to make building outside srcdir work
	minor prims2x.fs bugfix (for vmgen-ex)
	vmgen-ex[2] bugfix

	* configure.in: modernized configure.in (with the help of autoupdate)

	* doc/version.texi.in, engine/Makefile.in, engine/main.c, kernel/args.fs, doc/gforth.ds, mkos2mf.sed, vmgen.in, Makefile.in, README, acinclude.m4, configure.in, extend.fs, gforth.lsm, gforthmi.in, mkdosmf.sed:
	replaced some automake macros with autoconf macros; related changes in
	  autoconf variables (e.g., @VERSION@ -> @PACKAGE_VERSION@)
	gforth-prof and gforth-native are now not built by default
	modernized "Automatic Remaking" section of Makefile.in
	Updated bug reporting instructions
	Eliminated use of old bug reporting email address

2002-12-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* code.fs, kernel/basics.fs, kernel/comp.fs, kernel/int.fs, stuff.fs, Makefile.in:
	made CODE and ;CODE work again

	* see-ext.fs, see.fs, startup.fs:
	SEE now works again for control structures and strings

2002-12-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs, see.fs: worked on SEE
	COMPILE, now produces LIT@ and LIT+ again

	* blocks.fs, kernel/paths.fs:
	Limit blocks files to 2GB (to avoid catastrphic interaction with gforth<0.6.0)
	blocks bugfixes: OPEN-BLOCKS tries to avoid deleting existing blocks files
	  SAVE-BUFFERS stack underflow fixed

2002-12-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, engine/io.c, engine/main.c, engine/memcmpc.c, engine/profile.c, engine/signals.c, configure.in, engine/engine.c, prim:
	Gforth now supports large files (>2GB) on small machines (32-bits/cell).
	forth.h now asks for all kinds of POSIX, X/Open, and GNU support.
	rearranged include files such that forth.h precedes the system files.

	* elisp-comp, engine/main.c, install-sh, missing, mkinstalldirs, configure.in:
	some configure.in cleanups.  In particular, I replaced all echos with
	  AC_MSG_... macros.
	The gcc version (for disabling dynamic code) is now checked in configure (not
	  when compiling main.c)
	updated elisp-comp install-sh missing mkinstalldirs from autoconf-2.54

2002-12-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, configure.in:
	the skipping code for engine2 is now checked with configure

2002-12-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/threaded.h:
	cfa is now killed in NEXT_P2 in some direct threading schemes (for better
	  register allocation)

2002-12-21  Bernd Paysan  <bernd.paysan@gmx.de>

	* extend.fs, gforth.el, look.fs: gforth.el: LEAVE ?LEAVE
	rest: made compilable with gforth 0.5.0

2002-12-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/386/machine.h, engine/engine.c:
	minimized differences between engine and engine2 to avoid register
	  allocation differences
	disabled USE_TOS on 386 without FORCE_REG (otherwise sp is spilled)

	* BUILD-FROM-SCRATCH: some more BUILD-FROM-SCRATCH refinements

	* BUILD-FROM-SCRATCH, Makefile.in: refined BUILD-FROM-SCRATCH

2002-12-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim: compile-prim is now obsolete

	* kernel/comp.fs, engine/main.c:
	"compile," now uses compile-prim1 instead of compile-prim
	disablesd compile-prim

	* engine/Makefile.in, engine/engine.c:
	each engine is now compiled separately; unfortunately, the problem with
	  lots of differences between engine and engine2 in gforth-fast on i386 without
	  force-reg persists

	* engine/engine.c, engine/forth.h, engine/main.c:
	moved global/static vars from engine.c into main.c (to avoid duplicating them)

	* engine/support.c, doc/gforth.ds, engine/Makefile.in, engine/engine.c:
	moved all functions except engine() out of engine.c into (new file) support.c
	minor documentation changes (suggested by John A. Peters <japeters@pacbell.net>)

2002-12-16  Bernd Paysan  <bernd.paysan@gmx.de>

	* prim: Made the hash shift array static

2002-12-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, engine/main.c:
	"make check" now checks all engines and some variations
	bugfix in forget-dyncode

	* engine/engine.c, engine/rint.c, test/float.fs, configure.in, float.fs, prim:
	fround is a primitive again
	rint replacement function written

2002-12-14  Bernd Paysan  <bernd.paysan@gmx.de>

	* cross.fs, kernel/quotes.fs, machpc.fs, machpc.fs.in:
	Changed string compilation to not use the return stack to skipp the string
	added control-rack property to specify if the return stack does point to
	control-relevant information

2002-12-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: bugfixes in DECOMPILE-PRIM (no crash on non-address,
	   find @ instead of >code-address etc.)

	* engine/main.c, kernel/int.fs, look.fs, see.fs, simp-see.fs:
	implemented DECOMPILE-PRIM and use it in (LOOK); SIMPLE-SEE works again
	minor bugfix in SIMPLE-SEE
	HEAD? now delivers 1 on likely-false positives

	* engine/forth.h, engine/main.c, extend.fs, prim:
	dynamically generated code is now (sort of) released on executing a MARKER

2002-12-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: code_area now allocated on demand (unlimited size)
	some refactoring in dynamic code generation

	* engine/Makefile.in, engine/main.c, Makefile.in, prims2x.fs:
	now engine/prim_num.i is generated, and used in main.c (for main-native.o)

2002-12-07  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* hash.fs:
	the limit for hash table doubling is now an average 2 entries/bucket

	* engine/main.c: bugfix ("gforth" crashed, "./gforth" didn't)

2002-12-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* ToDo-native, except.fs, float.fs, see-ext.fs:
	TRY should now be partially ready forth gforth-native
	FLITERAL should be ready for gforth-native

2002-12-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* assert.fs, debugs.fs, doc/gforth.ds, source.fs:
	source positions are now passed through literals instead of using
	  return stack tricks; appropriate changes in the users of source.fs.

	* kernel/quotes.fs, quotes.fs, see.fs, extend.fs:
	eliminated all uses of "lit (abort") (s") (.") outside cross.fs, except one
	eliminated (c"); cliteral is now in the kernel.

2002-12-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs, kernel/quotes.fs, prim: New word: "MEM,"
	new implementations of CLITERAL (independent of threaded code size) and
	   SLITERAL (also can deal with long strings now)

2002-11-24  Bernd Paysan  <bernd.paysan@gmx.de>

	* acconfig.h:
	Deleted acconfig.h after cleaning up configure (no longer needed)

	* configure.in: Cleaned up configuring

	* acconfig.h, configure.in, engine/main.c:
	Added check for directory separation

	* hash.fs:
	Added tracking of the number of hash table entries and doubling the hash
	size when this number exceeds the number of buckets

2002-11-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/threaded.h, kernel/basics.fs, kernel/comp.fs, kernel/quotes.fs, arch/386/machine.h, engine/Makefile.in, engine/engine.c, engine/forth.h, engine/main.c, prims2x.fs, Makefile.in, prim:
	new engine gforth-native (works on 386 arch only for now).
	  appropriate changes in control-flow instructions in prim
	  new primitives SET-NEXT-CODE and CALL2 (not necessary for the other engines)
	  new primitives COMPILE-PRIM1 and FINISH-CODE
	  prims2x.fs now produces IMMARG(...) macros for initializing immediate args
	  prims2x.fs: changes in some of the output-c-tail words (goes with the
	     changes in the control-flow words).
	  appropriate changes in engine.c
	  engine.c: rewrite of check_prims, support for gforth-native (NO_IP)
	  threaded.c: support for NO_IP
	  various kernel files: started to eliminate return stack manipulations for
	    embedding data (e.g. string literals); incomplete.
	dynamic superinstructions now use LABEL2 instead of IS_NEXT_JUMP
	FORCE_REG has no effect if DOUBLY_INDIRECT (gcc-2.95.1 crashes otherwise;
	   it's unclear which change provoked this).

2002-11-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/forth.h, engine/main.c:
	No engine2 and other dynamic stuff is compiled for gforth-itc, -iditc, -prof

2002-11-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/float.fs, Makefile.in, engine/signals.c, float.fs:
	New file test/float.fs
	FROUND-OFFSET now defined without f**
	bugfix in signals (disabled SA_ONSTACK in most cases to allow graceful_exit).

2002-10-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/signals.c, prim, float.fs:
	FROUND is now implemented in high-level Forth.
	  The primitive is now called "(FROUND)".

2002-10-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/signals.c: work around missing MacOS X FPE_... si_codes

2002-10-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, engine/signals.c, engine/forth.h:
	Gforth now survives destruction of the C stack pointer (it now uses
	  sigaltstack() to set up signal handling on another stack).

2002-10-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* peeprules.vmg: emptied peeprules.vmg again

	* peeprules.vmg, prims2x.fs:
	bugfix (use of inst-pointer-update left stack items)
	bugfix (now no debugging output at superinstruction end)
	refactored output-c-tail...

	* prims2x.fs:
	In superinstructions, move stores into the last part writing to the stack item.

	* prims2x.fs:
	Stack loads in superinstructions are now delayed until the part that needs them

2002-10-07  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* config.guess, config.sub:
	config.guess and config.sub from autoconf-2.54

2002-10-04  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/main.c, configure.in, prim, prims2x.fs: Fixes for GCC 3.2

2002-10-02  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* arch/misc/asm.fs: warn if end-label / end-code is missing

	* arch/misc/prim.fs: fix: missing end-label statements

	* arch/misc/optcmove.fs: added

	* arch/misc/mach.fs, arch/misc/sim.fs: romable feature

	* arch/misc/asm.fs: added txd io stuff

2002-09-26  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* cross.fs:
	If abranch option is on we compiler abranch, a?branch, a(do), ...
	(instead of branch, ...) and use absolute addresses for branch
	targets.

	* machpc.fs.in, machpc.fs: added abranch option

2002-09-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/cond.fs, except.fs:
	replace all uses of relative branches with absolute branches
	  Exception: cross still produces relative branches in the kernel.

	* prim: added absolute versions of all relative branches
	  I am not sure if I got conditional compilation right.
	  I left the Forth code for acondbranch alone because I don't know
	    what may be used there.

	* prim: changed lit+ and lit@ into simple primitives

2002-09-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: added include-skipped-insts to prims2x.fs

	* Makefile.in, prims2x.fs:
	Changed creation of engine/super.i into engine/costs.i, which contains
	   all primitives, not just superinstructions; costs now work (mostly)

	* doc/vmgen.texi, Makefile.in, prims2x.fs:
	Added generation of engine/supers.i
	Deleted generation of kernel/peephole.fs

2002-09-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/Makefile.in, engine/main.c:
	Disabled dynamic native code generation for gcc >=3.1
	added flag --dynamic

2002-09-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/other.fs, engine/main.c:
	Bugfixes: compile_prim now flushes the I-cache; fixed test case

2002-09-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* look.fs, see.fs:
	bugfix: (complex) SEE now works (output quality could be improved, though).

	* look.fs: bugfix: simple decompilation of static hybrid threaded code

	* blocks.fs, compat/strcomp.fs, engine/forth.h, startup.fs:
	fixed bugs in compat/strcomp.fs and its usage

	* kernel/comp.fs, kernel/paths.fs, kernel/require.fs, compat/strcomp.fs, kernel/args.fs, kernel/basics.fs, savesys.fs, startup.fs, stuff.fs, wf.fs, fi2c.fs, glocals.fs, history.fs, httpd.fs, locate.fs, oof.fs, prims2x.fs, proxy.fs, quotes.fs, Makefile.in, cross.fs, ds2texi.fs:
	Added compat/strcomp.fs, introducing STR=, STRING-PREFIX?, and STR<
	replaced most occurences of COMPARE with STR= and STRING-PREFIX?

2002-09-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/vmgen.texi, engine/main.c, configure.in: changed version
	disabled dynamic code generation for now (problems with gcc-3.2).
	documentation changes

2002-08-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/vmgen.texi, prim, prims2x.fs:
	Made store optimization optional (default off), and documented it

	* engine/main.c, engine/Makefile.in, engine/engine.c, engine/forth.h, arch/386/machine.h, arch/generic/machine.h, doc/gforth.ds, testdist:
	gforth now stores a local ip to saved_ip instead of using a global ip
	  associated changes in register allocation, threading, documentation
	testdist now also tests vmgen and vmgen-ex

2002-08-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* README, README.vmgen, configure.in, cross.fs, doc/vmgen.texi, Makefile.in:
	Getting ready for the Vmgen release
	New snapshot dates, various documentation changes, Makefile and configure fixes

2002-08-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/vmgen.texi: documentation changes

	* vmgen-ex2/Makefile, vmgen-ex2/engine.c, vmgen-ex/Makefile, vmgen-ex/engine.c:
	made all threading schemes run in vmgen-ex*

2002-08-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, doc/vmgen.texi, prims2x.fs, vmgen.in:
	prims2x.fs now outputs #line directives at the end of the user C code
	documentation changes

	* vmgen-ex/engine.c, vmgen-ex/mini-inst.vmg, vmgen-ex2/engine.c, vmgen-ex2/mini-inst.vmg, doc/vmgen.texi, prims2x.fs, vmgen.in:
	prims2x.fs changes: now supports C code delimited by braces;
	                    Forth or C names for primitives depending on [ifdef] vmgen
	Documentation changes
	adapted vmgen-ex* to earlier prims2x.fs changes

2002-08-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/vmgen.texi, engine/engine.c, prim, prims2x.fs:
	Vmgen documentation changes
	Small changes in Vmgen and related changes in prim and engine/engine.c

2002-08-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/version.texi.in, doc/vmgen.texi, Makefile.in, configure.in:
	Documentation changes

2002-08-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, doc/texinfo.tex, doc/vmgen.texi:
	vmgen documentation changes

2002-08-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* COPYING.DOC, Makefile.in, doc/fdl.texi, doc/vmgen.texi:
	documentation changes

2002-08-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* stuff.fs: added str= and string-prefix?

2002-08-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, Benchres, doc/vmgen.texi, prims2x.fs:
	added LABEL2 generation to prims2x.fs for future portable superinstructions

2002-08-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/vmgen.texi: documentation changes

	* doc/vmgen.texi: more documentation

2002-08-07  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/vmgen.texi: documentation changes

	* vmgen-ex/engine.c, vmgen-ex/mini.h: more disassembly stuff

	* vmgen-ex2/disasm.c, vmgen-ex2/engine.c, vmgen-ex2/mini.h, prims2x.fs, vmgen-ex/disasm.c, vmgen-ex/engine.c, vmgen-ex/mini.h:
	VM disassembler now prints immediate arguments nicely

2002-08-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.1, doc/vmgen.texi: documentation changes

2002-07-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* vmgen-ex/README, vmgen-ex/engine.c, vmgen-ex/mini-super.vmg, vmgen-ex/mini.h, vmgen-ex/peephole.c, vmgen-ex/support.c, vmgen-ex2/README, vmgen-ex2/mini-super.vmg, vmgen-ex2/mini.h, vmgen-ex2/peephole.c, vmgen-ex2/support.c:
	profiling now turns off superinstructions in vmgen-ex*

2002-07-26  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Old version of parse-string for Gforth 0.5.0 added

2002-07-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* tags.fs: fixes (thanks to Erik Rossen)

2002-06-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* Benchres, prim: Added Athlon XP 1800+ to Benchres
	fixed type in wcall

2002-06-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* ekey.fs: EKEY? now does not require complete ESC-sequences

2002-06-02  Bernd Paysan  <bernd.paysan@gmx.de>

	* httpd.fs, prim, tags.fs: Added tags.
	Security fix in httpd.fs
	Documentation for directory access in prim

2002-06-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* vmgen-ex2/profile.c, vmgen-ex2/support.c, README.vmgen, vmgen-ex/engine.c, vmgen-ex/mini.h, vmgen-ex/mini.l, vmgen-ex/mini.y, vmgen-ex/peephole.c, vmgen-ex/profile.c, vmgen-ex/support.c, vmgen-ex2/engine.c, vmgen-ex2/mini.h, vmgen-ex2/mini.l, vmgen-ex2/peephole.c:
	vmgen* now works with lcc and "gcc -O3 -ansi --pedantic -U__GNUC__"

	* vmgen-ex2/mini.y, vmgen-ex2/peephole-blacklist, vmgen-ex2/peephole.c, vmgen-ex2/profile.c, vmgen-ex2/seq2rule.awk, vmgen-ex2/simple.mini, vmgen-ex2/stat.awk, vmgen-ex2/support.c, vmgen-ex2/test.mini, vmgen-ex2/test.out, vmgen-ex2/test.prof, vmgen-ex/mini.h, vmgen-ex/profile.c, vmgen-ex2/Makefile, vmgen-ex2/README, vmgen-ex2/disasm.c, vmgen-ex2/engine.c, vmgen-ex2/fib.mini, vmgen-ex2/fib.prof, vmgen-ex2/mini-inst.vmg, vmgen-ex2/mini-super.vmg, vmgen-ex2/mini.h, vmgen-ex2/mini.l, doc/vmgen.texi, engine/engine.c, engine/forth.h, prims2x.fs, vmgen-ex/engine.c:
	vmgen-related changes:
	in prims2x:
	  Conversion macros for single items now take 2 arguments
	  Converting from two items to a type has changed order
	  argument printing for disassembler disabled (for now)
	  disassembler now also uses VM_IS_INST
	in Gforth and vmgen-ex: adapted to work with changed prims2x
	new: vmgen-ex2: uses union for Cell instead of casting (lots of
	   changes compared to vmgen-ex)

	* doc/vmgen.texi, ekey.fs, prim, prims2x.fs:
	EKEY now returns single characters instead of waiting for the rest of
	   an escape sequence
	documentation changes

2002-05-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/vmgen.texi, doc/gforth.ds, glocals.fs: Documentation changes

2002-05-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* README, doc/vmgen.texi: changed mailing list address in README
	started working on vmgen documentation

2002-05-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* quotes.fs: bugfix

2002-04-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, quotes.fs: added quotes.fs in Makefile.in

	* quotes.fs: \n now means newline, not LF

2002-04-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, kernel/require.fs, doc/gforth.ds, startup.fs, gforth.el, quotes.fs:
	gforth.el: while now increases indentation
	new words s\" .\" \"-parse for dealing with non-printing characters

2002-04-18  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el:
	Fixed bug that caused scrolling to slow down extremely since
	forth-mode's fontification function was by default installed to
	`fontification-functions' (in Emacs21).  Changed motion-hooking (for
	screen-number display in block files) to using timers instead of
	post-command-hook to prevent further speed lag.

2002-04-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, test/signals.fs, doc/gforth.ds, engine/main.c, kernel/comp.fs, Makefile.in, errors.fs, see.fs:
	added regression test for signal on broken execute (not working on Linux-PPC)
	new error message and code for ticking compile-only words
	bug workaround for gforth binary (dynamic superinsts produced wrong code for
	    ?dup-0=-branch)

2002-03-25  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* arch/misc/prim.fs: deleted x! and x@

	* arch/misc/prim.fs: before deleting x! and x@

2002-03-23  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el: Minor bug- und compatability fixes.

2002-03-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/m68k/machine.h, arch/mips/machine.h, arch/power/machine.h, arch/sparc/machine.h, engine/Makefile.in, engine/main.c, Makefile.in, arch/386/machine.h, arch/alpha/machine.h, arch/generic/machine.h, arch/hppa/machine.h, configure.in:
	cleaned up #defines of DIRECT_THREADED and INDIRECT_THREADED
	introduced engine gforth-itc (indirect threading, no replication)
	fixed bug in indirect threading

	* ans-report.fs:
	bugfix (replace-word adapted to primitive-centric code)

	* engine/main.c:
	support for --no-super (no dynamic superinstructions) and
	            --no-dynamic (use only static primitives)

2002-03-21  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* cross.fs: fix?!

	* cross.fs: MAXU MINI MAXI work now with dlit,

	* cross.fs: added optional write protection for memory regions

	* cross.fs: added symentry and \?

	* arch/misc/prim.fs: cleanup

	* arch/misc/prim.fs:
	volatile vm data (registers and stack) go to seperate memory region
	(preparation for romable tests)

2002-03-20  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* cross.fs: No forward references to native code definitions
	(primitives and doer) are allowed any more
	(didn't work in any case before, but now a warning is issued)

	* kernel/main.fs: sanity check for header address changed

	* kernel/main.fs:
	moved image-header down to avoid forward reference for doer

2002-03-19  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* cross.fs: cleaned up bernds changes.
	tried to manage the peephole/call threading stuff with the
	existing plugin definitions.

	* kernel/main.fs: Oops. Sorry for that empty log-message.
	Moved forthstart definition to not have a forward reference on a primitive.

	* kernel/main.fs: *** empty log message ***

	* cross.fs: no functional change

2002-03-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/io.c: portability change

	* INSTALL, Makefile.in, configure.in:
	Better discussion of cross-installation in INSTALL.
	Force direct threading everywhere (indirect threading currentldoes not work).
	make target "gforths" builds and copies all engines.

2002-03-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* BUILD-FROM-SCRATCH, Makefile.in:
	fixed Makefile bugs (to get BUILD-FROM-SCRATCH running again)

2002-02-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs, engine/forth.h, engine/main.c, engine/peephole.c, engine/profile.c, prim, prims2x.fs, Makefile.in:
	lit@ and lit+ are now defined as superinstructions
	compile lit @ and lit + instead of lit@ and lit+
	extended prims2x to support superinstructions with non-C-names
	  (syntax: forth-name /c-name = ...)
	support profiling of interpreters with superinstructions
	  (with simple instructions in the output).
	profile output with prefixes only (enable by editing profile.c).
	optional reporting of static superinstruction lengths (compared to
	  dynamic superinstructions); enable by compiling with -DPRINT_SUPER_LENGTHS

2002-02-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, kernel/comp.fs, kernel/cond.fs, kernel/vars.fs, gforth.el, peeprules.vmg:
	Compiles static superinstructions combined with dynamic superinstructions
	added ENDIF to gforth.el

2002-01-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c:
	eliminated searching in compile_prim (faster startup and compilation)

	* engine/main.c, see.fs:
	dynamic superinstructions for the code in the image
	SEE works again for CODE words

2002-01-26  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el:
	Fixed everything that prevented `gforth.el' from working with XEmacs
	21.1. Fixed info-lookup.

2002-01-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/386/machine.h, engine/engine.c, engine/forth.h, engine/main.c, engine/threaded.h, prim:
	hybrid direct/indirect threading (replaces direct threading)

2002-01-19  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el: Added code for making `gforth.el' work in Emacs 19.34.

2002-01-17  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el:
	added and fixed `require's, fixed byte-code-compilation relevant
	things (avoid free variables, top-level `require's etc), added
	`(provide 'forth-mode)'

2002-01-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* environ.fs, float.fs, startup.fs: Fixed enviroment queries

2002-01-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, engine/main.c, engine/threaded.h: bugfixes

2002-01-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c:
	compile_prim now converts "xts" into "threaded-code" for DOUBLY_INDIRECT,
	     and reports non-primitive non-xt input

2002-01-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/forth.h, engine/main.c, engine/signals.c, engine/threaded.h, Makefile.in, comp-i.fs:
	Differentiate between threaded code and xts in gforth-ditc and in gforthmi

2002-01-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/main.c, engine/signals.c, kernel/aliases0.fs, cross.fs, prim, search.fs:
	Thrown out static vocabulary stack
	Changed cross to make mixed threading workable

	* kernel/args.fs, kernel/comp.fs, kernel/int.fs, kernel/paths.fs, cross.fs, prim:
	Cross compiler changes for mixed threading

2002-01-05  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* search.fs, gforth.el: Made gforth.el hilight see and dbg.
	Added dynamic search order stack allocation code to search.fs.

2002-01-04  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/engine.c, see.fs, cross.fs, prim:
	Modified cross to get closer to mixed threading
	Added a few debugging aids

2002-01-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c: preparations in loader for hybrid threading

2002-01-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* Benchres, Makefile.in:
	Added benchmark result (superinstructions) for 600 MHz Athlon
	Made cross work again with superinstructions (requires larger dictionary)

2001-12-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/alpha/machine.h, arch/power/_sync_cache_range.c, engine/main.c, Benchres, Makefile.in, arch/386/machine.h, machpc.fs, machpc.fs.in:
	default dictionary size 1M cells
	machine-specific stuff for dynamic superinstructions is now in machine.h
	support for dynamic superinstructions for Alpha

2001-12-28  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/engine.c: undefined symbols to make engine.c work with GNU m4

2001-12-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, engine/main.c, doc/gforth.ds, machpc.fs:
	gforth no longer uses TOS caching (for improved error detection, suggested by
	                                   Dennis Donnelly).
	The default FP stack size is 16K (for improved error detection).
	minor changes.

2001-12-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, kernel/toolsext.fs, prim:
	dynamic superinstructions now continue across conditional branches
	added DEFINED back in (as alias of [DEFINED])

2001-12-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/Makefile.in, engine/forth.h, engine/main.c, kernel/comp.fs, Benchres, Makefile.in, prim, prims2x.fs:
	added dynamic superinstructions (currently for direct threading on 386,
	                                 without checking for other platforms)

	* engine/Makefile.in, engine/engine.c, engine/main.c, Benchres, doc/gforth.ds, prims2x.fs:
	determine primitive relocatability for dynamic superinstructions
	documentation changes (from bug reports by Robert Epprecht and others)

2001-12-15  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el:
	Cleaned up motion-dectection, used for displaying screen-numbers in
	forth-block-mode. Added support for just-in-time hilighting feature of
	Emacs21 (using fontification-functions hook).

2001-12-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/threaded.h, doc/gforth.ds, prim, prims2x.fs:
	use LABEL(name) instead of CASE I_name at the start of a primitive
	fixed read-line tutorial documentation bug

2001-12-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Benchres, arch/386/machine.h:
	more register allocation fine-tuning; USE_TOS is again used with gcc-3.*

	* Benchres, arch/386/machine.h, engine/Makefile.in:
	explicit register allocation for gcc-3.0.x (not as good as gcc-2.95, but
	  better than before); don't use TOS with gcc-3.x, so rp can be allocated.
	Compile engine.c with -fno-gcse (to improve gcc-3.x code quality).

2001-12-01  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/engine.c, prim, proxy.fs, script.fs:
	Fixed popen access type (*not binary*)
	Fixed some bugs in proxy.fs
	Added scripting support

2001-11-21  Bernd Paysan  <bernd.paysan@gmx.de>

	* fi2c.fs: fixed fi2c.fs address size bug

2001-11-11  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/386/ncex/ncexcompiler.fs, arch/386/ncex/ncexcontrol.fs, arch/386/ncex/ncexcpu1.fs, arch/386/ncex/ncexcpu2.fs, arch/386/ncex/ncexregalloc.fs, Makefile.in, cross.fs, httpd.fs, prims2x.fs, proxy.fs, wf.fs:
	Added tags generation for vi
	small changes on httpd for EuroForth paper
	Added navigation button generation via Gimp to wf
	Made nccomp from Lars Krueger work at least somehow

2001-10-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/threaded.h, vmgen-ex/engine.c, prims2x.fs:
	prims2x now generates CASE before the label

	* kernel/int.fs, BUGS, ekey.fs, machpc.fs:
	added some function key names and sequences (from Linux console)
	renamed NAME into PARSE-WORD

2001-10-07  Bernd Paysan  <bernd.paysan@gmx.de>

	* locate.fs: Added locate for vi fans

2001-09-21  Bernd Paysan  <bernd.paysan@gmx.de>

	* dosekey.fs, startup.fs: Added DOS support for ekey

2001-09-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/toolsext.fs: Provided [defined] and [undefined]
	Changed stack comments in toolsext.fs

	* history.fs:
	Added ignoring command completion if there's another key in the queue

2001-09-16  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/main.fs:
	Put full featured startup.fs into main.fs, so that both BUILD-FROM-SCRATCH
	and a build based on kernl*.fi can expect the same extensions.

2001-09-16  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* arch/c165/prim.fs: fix

	* cross.fs: fix: cross now works again on top of kernlXYZ.fi

	* debug.fs, environ.fs, glocals.fs, look.fs: added requires

	* engine/.cvsignore: Added profile.i, peephole.i and gforth-prof

	* engine/main.c: Non-relocatable images with fixed base work again.
	Base address of $100 and 0 are now special cases that indicate
	a relocatable image.

2001-09-15  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/386/ncex/ncexcompiler.fs, engine/signals.c, history.fs:
	Fix for terminals where TIOCGWINSZ doesn't work
	Added bindkey to history.fs

2001-09-12  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* cross.fs: added comment

	* kernel/main.fs: cleanup

	* machpc.fs, cross.fs, engine/main.c, kernel/basics.fs, kernel/main.fs:
	Image starts at $100 for cross-compilation now. A NULL-reference
	is really a reference to address 0 and NIL is 0.
	In the kernel image-header to get the headers address.
	Image loading is only changed minimal: The stuff with fixed
	addressed images is thrown out, because every image is relocatable.
	No header change. Old images should work.

	* cross.fs: renamed aprim

2001-09-06  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Improved table handling

2001-09-06  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* cross.fs: added fixme comment

	* kernel/files.fs:
	changed warnings to redefinitions-start / end because
	we have to switch more than only the warnings

2001-09-05  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* cross.fs: cleaned up
	EC stuff currently broken

	* cross.fs:
	fix: this version produces exacly the same images as version 1.101

	* cross.fs: - added changes for peephole optimization
	Test version!

	* cross.fs: - some cleanup
	- added dlit,

	* cross.fs: - oops, left some debugging output
	- added comment for ghost fields

	* cross.fs:
	merged in the sepearation from colon, and prim, through the >comp field in the ghost
	still TODOs:
	- peephole stuff
	- unification of new >exec-compile and >comp fields

	a running kernl32l.fi was created successfully with this cross.fs

2001-09-04  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* cross.fs: char optimization

	* cross.fs: lots of changes from the G&D project
	- relocatable assembler output
	- vocabularies support prepared
	- lots of cleanup
	- hooks for instant (target execution while cross-compilation)
	- peephole changes from bernd missing
	- genereation of kernl32l.fi works correctly

	* cross.fs: this is the orignal cross.fs from 0.5.0 updated
	with input-method and long headers
	(used to compare generated images, does not last long)

	* hash.fs: relocation fixes for cross-compilation

	* kernel/comp.fs, kernel/int.fs:
	relocation fixes, use [compile] for immediate words
	added AValue in comp.fs

	* cross.fs: interims version to check in the kernel changes

	* kernel/cloop.fs: changed compile to postpone

	* kernel/cbr.fs: changed to postpone

	* kernel/basics.fs: fix for ec: AConstant relocatable

2001-09-03  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el:
	Bugfix, Improved hilighting/indentation to recoginize structured
	data-types, that end on %. Indentation now also ignores non-immediate
	words inside definitions. Tested gforth.el on Emacs21. Works fine!!

2001-09-03  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* arch/misc/tt.fs: fix for relocating

2001-08-25  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/386/asm.fs, wf.fs: Fixed 386 assembler jump table
	Some improvements to Wiki Forth

2001-08-08  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* BUILD-FROM-SCRATCH: fix

2001-08-07  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* BUGS, doc/gforth.ds, float.fs, stuff.fs: New bug reports.
	added slurp-fid; documented slurp-fid and slurp-file.
	bugfix in f. (thanks to Doug Bagley).

2001-08-06  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Another set of fixes for wf.fs

2001-08-05  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/386/ncex/ncexcompiler.fs, arch/386/ncex/ncexcpu1.fs, wf.fs:
	Added toc handling to wf
	Wrote wrapper code for ncex

2001-07-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Some further fixes

2001-07-24  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Fixed jpeg handling
	Improved data base

2001-07-23  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Added image size handling

2001-07-22  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Some further modification to wiki for Forth

2001-07-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: fixed table end problem

	* wf.fs: Added embedded images (no size yet)
	Improved table parsing

	* wf.fs: Added HTML table, easier ways to add options to a tag

	* wf.fs: Improvements of wiki for Forth
	Added small text data base

2001-07-16  Bernd Paysan  <bernd.paysan@gmx.de>

	* wf.fs: Added first version of a Wiki in Forth

2001-07-10  crook  <crook@mips.complang.tuwien.ac.at>

	* cross.fs, arch/c165/mach.fs:
	added constant for bits/char -- seems that this is now obligatory.

	* arch/6502/asm.fs, arch/6502/mach.fs:
	fixed comments and formatting in asm.fs, and set a default processor variant
	(one of the reasons why kernl-6502.fi doesn't build). Added null >boot in
	mach.fs.

	* arch/misc/README:
	fixed up comments to reflect current file organisation.

	* arch/4stack/README, arch/4stack/mach.sh:
	kernl-4stack.fi now builds. Fixed paths in mach.sh, and changed reference
	therein from gforth to ./gforth to ensure that the engine is consistent
	with the source tree in which the .fi file is being built. Revised README
	to reflect the current file organisation.

	* asm/numref.fs: fix typos and comments.

	* kernel/kernel.fs, kernel/main.fs, kernel/pass.fs:
	minor formatting fixes. Fix typos and comments.

2001-06-26  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el, etags.fs:
	Fixed some old bug in etags.fs and refined tag search in gforth.el. See my
	not in etags.fs for details.

2001-06-19  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el: Improved imenu support.

2001-06-17  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el: Improved interface for customizing hilighting/indentation.
	Added imenu and speedbar support (needs further refinement, though).

2001-06-16  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/misc/mach.fs, arch/shboom/mach.fs:
	Some further steps to make gforth EC work

	* kernel/quotes.fs, kernel/vars.fs, arch/386/ncex/ncexregalloc.fs, arch/4stack/mach.fs, arch/4stack/relocate.fs, arch/6502/mach.fs, arch/8086/mach.fs, engine/forth.h, engine/main.c, arch/386/ncex/ncexcpu1.fs, cross.fs, prim, prims2x.fs:
	Made some Gforth-EC targets work again
	Started grouping (no renumbering yet, groups are just dummies)

2001-06-15  ak042  <ak042@mips.complang.tuwien.ac.at>

	* engine/peephole.c: revert all 2001/05/28 changes.

2001-06-14  crook  <crook@mips.complang.tuwien.ac.at>

	* colorize.fs, ansi.fs:
	changed >f to >FG and >b to >BG (and <f <b to <FG <BG) to remove name
	clash between ansi.fs ">f" and gforth floating comparison word.

2001-06-12  Bernd Paysan  <bernd.paysan@gmx.de>

	* tasker.fs: Fixed kill-task
	Added glossary entries

	* tasker.fs: Fixed tasker (to handle new input method)

2001-05-28  ak042  <ak042@mips.complang.tuwien.ac.at>

	* engine/peephole.c: there is still a problem with iburg <-> burg.

2001-05-18  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el: Refined forth-block-mode.

2001-05-13  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* Makefile.in, prims2x.fs:
	simpy inlclude startup.fs in prims2x if needed

	* BUILD-FROM-SCRATCH, Makefile.in, prims2x.fs, startup.fs:
	cleanup, so BUILD-FROM-SCRATCH (should) works

	* exboot.fs: comment fix

2001-05-11  crook  <crook@mips.complang.tuwien.ac.at>

	* engine/forth.h:
	removed spurious ; from end of #endif to get rid of compile warning.

2001-05-10  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* kernel/accept.fs: corrected control keys vector

2001-05-09  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* Makefile.in: BUILDFORTH more comment

	* cross.fs: corrected problem with messed up word names in crossdoc.fd

2001-05-07  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* ToDo: new topics

2001-05-06  David Kuehling, MAE  <dvdkhlng@mips.complang.tuwien.ac.at>

	* gforth.el: *** empty log message ***

2001-05-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/quotes.fs, README.vmgen:
	interpreted s" now ALLOCATEs the string

2001-05-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* vmgen.in: vmgen base file

	* README, configure.in, testdist, vmgen-ex/README, Makefile.in:
	minor changes

	* engine/Makefile.in, prim, testdist, Makefile.in, README.vmgen, configure.in, peeprules.vmg:
	vmgen-related changes in Makefile
	fixed FORTHB/prims2x breakage
	removed lit_plus
	added peeprules.vmg as a place to put superinstructions
	testdist now also tests vmgen-ex

	* vmgen-ex/mini-super.vmg, vmgen-ex/mini.h, vmgen-ex/mini.vmg, vmgen-ex/peephole-blacklist, vmgen-ex/profile.c, vmgen-ex/seq2rule.awk, vmgen-ex/stat.awk, vmgen-ex/support.c, vmgen-ex/Makefile, vmgen-ex/README, vmgen-ex/engine.c, vmgen-ex/mini-inst.vmg:
	fixed profiling
	completed README

2001-04-30  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* arch/avr/asm.fs: fixes

	* BUILD-FROM-SCRATCH:
	with an installed gorth 0.5.0 just type ". BUILD-FROM-SCRATCH" after
	checkout

	* BUILD-FROM-SCRATCH, Makefile.in, prims2x.fs:
	set of changes to use gforth0.5.0 to build right out of the cvs sources

	* arch/generic/machine.h: define HAS_PEEPHOLE only if not defined

	* arch/generic/machine.h:
	HAS_PEEPHOLE must be defined by default as in machpc.fs

2001-04-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* vmgen-ex/Makefile, vmgen-ex/engine.c, vmgen-ex/mini.vmg:
	added more threading schemes and comments
	added USE_spTOS and commented out superflouos cache flushes and refills

	* vmgen-ex/Makefile, vmgen-ex/mini.y, vmgen-ex/test.out: minor changes

	* vmgen-ex/mini.h, vmgen-ex/mini.l, vmgen-ex/mini.vmg, vmgen-ex/mini.y, vmgen-ex/peephole.c, vmgen-ex/profile.c, vmgen-ex/simple.mini, vmgen-ex/support.c, vmgen-ex/test.mini, vmgen-ex/Makefile, vmgen-ex/README, vmgen-ex/disasm.c, vmgen-ex/engine.c, vmgen-ex/fib.mini:
	added vmgen-ex

2001-04-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* vmgen-Attic/Makefile, vmgen-Attic/disasm.c:
	removing vmgen directory (will be replaced by vmgen-ex)

2001-04-08  Bernd Paysan  <bernd.paysan@gmx.de>

	* machpc.fs.in: source for machpc.fs (for peephole)

	* arch/generic/machine.h, engine/engine.c, prim, see.fs, Makefile.in, acconfig.h, configure.in, cross.fs, gforth.el:
	Made peephole a configurable option

2001-03-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/peephole.c:
	peephole optimization now uses a hash table
	primtable() moved to engine.c (threading dependent)

	* kernel/int.fs, see.fs, simp-see.fs, startup.fs: added SIMPLE-SEE

2001-03-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/generic/machine.h, kernel/comp.fs, kernel/int.fs, kernel/vars.fs, machpc.fs, prim, cross.fs:
	Made peephole a configurable option
	call compilation in cross works now
	Not done yet:
	- peephole itself
	- Create as alit,
	- DOES> compilation

2001-03-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs:
	prefixes are now automatically defined in wordlist PREFIXES

	* engine/engine.c, prim, prims2x.fs:
	moved stack definitions from prims2x.fs to prim (and support for that)

	* prims2x.fs:
	cleaned up prims2x.fs, prepare for pulling stack definition out

	* engine/profile.c, prims2x.fs:
	VM_DEBUGGING now also prints stack-out values.
	output-profile now uses goto to avoid gcc parser overflow.

2001-03-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* cross.fs, see.fs:
	Further peephole optimization preparation in cross.fs:
	- compile calls now works
	- compile Create/DOES> better prepaired (doesn't work yet)
	- compile Create/Variable doesn't work yet
	- no peephole optimization yet
	See calls works

2001-03-11  Bernd Paysan  <bernd.paysan@gmx.de>

	* cross.fs, gforth.el:
	Checked in cross with some part of peephole optimization (doers - not all of
	them)
	Checked in fontlock-mode coloring version of gforth.el

	* Makefile.in, cross.fs, prim, prims2x.fs:
	First steps to get peephole optimizing into cross

2001-03-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/profile.c, prims2x.fs: minor bugfixes

2001-03-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, engine/profile.c, prims2x.fs:
	profiling now outputs subsequences

2001-02-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, engine/forth.h, engine/main.c, engine/profile.c, prim, prims2x.fs:
	continued block profiling

2001-02-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/forth.h, engine/main.c, engine/peephole.c, engine/profile.c, Makefile.in, backtrac.fs, engine/Makefile.in, prim, prims2x.fs:
	good start at profiling for peephole optimization
	backtrace now also works for calls done with CALL

	* prims2x.fs: "TAIL;" now works properly in superinstructions

2001-02-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs, test/string.fs, gforthmi.in, prim:
	gforthmi now deals properly with arguments containing spaces
	added CALL and USERADDR primitives
	all references to colon defs, constants etc. are now compiled to primitives
	   with inline arguments
	improved COMPARE test case

2001-02-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs, kernel/cond.fs, kernel/int.fs, kernel/vars.fs, comp-i.fs, prims2x.fs:
	added peephole optimization to kernel

	* engine/Makefile.in, engine/engine.c, engine/forth.h, engine/peephole.c, prim, prims2x.fs, Makefile.in:
	added C and primitive support for peeophole optimization

	* Makefile.in, prims2x.fs, test/string.fs: added test for COMPARE
	more peephole optimization stuff

2001-02-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: first take on generating combined instructions

2001-02-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs:
	fixed inst-stream access in parts of combined instructions

2001-02-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* BUGS, prims2x.fs: more combined word changes

2001-02-07  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, prims2x.fs:
	type-specific conversion functions for fetch/store-double

2001-02-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, BUGS, configure.in, prim, prims2x.fs:
	type conversion macros instead of casts for fetch/store-single (prims2x.fs)

2001-02-04  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/8086/mach.fs, cross.fs, kernel/int.fs, prim:
	Fixed problems with new word header format for Gforth EC (now only tested
	for gf8086.com)

2001-01-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs: Fixed masks for character sizes > 8 bit

2001-01-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs: Fixed [ alias-mask lcount-mask or ] Literal problem

	* cross.fs: Fixed input method problem

2001-01-28  Bernd Paysan  <bernd.paysan@gmx.de>

	* cross.fs, kernel/comp.fs, kernel/int.fs, prims2x.fs:
	Fixed cell-size dependent masks

2001-01-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs, kernel/int.fs, Makefile.in, wordinfo.fs:
	fixed bug (?; might also be due to an Emacs change) in prim.TAGS generation.
	bugfix in alias? (length related)
	NEXTNAME can now also handle long names
	added FREE-MEM-VAR

	* kernel/comp.fs, see.fs: SEE bugfix (coming from long names)
	NEXTNAME bugfix (but still length restrictions)

	* kernel/int.fs, comp-i.fs, cross.fs, hash.fs, kernel/comp.fs, table.fs:
	long names in dictionary

2001-01-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, prim:
	added primitives (listlfind) (hashlfind) (tablelfind) for dealing with
	   long names

2001-01-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: replaced items with field in prim

	* kernel/tools.fs, prims2x.fs: factored out WORDLIST-WORDS from WORDS
	more work on combined primitives

2001-01-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: minor changes

	* kernel/int.fs: made bracktrace-rp0 restoration THROW-proof

	* Makefile.in, kernel/int.fs, prims2cl.fs, prims2x.fs:
	bugfix (complete?): backtrace-rp0 now is restored in interpret
	process-file in prims2x.fs now takes two xts
	various other chnages in prims2x.fs

2001-01-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: first parts for combined instructions

2001-01-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: introduced make-prim

2001-01-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* comp-i.fs, prims2x.fs, stuff.fs:
	moved SLURP-FILE from comp-i.fs to stuff.fs
	various changes in prims2x.fs

2001-01-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: more refactoring in prims2x.fs

	* prims2x.fs: moved parser to the end

	* prims2x.fs: factored output out of DECLARATIONS

	* doc/gforth.ds, prims2x.fs: Better error reporting in prims2x.fs
	Bug fixed by changing the docs: RECOVER is not optional in TRY...ENDTRY.

2001-01-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: some refactoring

2001-01-14  Bernd Paysan  <bernd.paysan@gmx.de>

	* prim: Fixed error report for read-dir

2001-01-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs, ChangeLog, prim: changes for better debugging output
	made a ChangeLog for real
	NEWLINE for Darwin (should be LF, but if does not define unix)

2001-01-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/threaded.h, prims2x.fs: bugfix

2001-01-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/threaded.h, prims2x.fs: bugfix

2001-01-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: minor improvements

2000-12-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: prims2x.fs now generates gen_<prim> functions.

2000-12-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* ekey.fs: added K-PRIOR, K-NEXT, K-DELETE to ekey.fs
	ekey.fs now recognizes Linux console escape sequences.

2000-12-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prims2x.fs: more white space tolerance in prims2x.fs

	* prims2x.fs: even more tolerance for trailing white space

	* prims2x.fs: prims2x.fs is now more tolerant to trailig spaces

	* prims2x.fs, vmgen/Makefile, vmgen/disasm.c:
	prims2x can now generate a VM disassembler; added support files

2000-12-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/Makefile.in, engine/threaded.h, prim, prims2x.fs:
	finishing touches to dealing with inst-stream in prims2x.fs
	converted prims to using this new feature for inline arguments (prefix '#')
	commented out prim* targets in engine/Makefile.in (out-of-date)

2000-12-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/threaded.h, gforth.el:
	Simplified threading scheme for PPC (faster with gcc-2.95 on 604e and G4).
	Commented out hilight stuff in gforth.el (turned on hilighting everywhere).
	Fixed wrong use of add-hook, and replaced use of (obsolete)
	   comment-indent-hook with comment-indent-function.

2000-12-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim, prims2x.fs:
	prims2x.fs can now process \E (for EVALUATE) "comments"
	moved prefix declarations to prims2x.fs (into \E comments).

	* prims2x.fs: added support for # prefix in prims2x.fs (not complete)

2000-12-10  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makedist.in, Makefile.in, fixpath.fs, iss.sh:
	Improved Win32-based distribution (iss.sh generates a setup script for inno
	setup).

2000-12-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Benchres, configure.in: i686 now uses indirect threading

2000-12-02  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/386/asm.fs, arch/386/disasm.fs:
	Fixed search order bug in 386 asm.
	Added ptr information to disassembler.

2000-11-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, stuff.fs: added CONST-DOES> documentation

	* environ.fs: added ENVIRONMENT (vocabulary)

2000-11-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* proxy.fs: Improved proxy further

	* proxy.fs: Removed debugging code

	* proxy.fs: Fixed Host in redirect

	* unix/socket.fs, httpd.fs, proxy.fs: Added proxying for httpd

2000-11-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* gforth.el:
	Bugfix: Highlighting code did not work on non-X emacs; bug report and
	  patch by atsiyn_kytat@hotmail.com (Julian Fondren)

2000-11-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* prim, prims2x.fs:
	prims2x now replaces "TAIL;" in the C code with appropriate code for
	   terminating the primitive
	Most conditional branches now use "TAIL;" to have two NEXTs
	   This brings performance back to the level before Nov 12th 2000

2000-11-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, Makedist.in, Makefile.in, gforth.lsm, see.fs, startup.fs, stuff.fs:
	make bindist now makes sunsite-compliant package names
	updated lsm
	prims2x now works on the Alpha
	SEE now displays anonymous words as <###> (where ### is the xt)
	added CONST-DOES>

2000-11-12  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* debug.fs:
	debugging can nest into defered words, as well as execute and perform

2000-11-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, prim, prims2x.fs:
	prims2x.fs now generates the return stack stuff from the stack comment
	most references to rp were eliminated from prim
	  currently this comes with a performance penalty, because
	  conditional branches now use just one NEXT instead of one for the
	  branch and one for the fallthrough

	* prims2x.fs:
	generalized prefixing in prims2x.fs (prepare for stack prefixes)

2000-11-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/forth.h, engine/main.c, Makefile.in, prim, prims2x.fs:
	rewrote large parts of prims2x.fs to become more flexible (not restricted to
	  2 stacks, factored out common code for the stacks, etc.).
	Changes in other files to go with the prims2x.fs changes

2000-10-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/input.fs:
	Fixed evaluate problem (s" SOURCE" 2dup evaluate d= -> true)

2000-10-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/args.fs, kernel/files.fs, kernel/getdoers.fs, kernel/input.fs, kernel/int.fs, kernel/kernel.fs, kernel/require.fs, kernel/vars.fs, Makefile.in, blocks.fs, cross.fs, extend.fs, httpd.fs, machpc.fs:
	Added new input handling (OO approach). Only available if capability
	new-input is true (so setting that to false in machpc.fs gets you the old
	input handling back).

2000-10-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* see.fs: added names ID. and .ID for .NAME

2000-10-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/accept.fs, BUGS, Benchres:
	added EDIT-LINE; ACCEPT now gives an error on negative input
	fixed ACCEPT documentation

2000-10-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in: make uninstall now deletes gforth-fast-$VERSION

2000-10-03  Bernd Paysan  <bernd.paysan@gmx.de>

	* gforthmi.bat, mkdosmf.sed, mkos2mf.sed, os2conf.h, config.bat, dosconf.h:
	Fixed version strings in the DOS and OS/2 versions
	Fixed gforthmi.bat

2000-10-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Benchres, gforth.el:
	Bugfix (add-hook etc. instead of setq etc.; bug report by David Kuehling)
	  not fixed: forth-start-hook

2000-09-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* INSTALL, INSTALL.BINDIST, Makefile.in:
	add kernel.TAGS dependency and target in the Makefile

2000-09-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in: removed srcdir mangling in configure.in (broke bindist)

2000-09-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* BUGS: added bug report

2000-09-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* README, configure.in, testall, testclean:
	updated version number and README

	* doc/gforth.1, doc/gforth.ds, engine/getopt.c, NEWS, README:
	updated NEWS
	minor changes

	* unix/time.fs, kernel/pass.fs, kernel/paths.fs, kernel/prim0.fs, kernel/quotes.fs, kernel/require.fs, kernel/saccept.fs, kernel/tools.fs, kernel/toolsext.fs, kernel/vars.fs, netlib/configure.in, test/dbltest.fs, test/other.fs, kernel/nio.fs, kernel/doers.fs, kernel/errore.fs, kernel/files.fs, kernel/getdoers.fs, kernel/int.fs, kernel/io.fs, kernel/kernel.fs, kernel/license.fs, kernel/main.fs, kernel/accept.fs, kernel/aliases0.fs, kernel/args.fs, kernel/basics.fs, kernel/cbr.fs, kernel/cbrpi.fs, kernel/cloop.fs, kernel/cloop2.fs, kernel/comp.fs, kernel/cond-old.fs, kernel/cond.fs, engine/io.c, engine/io.h, engine/main.c, engine/memcmp.c, engine/memcmpc.c, engine/memmove.c, engine/pow10.c, engine/select.c, engine/signals.c, engine/strerror.c, engine/strsignal.c, engine/strtol.c, engine/strtoul.c, engine/threaded.h, engine/cleanalign.c, engine/dblsub.c, engine/ecvt.c, engine/engine.c, engine/forth.h, engine/getopt.c, engine/getopt.h, engine/getopt1.c, doc/makedoc.fs, ec/dotx.fs, ec/nesting.fs, ec/shex.fs, engine/Makefile.in, engine/ansidecl.h, engine/atanh.c, asm/generic.fs, asm/numref.fs, asm/target.fs, doc/gforth.ds, arch/sharc/mach.fs, arch/sharc/machine.h, arch/shboom/mach.fs, arch/sparc/machine.h, asm/basic.fs, asm/bitmask.fs, arch/mips/insts.fs, arch/mips/machine.h, arch/misc/mach.fs, arch/power/_sync_cache_range.c, arch/power/machine.h, arch/alpha/machine.h, arch/generic/machine.h, arch/hppa/cache.c, arch/hppa/machine.h, arch/ia64/machine.h, arch/m68k/machine.h, arch/mips/asm.fs, arch/mips/disasm.fs, arch/4stack/asm.fs, arch/4stack/mach.fs, arch/4stack/prim-new.fs, arch/4stack/prim.fs, arch/4stack/relocate-new.fs, arch/4stack/relocate.fs, arch/6502/mach.fs, arch/6502/prim.fs, arch/alpha/asm.fs, arch/alpha/disasm.fs, arch/386/asm.fs, arch/386/machine.h, wordlib.fs, wordlib.mk, see-ext.fs, see.fs, source.fs, startup.fs, string.fs, struct.fs, stuff.fs, table.fs, tasker.fs, termsize.fs, traceall.fs, unbuffer.fs, vt100.fs, vt100key.fs, wordinfo.fs, mach64b.fs, mach64l.fs, machpc.fs, make-app.fs, model, more.fs, other.fs, prim, prims2cl.fs, prims2x.fs, random.fs, savesys.fs, search.fs, hash.fs, history.fs, html.fs, httpd.fs, intcomp.fs, lib.fs, locals-test.fs, locals.fs, look.fs, mach16b.fs, mach16l.fs, mach32b.fs, mach32l.fs, extend.fs, fi2c.fs, filedump.fs, float.fs, gforthmi.cmd, gforthmi.in, glocals.fs, glosgen.fs, gray.fs, growable.fs, exboot.fs, except.fs, etags.fs, envos.dos, envos.fs, envos.os2, errors.fs, configure.cmd, configure.in, cross.fs, debug.fs, debugs.fs, doskey.fs, ds2texi.fs, ekey.fs, environ.fs, acinclude.m4, add.fs, ans-report.fs, ansi.fs, assert.fs, backtrac.fs, blocks.fs, bufio.fs, chains.fs, code.fs, colorize.fs, comp-i.fs, BUILD-FROM-SCRATCH, COPYING, Makedist.in, Makefile.in, acconfig.h:
	changed FSF address in copyright messages

	* kernel/saccept.fs, kernel/tools.fs, kernel/toolsext.fs, kernel/vars.fs, test/dbltest.fs, test/other.fs, kernel/doers.fs, kernel/errore.fs, kernel/files.fs, kernel/getdoers.fs, kernel/io.fs, kernel/kernel.fs, kernel/main.fs, kernel/nio.fs, kernel/paths.fs, kernel/prim0.fs, kernel/quotes.fs, kernel/require.fs, kernel/cbrpi.fs, kernel/cloop.fs, kernel/cloop2.fs, kernel/comp.fs, kernel/cond-old.fs, kernel/cond.fs, engine/forth.h, engine/io.c, engine/io.h, engine/main.c, engine/signals.c, engine/threaded.h, kernel/accept.fs, kernel/aliases0.fs, kernel/args.fs, kernel/basics.fs, kernel/cbr.fs, arch/mips/insts.fs, arch/mips/machine.h, arch/power/machine.h, arch/sparc/machine.h, doc/makedoc.fs, engine/Makefile.in, engine/ecvt.c, engine/engine.c, arch/hppa/machine.h, arch/m68k/machine.h, arch/mips/asm.fs, arch/mips/disasm.fs, arch/generic/machine.h, arch/386/machine.h, arch/4stack/asm.fs, arch/4stack/mach.fs, arch/4stack/prim-new.fs, arch/4stack/prim.fs, arch/4stack/relocate-new.fs, arch/4stack/relocate.fs, arch/6502/mach.fs, arch/6502/prim.fs, arch/alpha/machine.h, struct.fs, stuff.fs, table.fs, traceall.fs, unbuffer.fs, vt100.fs, vt100key.fs, wordinfo.fs, wordlib.fs, prims2cl.fs, prims2x.fs, search.fs, see.fs, startup.fs, string.fs, httpd.fs, look.fs, mach16b.fs, mach16l.fs, mach32b.fs, mach32l.fs, mach64b.fs, mach64l.fs, machpc.fs, objects.fs, prim, gforth.el, gforth.lsm, gforthmi.in, glocals.fs, hash.fs, history.fs, html.fs, debug.fs, debugs.fs, doskey.fs, ds2texi.fs, environ.fs, envos.fs, errors.fs, except.fs, extend.fs, fi2c.fs, Makefile.in, ans-report.fs, assert.fs, backtrac.fs, blocks.fs, code.fs, colorize.fs, configure.in, cross.fs, BUILD-FROM-SCRATCH, Makedist.in:
	updated copyright dates in many files (not in ec-related files)

	* float.fs, test/other.fs, BUGS:
	fixed bug ("2 set-precision 333e0 fe." gave "33e0")
	added test for restore-input with crlf newlines

2000-09-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/args.fs, kernel/int.fs, testall, Makefile.in:
	bugfix (loadfilename# must be set before process-args)
	minor changes

2000-09-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: doc fixes

	* BUGS, Makefile.in: fixed bug about directory in prim.TAGS (untested)

	* arch/ia64/machine.h, Makefile.in, configure.in:
	added initial ia64 support (thanks to Andreas Schwab)

2000-09-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* exboot.fs, startup.fs:
	exboot.fs now does not change image-included-files

2000-09-12  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, gforth.el, kernel/files.fs, kernel/int.fs, startup.fs:
	Fixed #fill-bytes for nested inputs
	Improved font highlighting
	Dirty fix for exboot correction (for DOS)

2000-09-11  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/require.fs: typo fix

	* kernel/int.fs, kernel/require.fs, prim: fixed bug

2000-09-10  Bernd Paysan  <bernd.paysan@gmx.de>

	* extend.fs, kernel/files.fs, kernel/int.fs, prim:
	Changed (read-line) again

2000-09-09  Bernd Paysan  <bernd.paysan@gmx.de>

	* extend.fs, kernel/files.fs, kernel/int.fs, prim:
	Fixed CR/LF bug wrt save/restore-input

2000-09-08  Bernd Paysan  <bernd.paysan@gmx.de>

	* oof.fs: Made oof.fs work with iForth (thanks to Marcel Hendrix)

2000-09-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* BUGS: updated BUGS file

	* kernel/int.fs:
	Better error reporting for exceptions during command-line input

2000-09-07  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* backtrac.fs, engine/main.c:
	bugfix (determination of whether rp is in range after the setjmp in go_forth.

2000-09-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/files.fs, kernel/int.fs, kernel/require.fs, blocks.fs, doc/gforth.ds:
	improved error messages for errors happening in non-files.

	* BUGS: updated BUGS

	* BUGS, Makefile.in, engine/Makefile.in, kernel/require.fs: fixed a bug
	updated BUGS file
	factored out .strings from .included

2000-09-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, timings.sc: minor changes

2000-09-03  Bernd Paysan  <bernd.paysan@gmx.de>

	* doc/gforth.ds, tt.fs: Added Files section to the tutorial
	changed sfind .. [if] into [ifdef] in tt.fs

2000-08-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, kernel/require.fs, kernel/basics.fs, kernel/comp.fs, Benchres, Makefile.in:
	documentation changes

2000-08-25  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Benchres, doc/gforth.ds: Documentation changes

2000-08-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: documentation changes

2000-08-23  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/objects-implementation.obj, doc/gforth.ds, moofglos.fs, objects.fs, search.fs, mini-oof.fs:
	Documentation changes
	renamed general push-order to >order, objects push-order to class>order,
	        drop-order to class-previous

2000-08-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, prim, struct.fs: documentation changes

2000-08-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, see.fs, prim: documentation changes
	fixed bug in cputime

2000-08-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, kernel/io.fs, doc/gforth.ds: documentation changes

2000-08-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* environ.fs: documentation changes

	* kernel/io.fs, kernel/paths.fs, kernel/require.fs, doc/gforth.ds, kernel/files.fs, kernel/int.fs, blocks.fs, environ.fs, extend.fs, float.fs, prim:
	documentation changes
	added path-allot and clear-path

2000-08-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, kernel/int.fs, search.fs: documentation changes

2000-08-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, kernel/basics.fs: documentation changes

2000-08-14  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/int.fs: fixed copyright message at startup

2000-08-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/comp.fs, doc/gforth.ds, prim: documentation changes

2000-08-14  Bernd Paysan  <bernd.paysan@gmx.de>

	* doc/gforth.ds, arch/8086/prim.fs, prim, prims2x.fs:
	Added conditions to the new primitives (floating)
	Fixed prims2x.fs to accept comments after the last primitive
	Fixed newline Forth definition
	Small docs fixes

2000-08-13  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/4stack/README, arch/8086/prim.fs, arch/386/asm.fs:
	Added undocumented SALC instruction ot x86 assembler
	Fixed instructions in 4stack port README
	Fixed newline (cr/lf) in 8086 prims

2000-08-11  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/basics.fs, kernel/comp.fs, doc/gforth.ds, prim:
	documentation changes

2000-08-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/basics.fs, kernel/comp.fs, kernel/vars.fs, README, doc/gforth.ds:
	documentation changes

2000-08-09  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/basics.fs, kernel/comp.fs, kernel/int.fs, doc/gforth.ds, prim, environ.fs, extend.fs, float.fs, glocals.fs:
	documentation changes
	fixed bug in f~

2000-08-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/386/machine.h, configure.in, engine/engine.c, extend.fs, prim:
	added primitives utime cputime v* faxpy
	changed default on 386 to USE_NO_FTOS

2000-08-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: added indexing and reference refs to tutorial

2000-08-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: documentation changes

2000-07-31  Bernd Paysan  <bernd.paysan@gmx.de>

	* doskey.fs, history.fs, vt100key.fs:
	Added ctrl-X for deleting right without quiting. DEL now maps to Ctrl-X

	* doc/gforth.ds, history.fs:
	Reverted Ctrl-D behavior to original one, but factored the delete right
	word <del> out (to allow changing the behavior if you like)

	Changed 386 assembler documentation to match the new assembler

	* arch/386/asm.fs, history.fs:
	Removed BYE behavior of DEL key and Ctlr-D on empty lines
	Added FSF style copyright notice to arch/386/asm.fs

2000-07-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/ecvt.c, arch/386/asm.fs, arch/386/testasm.fs, doskey.fs, gforthmi.bat, prim:
	Added code for DEL key in doskey.fs
	Fixed gforthmi.bat (always uses gforth-d now, no env variable)
	Deleted setbuf workaround for DOS in prim
	Replaced Andrew's assembler with the one from bigFORTH
	Fixed 0.5e f. bug in ecvt.c

2000-07-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/engine.c, engine/main.c:
	The relocator now checks for unimplemented primitives used in the image.

	* configure.in: warning change

2000-07-26  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* testall, configure.in:
	gforth now runs on AIX (only indirect threaded).

2000-07-26  Bernd Paysan  <bernd.paysan@gmx.de>

	* prim:
	Fixed newline primitive (unix-style lineend only, define that in prim.fs
	yourself if you need something else), fixed references of -text-flag
	(now called sgn).

2000-07-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: reapplied gforth.ds changes between 1.58 and 1.59

	* testall, unbuffer.fs, unbuffered.fs, backtrac.fs, backtrace.fs, except.fs, exceptions.fs:
	renamed backtrace.fs exceptions.fs unbuffered.fs to
	        backtrac.fs  except.fs     unbuffer.fs

2000-07-23  Bernd Paysan  <bernd.paysan@gmx.de>

	* config.bat, configure.in, engine/main.c, exboot.fs, gforthmi.bat, mkdosmf.sed, startup.fs, Benchres, Makedist.in, Makefile.in:
	Made Gforth compile on DOS. Cleaned up some minor parts in make binonlydist
	Also renamed

	unbuffered.fs -> unbuffer.fs
	exceptions.fs -> except.fs
	backtrace.fs -> backtrac.fs

	in the CVS archive (do that in your gforth/CVS/Entries before checking out!!!)

	If you want to make my life more easy, please refrain from using >8.3 file
	names for vital parts.

2000-07-21  crook  <crook@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: lots of small grammatical changes

2000-07-21  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* BUGS, engine/signals.c: updated BUGS

2000-07-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/signals.c: fixed typo

	* engine/signals.c: signal portability improved

	* engine/signals.c, doc/gforth.ds, testall: fixed another signal bug

	* configure.in, engine/signals.c:
	signal handling bugfix (not yet portability tested)

2000-07-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* BUGS, doc/gforth.ds: checked tutorial examples

2000-07-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* BUGS, arch/alpha/asm.fs, arch/mips/asm.fs:
	worked around non-bug, removed bug-report

	* doc/gforth.ds: documentation changes

2000-07-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, arch/alpha/asm.fs, arch/alpha/disasm.fs, arch/mips/asm.fs, configure.in, testall, testclean, BUGS, Makefile.in, README:
	changes to make snapshot work

2000-07-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, prim: documentation changes

	* Makefile.in, prim, prims2x.fs:
	Changed prim syntax to not make a difference between blanks and tabs.
	Stack effects are now surrounded by parentheses.

2000-07-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in: added 386 asm and disasm

	* arch/386/asm.fs, arch/386/testasm.fs, doc/gforth.ds:
	renamed 386 instructions with a trailing ",". Documented 386 asm.

	* arch/386/asm.fs, arch/386/testasm.fs: ported 386 asm

2000-07-11  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/386/asm.fs: added Andrew McKewan's 386 assembler

2000-07-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in:
	powerpc port now checks code placement; selects indirect threading if necessary

	* arch/power/elf32ppc.x, configure.in:
	powerpc port now uses GNU ld script to get text segment into first 32MB.

2000-07-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/power/machine.h:
	fixed syntax error in CODE_ADDRESS; >code_address now works for primitives

2000-07-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/m68k/machine.h:
	>code-address on m68k now works correctly for primitives (untested)

	* arch/sparc/machine.h, engine/fnmatch.c, engine/fnmatch.h, engine/strchrnul.c, Makefile.in, configure.in:
	replaced the glibc-2.1.3 version of fnmatch with the tar-1.1.13 version
	 for SunOS 4.1 portability
	better configuration for fnmatch
	CODE_ADDRESS for SPARC can now deal with primitives in direct threading

2000-07-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/mips/machine.h, arch/mips/testasm.fs, engine/engine.c, engine/fnmatch.c, engine/fnmatch.h, engine/strchrnul.c, Makefile.in, arch/mips/asm.fs, arch/mips/disasm.fs, configure.in, gforthmi.in:
	added fnmatch replacement and configure stuff
	enhanced portability of gforthmi
	the disassembler now works on MIPS (+ assorted bugfixes)

	* kernel/require.fs, BUGS: renamed .modules to .included

2000-06-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/386/disasm.fs: 386 disassembler bugfixes

	* arch/386/disasm.fs: fixed 386 disasm bug

	* arch/386/disasm.fs: the 386 disassembler now compiles

	* arch/386/disasm.fs:
	added 386 disasm from win32forth (not yet adapted)

2000-06-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds: documentation updates

	* doc/gforth.ds, arch/mips/asm.fs: documentation changes

	* arch/mips/asm.fs, arch/alpha/asm.fs, arch/alpha/disasm.fs, arch/alpha/testasm.fs:
	Alpha assembler branches now use absolute addresses
	Alpha control structures reworked

2000-06-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* cross.fs, kernel/paths.fs: Fixed compact..

2000-06-17  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/alpha/asm.fs, arch/alpha/disasm.fs, arch/alpha/testasm.fs, doc/gforth.ds:
	more Alpha assembler tweaks

	* arch/alpha/asm.fs, arch/alpha/disasm.fs, configure.in, kernel/cond.fs, Makefile.in:
	Assembler and disassembler are included in gforth.fi if available
	Alpha assembler and disassembler tweaks

2000-06-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/alpha/machine.h: >code-address now works for CODE words on Alpha

	* see.fs: disassembler tweaks

2000-06-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/386/machine.h, arch/power/machine.h, engine/engine.c, see.fs, startup.fs:
	SEE now guesses the length of primitives and code words
	It now also works for code words in  direct threading
	CODE_ADDRESS now works for direct threaded primitives
	    on 386 and (hopefully) PPC

2000-06-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/mips/asm.fs, doc/gforth.ds: MIPS asm tweaks
	Documentation

2000-06-11  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, arch/mips/asm.fs, arch/mips/disasm.fs, arch/mips/testasmcontrol.fs:
	control structures for MIPS assembler cont.
	assembler documentation

2000-06-10  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, kernel/int.fs, BUILD-FROM-SCRATCH:
	Made BUILD-FROM-SCRATCH work with previous version of Gforth (almost
	automatic)

2000-06-10  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/mips/asm.fs: MIPS asm control structures

2000-06-06  Bernd Paysan  <bernd.paysan@gmx.de>

	* doc/gforth.ds, AUTHORS:
	Fixed some typos and german text in the tutorial

	* arch/sharc/compile.sharc, configure.in, Makefile.in:
	Made make dist work again

2000-06-03  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/mips/disasm.fs:
	most disassembler words are now in vocabulary DISASSEMBLER

	* arch/mips/disasm.fs, arch/mips/testasm.fs, arch/mips/testdisasm.fs, arch/mips/asm.fs:
	MIPS asm now checks the arguments; bugfixes and tweaks

	* arch/mips/disasm.fs, arch/mips/insts.fs: MIPS disasm and asm bugfixes

2000-06-02  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/mips/disasm.fs, arch/mips/insts.fs, arch/mips/testdisasm.fs, arch/mips/asm.fs:
	more MIPS assembler tweaks

	* arch/mips/asm.fs, arch/mips/disasm.fs, arch/mips/insts.fs, arch/mips/testdisasm.ds, arch/mips/testdisasm.fs:
	factoring in MIPS disassembler

2000-06-01  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/mips/disasm.fs, arch/mips/insts.fs, arch/mips/testdisasm.ds, kernel/io.fs, arch/mips/asm.fs:
	rewrote MIPS disassembler completely; now shares ints.fs file with asm.fs

2000-05-31  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/engine.c, Makedist.in, prim: Added directory reads:
	open-dir, read-dir, close-dir, filename-match

2000-05-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* kernel/main.fs, doc/.cvsignore, engine/.cvsignore, engine/main.c, .cvsignore:
	Added some files to .cvsignore
	Fixed problem when relocate() tries to relocate beyond the last image entry

2000-05-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c:
	Dictionary allocation should now work again on OSs that don't treat
	  mmap beyond EOF nicely.

2000-05-28  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/mips/asm.fs, arch/mips/testasm.fs: more MIPS asm tweaks

	* arch/mips/asm.fs: cleaned up MIPS assembler

	* arch/mips/disasm.fs: some fixes to the MIPS disassembler

2000-05-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/mips/asm.fs, arch/mips/testasm.fs:
	the MIPS assembler test stuff is now in testasm.fs

	* arch/mips/asm.fs, arch/mips/disasm.fs:
	added mips assembler and disassembler (from Christian Pirker/RAFTS)

	* see.fs, wordinfo.fs:
	some more adjustments due to the change of >name.

	* kernel/io.fs, kernel/toolsext.fs, kernel/int.fs, glocals.fs, look.fs, search.fs, wordinfo.fs:
	renamed old >HEAD/>NAME into >HEAD-NOPRIM, defined >HEAD/>NAME to also
	  work on primitives.
	>HEAD/>NAME now returns 0 (instead of the nt of ???) on failure.

2000-05-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/io.fs, kernel/files.fs: WRITE-LINE and CR now use NEWLINE

	* Makefile.in, doc/gforth.ds: fixed doc bugs

2000-05-19  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* exboot.fs, startup.fs, Makefile.in:
	When building gforth.fi, there is now an exception frame after including
	   exceptions.fs (through exboot.fs), providing decent error messages.

2000-05-16  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Makefile.in, engine/engine.c, prim:
	HTML is now produced with makeinfo (of texinfo-4.0)
	Files are now always opened binary (on the C level).
	READ-LINE now knows how to handle LF, CRLF, and CR.
	Added primitive NEWLINE, so the newline conventions of the host OS don't
	   spill into the images.

2000-05-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/texinfo.tex, kernel/basics.fs, kernel/int.fs, kernel/vars.fs, doc/gforth.ds, Makefile.in, stuff.fs:
	texinfo.tex from texinfo-4.0
	various changes for texinfo-4.0 (which reports more bugs and warnings).

2000-05-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, exceptions.fs, BUGS, Benchres:
	added a Tutorial to gforth.ds
	minor cleanups in gforth.ds

2000-05-12  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* debug.fs: Fixed see table failure problem.
	break: now takes along a literal with the xt of the current definition.

2000-05-04  Jens Wilke  <jwilke@mips.complang.tuwien.ac.at>

	* Makefile.in, engine/Makefile.in:
	Added engine dependencies to main Makefile

	* BUILD-FROM-SCRATCH: created

	* kernel/main.fs:
	Require of search, errors and extend is on demand now.
	So we are able to use a complete gforth.fi for cross-compiling

	* cross.fs: Fixed bug for cross-compiling with gforth.fi image.
	Added output of symbol table and relocation table for debugging.

2000-05-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, exceptions.fs:
	bugfix: exceptions during startup are now caught

2000-04-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* Benchres, configure.in, gforth.el: Added Athlon entry
	Improved highlighting
	Fixed comment in 686 configuration to include Athlon

2000-04-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/forth.h, engine/main.c, BUGS, arch/alpha/machine.h:
	Gforth can now use mmap to read the image
	small changes to reduce the warnings

2000-04-27  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* extend.fs, test/other.fs:
	fixed RESTORE-INPUT (still does not work with CRLF, and at EOF).

2000-04-12  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/sharc/g21k-3.3.4-bp1.diff, arch/sharc/machine.h, engine/main.c, arch/sharc/compile.sharc, gforth.el, history.fs, httpd.fs, string.fs:
	Got SHARC port to comile again (untested yet)
	Added GCC patch for SHARC port

2000-04-09  Bernd Paysan  <bernd.paysan@gmx.de>

	* Makefile.in, gforth.el, httpd.fs: Improved color highlighting
	Install new files, too
	Some corrections to httpd

2000-04-02  Bernd Paysan  <bernd.paysan@gmx.de>

	* hash.fs, httpd.fs: Fixed unitialized tables
	Some small fixes in httpd.fs

	* history.fs, httpd.fs, gforth.el: Better colorizing
	Tiny changes to history.fs to allow a seek in history (not finished yet)
	Some imporvements to the httpd example

2000-03-26  Bernd Paysan  <bernd.paysan@gmx.de>

	* string.fs: Added string library

	* httpd.fs: Added a tiny web server as example

2000-03-19  Bernd Paysan  <bernd.paysan@gmx.de>

	* html.fs, kernel/int.fs: Added Forth as HTML scripting language
	Fixed >NAME bug for words >27 letters

2000-03-18  Bernd Paysan  <bernd.paysan@gmx.de>

	* gforth.el: Added syntax highlighting for Forth (not perfect yet)

2000-03-17  crook  <crook@mips.complang.tuwien.ac.at>

	* doc/gforth.ds:
	Re-ordered a couple of sections. Added new section on time. Fixed url
	references so they would be real hypertext links in HTML output. Other
	minor fixes here and there.

	* engine/.cvsignore, kernel/nio.fs, prim: minor documentatil tweaks.

2000-03-11  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/4stack/prim.fs, prim, see.fs: Changed -text in prim
	Changed branchtable size to units in cells
	Added "bye" in 4stack prims

2000-03-11  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* BUGS, growable.fs: added growable.fs (but not to Makefile)

2000-02-28  crook  <crook@mips.complang.tuwien.ac.at>

	* blocks.fs: Minor tweaks to documentation.

2000-02-04  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* configure.in, extend.fs, test/other.fs: [COMPILE] EXIT bug fixed
	On Alphas Gforth is now compiled with -mieee (test for availability of -mieee)

2000-01-17  Bernd Paysan  <bernd.paysan@gmx.de>

	* float.fs, prim: Fixed ugly field definition in float.fs
	Added correct IEEE handling of -0 in >float

1999-12-31  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/8086/mach.fs, arch/misc/mach.fs, arch/misc/prim.fs, arch/misc/sim.fs, doc/gforth.ds, arch/4stack/mach.sh, machpc.fs, Makefile.in, cross.fs:
	Started cross compiler documentation
	Made 4stack, 8086, and MISC Gforth-EC work again

1999-12-30  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/4stack/relocate.fs, arch/8086/mach.fs, arch/8086/mach.sh, arch/8086/prim.fs, arch/shboom/mach.fs, kernel/basics.fs, kernel/main.fs, arch/4stack/asm.fs, arch/4stack/mach.fs, arch/4stack/prim.fs, arch/4stack/relocate-new.fs, cross.fs, exceptions.fs, traceall.fs:
	Added a interpreter trace (traceall)

	Worked at getting EC Gforth working again.

1999-12-12  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* exceptions.fs: simplified exception implementation

	* exceptions.fs: removed protect...endprotect

	* kernel/basics.fs, kernel/errore.fs, exceptions.fs, history.fs, kernel/accept.fs:
	gforth now works even if it cannot open the history file

	* kernel/basics.fs, kernel/int.fs, Makefile.in, exceptions.fs, history.fs:
	throw is now more well-behaved during initialization
		and before loading exceptions.fs

1999-12-03  crook  <crook@mips.complang.tuwien.ac.at>

	* kernel/io.fs, kernel/require.fs, kernel/vars.fs, kernel/comp.fs, kernel/cond.fs, kernel/int.fs, kernel/basics.fs:
	documentation tweaks.

	* Makefile.in:
	added support for generating html straight out of makeinfo (you need
	v4.0 for this, so it's commented out at the moment. Unlike texi2html,
	the html output from makeinfo is a single monolithic file; not too
	great..)

	Bug-fix (Well, I think so..) If you do a "make" and then "su root" and
	"make install" and then return to non-root, the install would leave 2 files
	in the source tree that were owned by root - very impolite. The files were:
	-- gforth.fi (I solve this problem by deleting gforth.fi after an
	install. I think gforth.fi after an install refers to the install directory
	so this is a good thing to do anyway)
	-- prim.TAGS (because "make all" doesn't generate prim.TAGS, but
	"make install" does, therefore it ends up being owned by root. I couldn't
	see a clean way to fix this in the Makefile. I'd use "chmod --reference"
	to just fix up the protection but this option is GNU-specific. My backup
	solution was to add TAGS to the list in the doc: target, which seemed
	reasonable/consistent).

	* ekey.fs:
	documentation tweaks plus bug-fix: the introduction of this file messed up
	the documentation of [ and OR in the manual. The reason is that the
	esc-sequences table contains words [ and OR and these were getting put into
	doc/doc.fd and then slipped into the .tex file in preference to the correct
	entries from doc/crossdoc.fd
	My less-than-ideal fix to this is to add "[IFNDEF] put-doc-entry" around
	the definition of the esc-sequences so that it gets omitted completely
	during a documentation build. The ideal fix would be for crossdoc.fs and
	the prim->index process to each support optional "prefix-" in the same
	way that doc/makedoc.fs does.

	* debug.fs:
	documentation tweaks plus a bug-fix: a recent change to this file meant
	that break: and break: were only available in the cross-compiler
	environment. I think that this *should* have been coded so that these
	two words were *never* available in the cross-compiler environment
	-- if I'm wrong, humble apologies (and please explain why..)

	* INSTALL:
	Added some notes on how to install 'info' files correctly on a GNU/Linux
	system.

	* environ.fs, search.fs, stuff.fs, table.fs, vt100.fs, float.fs, prim, blocks.fs, code.fs:
	Fixed (my earlier) errors in the documentation of Standard search words
	in search.fs. Minor documentation tweaks in the other files.

	* doc/makedoc.fs, doc/gforth.ds, doc/.cvsignore:
	Fix minor typos in manual. Added chapter 13 to .cvsignore. Fixed incorrect
	comments in makedoc.fs and added a couple of factors to the code.

1999-11-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/basics.fs, kernel/int.fs, startup.fs, exceptions.fs, gforth.el, see.fs, BUGS, Makefile.in:
	took exception handling out of the kernel into exceptions.fs
	added inline exception handling (TRY...RECOVER...ENDTRY)
	added exception handling without affecting sp or fp (PROTECT...ENDPROTECT)

1999-11-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/io.c, engine/io.h:
	bugfix: KEY now returns -1 on EOF even on 64-bit machines

1999-11-14  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, test/other.fs, BUGS: fixed HEAD? alignment bug

1999-11-08  crook  <crook@mips.complang.tuwien.ac.at>

	* kernel/vars.fs, kernel/tools.fs, kernel/args.fs, kernel/comp.fs, kernel/int.fs, float.fs, prim, search.fs, stuff.fs, extend.fs, blocks.fs:
	Various minor documentation changes to match the latest gforth.ds

	* doc/.cvsignore, doc/gforth.ds:
	Changes from several months ago. Several sections marked "NAC" are
	responses to review comments from Anton.

1999-11-06  Bernd Paysan  <bernd.paysan@gmx.de>

	* blocked.fb: Added "Forth definitions" at the end

1999-11-06  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, doc/gforth.ds, BUGS:
	bugfix: the system's THROW handler now resets the stack correctly.
	documentation changes

1999-10-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/int.fs, configure.in, search.fs, Makefile.in, backtrace.fs:
	context is now a DEFERed word
	various small bugfixes

1999-10-22  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* kernel/nio.fs, doc/gforth.ds, BUGS, Benchres:
	base<2 is now treated correctly
	documentation changes

1999-10-15  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, gforth.el, timings.sc, README, ds2texi.fs, Makefile.in:
	added name index to docs and support for info-lookup to gforth.el
	minor doc changes

1999-10-13  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/alpha/disasm.fs, arch/alpha/testasm.fs, arch/alpha/asm.fs:
	bugixes

1999-09-30  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* arch/alpha/asm.fs, arch/alpha/disasm.fs, arch/alpha/testasm.fs:
	added disasm.fs (Bernd Thallner)
	added control structures to asm.fs (Bernd Thallner)

1999-08-29  Bernd Paysan  <bernd.paysan@gmx.de>

	* arch/sharc/mach.fs, arch/sharc/machine.h, arch/sharc/systypes.h, arch/sharc/types.h, arch/sharc/unistd.h:
	Added hardware specific files for the SHARC port

	* engine/main.c, fi2c.fs, kernel/io.fs, prim, cross.fs, blocked.fb, blocks.fs:
	Made block 0 the first block and provided OFFSET for backward compatibility
	(store 1 there).
	Fixed bug for negative buffers.
	Added a type in write-file for OS-less ports.
	Some corrections to make the SHARC port compile again.
	HAS_DEBUG is now a central flag which replaces perror and fprintf if not set.

1999-08-29  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* test/checkans.out, doc/gforth.ds, Benchres, ekey.fs, startup.fs:
	added ekey etc.
	updated performance in docs

1999-08-20  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* Benchres, engine/engine.c, prim: eliminated some ifdefs for memcmp

1999-08-08  Bernd Paysan  <bernd.paysan@gmx.de>

	* Benchres, arch/386/machine.h:
	Some small further changes for fast USE_TOS with gcc 2.95

1999-08-07  Bernd Paysan  <bernd.paysan@gmx.de>

	* engine/main.c, engine/signals.c, arch/386/machine.h, arch/generic/machine.h, engine/engine.c, configure.in, prim, Benchres:
	Made USE_TOS work with 386 on gcc 2.95

1999-07-24  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* engine/main.c, doc/gforth.ds, gforth.el, gforthmi.in, make-app.fs, objects.fs, Makefile.in, cross.fs:
	added engine option --appl-image and gforthmi option --application
	minor objects.fs changes

1999-07-08  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, gforth.el, objects.fs: added :m to objects.fs

1999-07-05  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

	* doc/gforth.ds, objects.fs: documented methods...end-methods

	* kernel/int.fs, objects.fs: added methods...end-methods to objects.fs
	added stack comment in kernel/int.fs

1999-06-20  Bernd Paysan  <bernd.paysan@gmx.de>

	* wordlibs/unixlib.h, prim, fi2c.fs: Some small fixes for SHARC port

1999-06-18  Anton Ertl  <anton@mips.complang.tuwien.ac.at>

